import { SENSITIVE_STRING } from "@aws-sdk/smithy-client";
import { KMSServiceException as __BaseException } from "./KMSServiceException";
export var AlgorithmSpec;
(function (AlgorithmSpec) {
    AlgorithmSpec["RSAES_OAEP_SHA_1"] = "RSAES_OAEP_SHA_1";
    AlgorithmSpec["RSAES_OAEP_SHA_256"] = "RSAES_OAEP_SHA_256";
    AlgorithmSpec["RSAES_PKCS1_V1_5"] = "RSAES_PKCS1_V1_5";
})(AlgorithmSpec || (AlgorithmSpec = {}));
export class AlreadyExistsException extends __BaseException {
    constructor(opts) {
        super({
            name: "AlreadyExistsException",
            $fault: "client",
            ...opts,
        });
        this.name = "AlreadyExistsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AlreadyExistsException.prototype);
    }
}
export class DependencyTimeoutException extends __BaseException {
    constructor(opts) {
        super({
            name: "DependencyTimeoutException",
            $fault: "server",
            ...opts,
        });
        this.name = "DependencyTimeoutException";
        this.$fault = "server";
        Object.setPrototypeOf(this, DependencyTimeoutException.prototype);
    }
}
export class InvalidArnException extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidArnException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidArnException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidArnException.prototype);
    }
}
export class KMSInternalException extends __BaseException {
    constructor(opts) {
        super({
            name: "KMSInternalException",
            $fault: "server",
            ...opts,
        });
        this.name = "KMSInternalException";
        this.$fault = "server";
        Object.setPrototypeOf(this, KMSInternalException.prototype);
    }
}
export class KMSInvalidStateException extends __BaseException {
    constructor(opts) {
        super({
            name: "KMSInvalidStateException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSInvalidStateException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSInvalidStateException.prototype);
    }
}
export class NotFoundException extends __BaseException {
    constructor(opts) {
        super({
            name: "NotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "NotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, NotFoundException.prototype);
    }
}
export class CloudHsmClusterInUseException extends __BaseException {
    constructor(opts) {
        super({
            name: "CloudHsmClusterInUseException",
            $fault: "client",
            ...opts,
        });
        this.name = "CloudHsmClusterInUseException";
        this.$fault = "client";
        Object.setPrototypeOf(this, CloudHsmClusterInUseException.prototype);
    }
}
export class CloudHsmClusterInvalidConfigurationException extends __BaseException {
    constructor(opts) {
        super({
            name: "CloudHsmClusterInvalidConfigurationException",
            $fault: "client",
            ...opts,
        });
        this.name = "CloudHsmClusterInvalidConfigurationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, CloudHsmClusterInvalidConfigurationException.prototype);
    }
}
export class CloudHsmClusterNotActiveException extends __BaseException {
    constructor(opts) {
        super({
            name: "CloudHsmClusterNotActiveException",
            $fault: "client",
            ...opts,
        });
        this.name = "CloudHsmClusterNotActiveException";
        this.$fault = "client";
        Object.setPrototypeOf(this, CloudHsmClusterNotActiveException.prototype);
    }
}
export class CloudHsmClusterNotFoundException extends __BaseException {
    constructor(opts) {
        super({
            name: "CloudHsmClusterNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "CloudHsmClusterNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, CloudHsmClusterNotFoundException.prototype);
    }
}
export class CloudHsmClusterNotRelatedException extends __BaseException {
    constructor(opts) {
        super({
            name: "CloudHsmClusterNotRelatedException",
            $fault: "client",
            ...opts,
        });
        this.name = "CloudHsmClusterNotRelatedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, CloudHsmClusterNotRelatedException.prototype);
    }
}
export class CustomKeyStoreInvalidStateException extends __BaseException {
    constructor(opts) {
        super({
            name: "CustomKeyStoreInvalidStateException",
            $fault: "client",
            ...opts,
        });
        this.name = "CustomKeyStoreInvalidStateException";
        this.$fault = "client";
        Object.setPrototypeOf(this, CustomKeyStoreInvalidStateException.prototype);
    }
}
export class CustomKeyStoreNotFoundException extends __BaseException {
    constructor(opts) {
        super({
            name: "CustomKeyStoreNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "CustomKeyStoreNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, CustomKeyStoreNotFoundException.prototype);
    }
}
export var ConnectionErrorCodeType;
(function (ConnectionErrorCodeType) {
    ConnectionErrorCodeType["CLUSTER_NOT_FOUND"] = "CLUSTER_NOT_FOUND";
    ConnectionErrorCodeType["INSUFFICIENT_CLOUDHSM_HSMS"] = "INSUFFICIENT_CLOUDHSM_HSMS";
    ConnectionErrorCodeType["INSUFFICIENT_FREE_ADDRESSES_IN_SUBNET"] = "INSUFFICIENT_FREE_ADDRESSES_IN_SUBNET";
    ConnectionErrorCodeType["INTERNAL_ERROR"] = "INTERNAL_ERROR";
    ConnectionErrorCodeType["INVALID_CREDENTIALS"] = "INVALID_CREDENTIALS";
    ConnectionErrorCodeType["NETWORK_ERRORS"] = "NETWORK_ERRORS";
    ConnectionErrorCodeType["SUBNET_NOT_FOUND"] = "SUBNET_NOT_FOUND";
    ConnectionErrorCodeType["USER_LOCKED_OUT"] = "USER_LOCKED_OUT";
    ConnectionErrorCodeType["USER_LOGGED_IN"] = "USER_LOGGED_IN";
    ConnectionErrorCodeType["USER_NOT_FOUND"] = "USER_NOT_FOUND";
    ConnectionErrorCodeType["XKS_PROXY_ACCESS_DENIED"] = "XKS_PROXY_ACCESS_DENIED";
    ConnectionErrorCodeType["XKS_PROXY_INVALID_CONFIGURATION"] = "XKS_PROXY_INVALID_CONFIGURATION";
    ConnectionErrorCodeType["XKS_PROXY_INVALID_RESPONSE"] = "XKS_PROXY_INVALID_RESPONSE";
    ConnectionErrorCodeType["XKS_PROXY_INVALID_TLS_CONFIGURATION"] = "XKS_PROXY_INVALID_TLS_CONFIGURATION";
    ConnectionErrorCodeType["XKS_PROXY_NOT_REACHABLE"] = "XKS_PROXY_NOT_REACHABLE";
    ConnectionErrorCodeType["XKS_PROXY_TIMED_OUT"] = "XKS_PROXY_TIMED_OUT";
    ConnectionErrorCodeType["XKS_VPC_ENDPOINT_SERVICE_INVALID_CONFIGURATION"] = "XKS_VPC_ENDPOINT_SERVICE_INVALID_CONFIGURATION";
    ConnectionErrorCodeType["XKS_VPC_ENDPOINT_SERVICE_NOT_FOUND"] = "XKS_VPC_ENDPOINT_SERVICE_NOT_FOUND";
})(ConnectionErrorCodeType || (ConnectionErrorCodeType = {}));
export var ConnectionStateType;
(function (ConnectionStateType) {
    ConnectionStateType["CONNECTED"] = "CONNECTED";
    ConnectionStateType["CONNECTING"] = "CONNECTING";
    ConnectionStateType["DISCONNECTED"] = "DISCONNECTED";
    ConnectionStateType["DISCONNECTING"] = "DISCONNECTING";
    ConnectionStateType["FAILED"] = "FAILED";
})(ConnectionStateType || (ConnectionStateType = {}));
export class InvalidAliasNameException extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidAliasNameException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidAliasNameException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidAliasNameException.prototype);
    }
}
export class LimitExceededException extends __BaseException {
    constructor(opts) {
        super({
            name: "LimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "LimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, LimitExceededException.prototype);
    }
}
export var CustomKeyStoreType;
(function (CustomKeyStoreType) {
    CustomKeyStoreType["AWS_CLOUDHSM"] = "AWS_CLOUDHSM";
    CustomKeyStoreType["EXTERNAL_KEY_STORE"] = "EXTERNAL_KEY_STORE";
})(CustomKeyStoreType || (CustomKeyStoreType = {}));
export var XksProxyConnectivityType;
(function (XksProxyConnectivityType) {
    XksProxyConnectivityType["PUBLIC_ENDPOINT"] = "PUBLIC_ENDPOINT";
    XksProxyConnectivityType["VPC_ENDPOINT_SERVICE"] = "VPC_ENDPOINT_SERVICE";
})(XksProxyConnectivityType || (XksProxyConnectivityType = {}));
export class CustomKeyStoreNameInUseException extends __BaseException {
    constructor(opts) {
        super({
            name: "CustomKeyStoreNameInUseException",
            $fault: "client",
            ...opts,
        });
        this.name = "CustomKeyStoreNameInUseException";
        this.$fault = "client";
        Object.setPrototypeOf(this, CustomKeyStoreNameInUseException.prototype);
    }
}
export class IncorrectTrustAnchorException extends __BaseException {
    constructor(opts) {
        super({
            name: "IncorrectTrustAnchorException",
            $fault: "client",
            ...opts,
        });
        this.name = "IncorrectTrustAnchorException";
        this.$fault = "client";
        Object.setPrototypeOf(this, IncorrectTrustAnchorException.prototype);
    }
}
export class XksProxyIncorrectAuthenticationCredentialException extends __BaseException {
    constructor(opts) {
        super({
            name: "XksProxyIncorrectAuthenticationCredentialException",
            $fault: "client",
            ...opts,
        });
        this.name = "XksProxyIncorrectAuthenticationCredentialException";
        this.$fault = "client";
        Object.setPrototypeOf(this, XksProxyIncorrectAuthenticationCredentialException.prototype);
    }
}
export class XksProxyInvalidConfigurationException extends __BaseException {
    constructor(opts) {
        super({
            name: "XksProxyInvalidConfigurationException",
            $fault: "client",
            ...opts,
        });
        this.name = "XksProxyInvalidConfigurationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, XksProxyInvalidConfigurationException.prototype);
    }
}
export class XksProxyInvalidResponseException extends __BaseException {
    constructor(opts) {
        super({
            name: "XksProxyInvalidResponseException",
            $fault: "client",
            ...opts,
        });
        this.name = "XksProxyInvalidResponseException";
        this.$fault = "client";
        Object.setPrototypeOf(this, XksProxyInvalidResponseException.prototype);
    }
}
export class XksProxyUriEndpointInUseException extends __BaseException {
    constructor(opts) {
        super({
            name: "XksProxyUriEndpointInUseException",
            $fault: "client",
            ...opts,
        });
        this.name = "XksProxyUriEndpointInUseException";
        this.$fault = "client";
        Object.setPrototypeOf(this, XksProxyUriEndpointInUseException.prototype);
    }
}
export class XksProxyUriInUseException extends __BaseException {
    constructor(opts) {
        super({
            name: "XksProxyUriInUseException",
            $fault: "client",
            ...opts,
        });
        this.name = "XksProxyUriInUseException";
        this.$fault = "client";
        Object.setPrototypeOf(this, XksProxyUriInUseException.prototype);
    }
}
export class XksProxyUriUnreachableException extends __BaseException {
    constructor(opts) {
        super({
            name: "XksProxyUriUnreachableException",
            $fault: "client",
            ...opts,
        });
        this.name = "XksProxyUriUnreachableException";
        this.$fault = "client";
        Object.setPrototypeOf(this, XksProxyUriUnreachableException.prototype);
    }
}
export class XksProxyVpcEndpointServiceInUseException extends __BaseException {
    constructor(opts) {
        super({
            name: "XksProxyVpcEndpointServiceInUseException",
            $fault: "client",
            ...opts,
        });
        this.name = "XksProxyVpcEndpointServiceInUseException";
        this.$fault = "client";
        Object.setPrototypeOf(this, XksProxyVpcEndpointServiceInUseException.prototype);
    }
}
export class XksProxyVpcEndpointServiceInvalidConfigurationException extends __BaseException {
    constructor(opts) {
        super({
            name: "XksProxyVpcEndpointServiceInvalidConfigurationException",
            $fault: "client",
            ...opts,
        });
        this.name = "XksProxyVpcEndpointServiceInvalidConfigurationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, XksProxyVpcEndpointServiceInvalidConfigurationException.prototype);
    }
}
export class XksProxyVpcEndpointServiceNotFoundException extends __BaseException {
    constructor(opts) {
        super({
            name: "XksProxyVpcEndpointServiceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "XksProxyVpcEndpointServiceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, XksProxyVpcEndpointServiceNotFoundException.prototype);
    }
}
export var GrantOperation;
(function (GrantOperation) {
    GrantOperation["CreateGrant"] = "CreateGrant";
    GrantOperation["Decrypt"] = "Decrypt";
    GrantOperation["DescribeKey"] = "DescribeKey";
    GrantOperation["Encrypt"] = "Encrypt";
    GrantOperation["GenerateDataKey"] = "GenerateDataKey";
    GrantOperation["GenerateDataKeyPair"] = "GenerateDataKeyPair";
    GrantOperation["GenerateDataKeyPairWithoutPlaintext"] = "GenerateDataKeyPairWithoutPlaintext";
    GrantOperation["GenerateDataKeyWithoutPlaintext"] = "GenerateDataKeyWithoutPlaintext";
    GrantOperation["GenerateMac"] = "GenerateMac";
    GrantOperation["GetPublicKey"] = "GetPublicKey";
    GrantOperation["ReEncryptFrom"] = "ReEncryptFrom";
    GrantOperation["ReEncryptTo"] = "ReEncryptTo";
    GrantOperation["RetireGrant"] = "RetireGrant";
    GrantOperation["Sign"] = "Sign";
    GrantOperation["Verify"] = "Verify";
    GrantOperation["VerifyMac"] = "VerifyMac";
})(GrantOperation || (GrantOperation = {}));
export class DisabledException extends __BaseException {
    constructor(opts) {
        super({
            name: "DisabledException",
            $fault: "client",
            ...opts,
        });
        this.name = "DisabledException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DisabledException.prototype);
    }
}
export class InvalidGrantTokenException extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidGrantTokenException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidGrantTokenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidGrantTokenException.prototype);
    }
}
export var CustomerMasterKeySpec;
(function (CustomerMasterKeySpec) {
    CustomerMasterKeySpec["ECC_NIST_P256"] = "ECC_NIST_P256";
    CustomerMasterKeySpec["ECC_NIST_P384"] = "ECC_NIST_P384";
    CustomerMasterKeySpec["ECC_NIST_P521"] = "ECC_NIST_P521";
    CustomerMasterKeySpec["ECC_SECG_P256K1"] = "ECC_SECG_P256K1";
    CustomerMasterKeySpec["HMAC_224"] = "HMAC_224";
    CustomerMasterKeySpec["HMAC_256"] = "HMAC_256";
    CustomerMasterKeySpec["HMAC_384"] = "HMAC_384";
    CustomerMasterKeySpec["HMAC_512"] = "HMAC_512";
    CustomerMasterKeySpec["RSA_2048"] = "RSA_2048";
    CustomerMasterKeySpec["RSA_3072"] = "RSA_3072";
    CustomerMasterKeySpec["RSA_4096"] = "RSA_4096";
    CustomerMasterKeySpec["SM2"] = "SM2";
    CustomerMasterKeySpec["SYMMETRIC_DEFAULT"] = "SYMMETRIC_DEFAULT";
})(CustomerMasterKeySpec || (CustomerMasterKeySpec = {}));
export var KeySpec;
(function (KeySpec) {
    KeySpec["ECC_NIST_P256"] = "ECC_NIST_P256";
    KeySpec["ECC_NIST_P384"] = "ECC_NIST_P384";
    KeySpec["ECC_NIST_P521"] = "ECC_NIST_P521";
    KeySpec["ECC_SECG_P256K1"] = "ECC_SECG_P256K1";
    KeySpec["HMAC_224"] = "HMAC_224";
    KeySpec["HMAC_256"] = "HMAC_256";
    KeySpec["HMAC_384"] = "HMAC_384";
    KeySpec["HMAC_512"] = "HMAC_512";
    KeySpec["RSA_2048"] = "RSA_2048";
    KeySpec["RSA_3072"] = "RSA_3072";
    KeySpec["RSA_4096"] = "RSA_4096";
    KeySpec["SM2"] = "SM2";
    KeySpec["SYMMETRIC_DEFAULT"] = "SYMMETRIC_DEFAULT";
})(KeySpec || (KeySpec = {}));
export var KeyUsageType;
(function (KeyUsageType) {
    KeyUsageType["ENCRYPT_DECRYPT"] = "ENCRYPT_DECRYPT";
    KeyUsageType["GENERATE_VERIFY_MAC"] = "GENERATE_VERIFY_MAC";
    KeyUsageType["SIGN_VERIFY"] = "SIGN_VERIFY";
})(KeyUsageType || (KeyUsageType = {}));
export var OriginType;
(function (OriginType) {
    OriginType["AWS_CLOUDHSM"] = "AWS_CLOUDHSM";
    OriginType["AWS_KMS"] = "AWS_KMS";
    OriginType["EXTERNAL"] = "EXTERNAL";
    OriginType["EXTERNAL_KEY_STORE"] = "EXTERNAL_KEY_STORE";
})(OriginType || (OriginType = {}));
export var EncryptionAlgorithmSpec;
(function (EncryptionAlgorithmSpec) {
    EncryptionAlgorithmSpec["RSAES_OAEP_SHA_1"] = "RSAES_OAEP_SHA_1";
    EncryptionAlgorithmSpec["RSAES_OAEP_SHA_256"] = "RSAES_OAEP_SHA_256";
    EncryptionAlgorithmSpec["SM2PKE"] = "SM2PKE";
    EncryptionAlgorithmSpec["SYMMETRIC_DEFAULT"] = "SYMMETRIC_DEFAULT";
})(EncryptionAlgorithmSpec || (EncryptionAlgorithmSpec = {}));
export var ExpirationModelType;
(function (ExpirationModelType) {
    ExpirationModelType["KEY_MATERIAL_DOES_NOT_EXPIRE"] = "KEY_MATERIAL_DOES_NOT_EXPIRE";
    ExpirationModelType["KEY_MATERIAL_EXPIRES"] = "KEY_MATERIAL_EXPIRES";
})(ExpirationModelType || (ExpirationModelType = {}));
export var KeyManagerType;
(function (KeyManagerType) {
    KeyManagerType["AWS"] = "AWS";
    KeyManagerType["CUSTOMER"] = "CUSTOMER";
})(KeyManagerType || (KeyManagerType = {}));
export var KeyState;
(function (KeyState) {
    KeyState["Creating"] = "Creating";
    KeyState["Disabled"] = "Disabled";
    KeyState["Enabled"] = "Enabled";
    KeyState["PendingDeletion"] = "PendingDeletion";
    KeyState["PendingImport"] = "PendingImport";
    KeyState["PendingReplicaDeletion"] = "PendingReplicaDeletion";
    KeyState["Unavailable"] = "Unavailable";
    KeyState["Updating"] = "Updating";
})(KeyState || (KeyState = {}));
export var MacAlgorithmSpec;
(function (MacAlgorithmSpec) {
    MacAlgorithmSpec["HMAC_SHA_224"] = "HMAC_SHA_224";
    MacAlgorithmSpec["HMAC_SHA_256"] = "HMAC_SHA_256";
    MacAlgorithmSpec["HMAC_SHA_384"] = "HMAC_SHA_384";
    MacAlgorithmSpec["HMAC_SHA_512"] = "HMAC_SHA_512";
})(MacAlgorithmSpec || (MacAlgorithmSpec = {}));
export var MultiRegionKeyType;
(function (MultiRegionKeyType) {
    MultiRegionKeyType["PRIMARY"] = "PRIMARY";
    MultiRegionKeyType["REPLICA"] = "REPLICA";
})(MultiRegionKeyType || (MultiRegionKeyType = {}));
export var SigningAlgorithmSpec;
(function (SigningAlgorithmSpec) {
    SigningAlgorithmSpec["ECDSA_SHA_256"] = "ECDSA_SHA_256";
    SigningAlgorithmSpec["ECDSA_SHA_384"] = "ECDSA_SHA_384";
    SigningAlgorithmSpec["ECDSA_SHA_512"] = "ECDSA_SHA_512";
    SigningAlgorithmSpec["RSASSA_PKCS1_V1_5_SHA_256"] = "RSASSA_PKCS1_V1_5_SHA_256";
    SigningAlgorithmSpec["RSASSA_PKCS1_V1_5_SHA_384"] = "RSASSA_PKCS1_V1_5_SHA_384";
    SigningAlgorithmSpec["RSASSA_PKCS1_V1_5_SHA_512"] = "RSASSA_PKCS1_V1_5_SHA_512";
    SigningAlgorithmSpec["RSASSA_PSS_SHA_256"] = "RSASSA_PSS_SHA_256";
    SigningAlgorithmSpec["RSASSA_PSS_SHA_384"] = "RSASSA_PSS_SHA_384";
    SigningAlgorithmSpec["RSASSA_PSS_SHA_512"] = "RSASSA_PSS_SHA_512";
    SigningAlgorithmSpec["SM2DSA"] = "SM2DSA";
})(SigningAlgorithmSpec || (SigningAlgorithmSpec = {}));
export class MalformedPolicyDocumentException extends __BaseException {
    constructor(opts) {
        super({
            name: "MalformedPolicyDocumentException",
            $fault: "client",
            ...opts,
        });
        this.name = "MalformedPolicyDocumentException";
        this.$fault = "client";
        Object.setPrototypeOf(this, MalformedPolicyDocumentException.prototype);
    }
}
export class TagException extends __BaseException {
    constructor(opts) {
        super({
            name: "TagException",
            $fault: "client",
            ...opts,
        });
        this.name = "TagException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TagException.prototype);
    }
}
export class UnsupportedOperationException extends __BaseException {
    constructor(opts) {
        super({
            name: "UnsupportedOperationException",
            $fault: "client",
            ...opts,
        });
        this.name = "UnsupportedOperationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnsupportedOperationException.prototype);
    }
}
export class XksKeyAlreadyInUseException extends __BaseException {
    constructor(opts) {
        super({
            name: "XksKeyAlreadyInUseException",
            $fault: "client",
            ...opts,
        });
        this.name = "XksKeyAlreadyInUseException";
        this.$fault = "client";
        Object.setPrototypeOf(this, XksKeyAlreadyInUseException.prototype);
    }
}
export class XksKeyInvalidConfigurationException extends __BaseException {
    constructor(opts) {
        super({
            name: "XksKeyInvalidConfigurationException",
            $fault: "client",
            ...opts,
        });
        this.name = "XksKeyInvalidConfigurationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, XksKeyInvalidConfigurationException.prototype);
    }
}
export class XksKeyNotFoundException extends __BaseException {
    constructor(opts) {
        super({
            name: "XksKeyNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "XksKeyNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, XksKeyNotFoundException.prototype);
    }
}
export class CustomKeyStoreHasCMKsException extends __BaseException {
    constructor(opts) {
        super({
            name: "CustomKeyStoreHasCMKsException",
            $fault: "client",
            ...opts,
        });
        this.name = "CustomKeyStoreHasCMKsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, CustomKeyStoreHasCMKsException.prototype);
    }
}
export var DataKeyPairSpec;
(function (DataKeyPairSpec) {
    DataKeyPairSpec["ECC_NIST_P256"] = "ECC_NIST_P256";
    DataKeyPairSpec["ECC_NIST_P384"] = "ECC_NIST_P384";
    DataKeyPairSpec["ECC_NIST_P521"] = "ECC_NIST_P521";
    DataKeyPairSpec["ECC_SECG_P256K1"] = "ECC_SECG_P256K1";
    DataKeyPairSpec["RSA_2048"] = "RSA_2048";
    DataKeyPairSpec["RSA_3072"] = "RSA_3072";
    DataKeyPairSpec["RSA_4096"] = "RSA_4096";
    DataKeyPairSpec["SM2"] = "SM2";
})(DataKeyPairSpec || (DataKeyPairSpec = {}));
export var DataKeySpec;
(function (DataKeySpec) {
    DataKeySpec["AES_128"] = "AES_128";
    DataKeySpec["AES_256"] = "AES_256";
})(DataKeySpec || (DataKeySpec = {}));
export class IncorrectKeyException extends __BaseException {
    constructor(opts) {
        super({
            name: "IncorrectKeyException",
            $fault: "client",
            ...opts,
        });
        this.name = "IncorrectKeyException";
        this.$fault = "client";
        Object.setPrototypeOf(this, IncorrectKeyException.prototype);
    }
}
export class InvalidCiphertextException extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidCiphertextException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidCiphertextException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidCiphertextException.prototype);
    }
}
export class InvalidKeyUsageException extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidKeyUsageException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidKeyUsageException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidKeyUsageException.prototype);
    }
}
export class KeyUnavailableException extends __BaseException {
    constructor(opts) {
        super({
            name: "KeyUnavailableException",
            $fault: "server",
            ...opts,
        });
        this.name = "KeyUnavailableException";
        this.$fault = "server";
        Object.setPrototypeOf(this, KeyUnavailableException.prototype);
    }
}
export class InvalidMarkerException extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidMarkerException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidMarkerException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidMarkerException.prototype);
    }
}
export class ExpiredImportTokenException extends __BaseException {
    constructor(opts) {
        super({
            name: "ExpiredImportTokenException",
            $fault: "client",
            ...opts,
        });
        this.name = "ExpiredImportTokenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ExpiredImportTokenException.prototype);
    }
}
export var WrappingKeySpec;
(function (WrappingKeySpec) {
    WrappingKeySpec["RSA_2048"] = "RSA_2048";
})(WrappingKeySpec || (WrappingKeySpec = {}));
export class IncorrectKeyMaterialException extends __BaseException {
    constructor(opts) {
        super({
            name: "IncorrectKeyMaterialException",
            $fault: "client",
            ...opts,
        });
        this.name = "IncorrectKeyMaterialException";
        this.$fault = "client";
        Object.setPrototypeOf(this, IncorrectKeyMaterialException.prototype);
    }
}
export class InvalidImportTokenException extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidImportTokenException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidImportTokenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidImportTokenException.prototype);
    }
}
export class InvalidGrantIdException extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidGrantIdException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidGrantIdException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidGrantIdException.prototype);
    }
}
export class KMSInvalidMacException extends __BaseException {
    constructor(opts) {
        super({
            name: "KMSInvalidMacException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSInvalidMacException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSInvalidMacException.prototype);
    }
}
export class KMSInvalidSignatureException extends __BaseException {
    constructor(opts) {
        super({
            name: "KMSInvalidSignatureException",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSInvalidSignatureException";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSInvalidSignatureException.prototype);
    }
}
export var MessageType;
(function (MessageType) {
    MessageType["DIGEST"] = "DIGEST";
    MessageType["RAW"] = "RAW";
})(MessageType || (MessageType = {}));
export const AliasListEntryFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CancelKeyDeletionRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CancelKeyDeletionResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ConnectCustomKeyStoreRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ConnectCustomKeyStoreResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateAliasRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const XksProxyAuthenticationCredentialTypeFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.AccessKeyId && { AccessKeyId: SENSITIVE_STRING }),
    ...(obj.RawSecretAccessKey && { RawSecretAccessKey: SENSITIVE_STRING }),
});
export const CreateCustomKeyStoreRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.KeyStorePassword && { KeyStorePassword: SENSITIVE_STRING }),
    ...(obj.XksProxyAuthenticationCredential && {
        XksProxyAuthenticationCredential: XksProxyAuthenticationCredentialTypeFilterSensitiveLog(obj.XksProxyAuthenticationCredential),
    }),
});
export const CreateCustomKeyStoreResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GrantConstraintsFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateGrantRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateGrantResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const TagFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateKeyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const MultiRegionKeyFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const MultiRegionConfigurationFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const XksKeyConfigurationTypeFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const KeyMetadataFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateKeyResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const XksProxyConfigurationTypeFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.AccessKeyId && { AccessKeyId: SENSITIVE_STRING }),
});
export const CustomKeyStoresListEntryFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.XksProxyConfiguration && {
        XksProxyConfiguration: XksProxyConfigurationTypeFilterSensitiveLog(obj.XksProxyConfiguration),
    }),
});
export const DecryptRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DecryptResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Plaintext && { Plaintext: SENSITIVE_STRING }),
});
export const DeleteAliasRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteCustomKeyStoreRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteCustomKeyStoreResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteImportedKeyMaterialRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeCustomKeyStoresRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeCustomKeyStoresResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.CustomKeyStores && {
        CustomKeyStores: obj.CustomKeyStores.map((item) => CustomKeyStoresListEntryFilterSensitiveLog(item)),
    }),
});
export const DescribeKeyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeKeyResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DisableKeyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DisableKeyRotationRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DisconnectCustomKeyStoreRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DisconnectCustomKeyStoreResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const EnableKeyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const EnableKeyRotationRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const EncryptRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Plaintext && { Plaintext: SENSITIVE_STRING }),
});
export const EncryptResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GenerateDataKeyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GenerateDataKeyResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Plaintext && { Plaintext: SENSITIVE_STRING }),
});
export const GenerateDataKeyPairRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GenerateDataKeyPairResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PrivateKeyPlaintext && { PrivateKeyPlaintext: SENSITIVE_STRING }),
});
export const GenerateDataKeyPairWithoutPlaintextRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GenerateDataKeyPairWithoutPlaintextResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GenerateDataKeyWithoutPlaintextRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GenerateDataKeyWithoutPlaintextResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GenerateMacRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Message && { Message: SENSITIVE_STRING }),
});
export const GenerateMacResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GenerateRandomRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GenerateRandomResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Plaintext && { Plaintext: SENSITIVE_STRING }),
});
export const GetKeyPolicyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetKeyPolicyResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetKeyRotationStatusRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetKeyRotationStatusResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetParametersForImportRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetParametersForImportResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PublicKey && { PublicKey: SENSITIVE_STRING }),
});
export const GetPublicKeyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetPublicKeyResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GrantListEntryFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ImportKeyMaterialRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ImportKeyMaterialResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const KeyListEntryFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListAliasesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListAliasesResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListGrantsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListGrantsResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListKeyPoliciesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListKeyPoliciesResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListKeysRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListKeysResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListResourceTagsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListResourceTagsResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListRetirableGrantsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PutKeyPolicyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ReEncryptRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ReEncryptResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ReplicateKeyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ReplicateKeyResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const RetireGrantRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const RevokeGrantRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ScheduleKeyDeletionRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ScheduleKeyDeletionResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SignRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Message && { Message: SENSITIVE_STRING }),
});
export const SignResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const TagResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UntagResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UpdateAliasRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UpdateCustomKeyStoreRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.KeyStorePassword && { KeyStorePassword: SENSITIVE_STRING }),
    ...(obj.XksProxyAuthenticationCredential && {
        XksProxyAuthenticationCredential: XksProxyAuthenticationCredentialTypeFilterSensitiveLog(obj.XksProxyAuthenticationCredential),
    }),
});
export const UpdateCustomKeyStoreResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UpdateKeyDescriptionRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UpdatePrimaryRegionRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const VerifyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Message && { Message: SENSITIVE_STRING }),
});
export const VerifyResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const VerifyMacRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Message && { Message: SENSITIVE_STRING }),
});
export const VerifyMacResponseFilterSensitiveLog = (obj) => ({
    ...obj,
});
