import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  KMSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../KMSClient";
import {
  CancelKeyDeletionRequest,
  CancelKeyDeletionResponse,
} from "../models/models_0";
export interface CancelKeyDeletionCommandInput
  extends CancelKeyDeletionRequest {}
export interface CancelKeyDeletionCommandOutput
  extends CancelKeyDeletionResponse,
    __MetadataBearer {}
export declare class CancelKeyDeletionCommand extends $Command<
  CancelKeyDeletionCommandInput,
  CancelKeyDeletionCommandOutput,
  KMSClientResolvedConfig
> {
  readonly input: CancelKeyDeletionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CancelKeyDeletionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: KMSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CancelKeyDeletionCommandInput, CancelKeyDeletionCommandOutput>;
  private serialize;
  private deserialize;
}
