import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  KMSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../KMSClient";
import {
  ConnectCustomKeyStoreRequest,
  ConnectCustomKeyStoreResponse,
} from "../models/models_0";
export interface ConnectCustomKeyStoreCommandInput
  extends ConnectCustomKeyStoreRequest {}
export interface ConnectCustomKeyStoreCommandOutput
  extends ConnectCustomKeyStoreResponse,
    __MetadataBearer {}
export declare class ConnectCustomKeyStoreCommand extends $Command<
  ConnectCustomKeyStoreCommandInput,
  ConnectCustomKeyStoreCommandOutput,
  KMSClientResolvedConfig
> {
  readonly input: ConnectCustomKeyStoreCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ConnectCustomKeyStoreCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: KMSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ConnectCustomKeyStoreCommandInput,
    ConnectCustomKeyStoreCommandOutput
  >;
  private serialize;
  private deserialize;
}
