import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  KMSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../KMSClient";
import {
  CreateCustomKeyStoreRequest,
  CreateCustomKeyStoreResponse,
} from "../models/models_0";
export interface CreateCustomKeyStoreCommandInput
  extends CreateCustomKeyStoreRequest {}
export interface CreateCustomKeyStoreCommandOutput
  extends CreateCustomKeyStoreResponse,
    __MetadataBearer {}
export declare class CreateCustomKeyStoreCommand extends $Command<
  CreateCustomKeyStoreCommandInput,
  CreateCustomKeyStoreCommandOutput,
  KMSClientResolvedConfig
> {
  readonly input: CreateCustomKeyStoreCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateCustomKeyStoreCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: KMSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateCustomKeyStoreCommandInput,
    CreateCustomKeyStoreCommandOutput
  >;
  private serialize;
  private deserialize;
}
