import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  KMSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../KMSClient";
import { DeleteImportedKeyMaterialRequest } from "../models/models_0";
export interface DeleteImportedKeyMaterialCommandInput
  extends DeleteImportedKeyMaterialRequest {}
export interface DeleteImportedKeyMaterialCommandOutput
  extends __MetadataBearer {}
export declare class DeleteImportedKeyMaterialCommand extends $Command<
  DeleteImportedKeyMaterialCommandInput,
  DeleteImportedKeyMaterialCommandOutput,
  KMSClientResolvedConfig
> {
  readonly input: DeleteImportedKeyMaterialCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteImportedKeyMaterialCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: KMSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteImportedKeyMaterialCommandInput,
    DeleteImportedKeyMaterialCommandOutput
  >;
  private serialize;
  private deserialize;
}
