import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  KMSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../KMSClient";
import {
  DescribeCustomKeyStoresRequest,
  DescribeCustomKeyStoresResponse,
} from "../models/models_0";
export interface DescribeCustomKeyStoresCommandInput
  extends DescribeCustomKeyStoresRequest {}
export interface DescribeCustomKeyStoresCommandOutput
  extends DescribeCustomKeyStoresResponse,
    __MetadataBearer {}
export declare class DescribeCustomKeyStoresCommand extends $Command<
  DescribeCustomKeyStoresCommandInput,
  DescribeCustomKeyStoresCommandOutput,
  KMSClientResolvedConfig
> {
  readonly input: DescribeCustomKeyStoresCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCustomKeyStoresCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: KMSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCustomKeyStoresCommandInput,
    DescribeCustomKeyStoresCommandOutput
  >;
  private serialize;
  private deserialize;
}
