import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  KMSClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../KMSClient";
import {
  GetKeyRotationStatusRequest,
  GetKeyRotationStatusResponse,
} from "../models/models_0";
export interface GetKeyRotationStatusCommandInput
  extends GetKeyRotationStatusRequest {}
export interface GetKeyRotationStatusCommandOutput
  extends GetKeyRotationStatusResponse,
    __MetadataBearer {}
export declare class GetKeyRotationStatusCommand extends $Command<
  GetKeyRotationStatusCommandInput,
  GetKeyRotationStatusCommandOutput,
  KMSClientResolvedConfig
> {
  readonly input: GetKeyRotationStatusCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetKeyRotationStatusCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: KMSClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetKeyRotationStatusCommandInput,
    GetKeyRotationStatusCommandOutput
  >;
  private serialize;
  private deserialize;
}
