/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
import * as dotenv from "dotenv";
dotenv.config();
/**
 * This sample demonstrates how to The operation to update a capacity reservation.
 *
 * @summary The operation to update a capacity reservation.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/ComputeRP/stable/2022-11-01/examples/capacityReservationExamples/CapacityReservation_Update_MaximumSet_Gen.json
 */
function capacityReservationsUpdateMaximumSetGen() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "rgcompute";
        const capacityReservationGroupName = "aaaaaaaaaa";
        const capacityReservationName = "aaaaaaaaaaaaaaaaaaa";
        const parameters = {
            instanceView: {
                statuses: [
                    {
                        code: "aaaaaaaaaaaaaaaaaaaaaaa",
                        displayStatus: "aaaaaa",
                        level: "Info",
                        message: "a",
                        time: new Date("2021-11-30T12:58:26.522Z")
                    }
                ],
                utilizationInfo: {}
            },
            sku: { name: "Standard_DS1_v2", capacity: 7, tier: "aaa" },
            tags: { key4974: "aaaaaaaaaaaaaaaa" }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.capacityReservations.beginUpdateAndWait(resourceGroupName, capacityReservationGroupName, capacityReservationName, parameters);
        console.log(result);
    });
}
/**
 * This sample demonstrates how to The operation to update a capacity reservation.
 *
 * @summary The operation to update a capacity reservation.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/ComputeRP/stable/2022-11-01/examples/capacityReservationExamples/CapacityReservation_Update_MinimumSet_Gen.json
 */
function capacityReservationsUpdateMinimumSetGen() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "rgcompute";
        const capacityReservationGroupName = "aaaaaaaaaaaaaaaaaaaaaaaaaa";
        const capacityReservationName = "aaa";
        const parameters = {};
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.capacityReservations.beginUpdateAndWait(resourceGroupName, capacityReservationGroupName, capacityReservationName, parameters);
        console.log(result);
    });
}
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        capacityReservationsUpdateMaximumSetGen();
        capacityReservationsUpdateMinimumSetGen();
    });
}
main().catch(console.error);
//# sourceMappingURL=capacityReservationsUpdateSample.js.map