/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
import * as dotenv from "dotenv";
dotenv.config();
/**
 * This sample demonstrates how to Deletes a role instance from a cloud service.
 *
 * @summary Deletes a role instance from a cloud service.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/CloudserviceRP/stable/2022-09-04/examples/CloudServiceRoleInstance_Delete.json
 */
function deleteCloudServiceRoleInstance() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const roleInstanceName = "{roleInstance-name}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "ConstosoRG";
        const cloudServiceName = "{cs-name}";
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.cloudServiceRoleInstances.beginDeleteAndWait(roleInstanceName, resourceGroupName, cloudServiceName);
        console.log(result);
    });
}
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        deleteCloudServiceRoleInstance();
    });
}
main().catch(console.error);
//# sourceMappingURL=cloudServiceRoleInstancesDeleteSample.js.map