/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
import * as dotenv from "dotenv";
dotenv.config();
/**
 * This sample demonstrates how to Update an dedicated host group.
 *
 * @summary Update an dedicated host group.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/ComputeRP/stable/2022-11-01/examples/dedicatedHostExamples/DedicatedHostGroups_Update_MaximumSet_Gen.json
 */
function dedicatedHostGroupsUpdateMaximumSetGen() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "rgcompute";
        const hostGroupName = "aaaa";
        const parameters = {
            instanceView: {
                hosts: [
                    {
                        availableCapacity: {
                            allocatableVMs: [{ count: 26, vmSize: "aaaaaaaaaaaaaaaaaaaa" }]
                        },
                        statuses: [
                            {
                                code: "aaaaaaaaaaaaaaaaaaaaaaa",
                                displayStatus: "aaaaaa",
                                level: "Info",
                                message: "a",
                                time: new Date("2021-11-30T12:58:26.522Z")
                            }
                        ]
                    }
                ]
            },
            platformFaultDomainCount: 3,
            supportAutomaticPlacement: true,
            tags: { key9921: "aaaaaaaaaa" },
            zones: ["aaaaaaaaaaaaaaaaaaaaaaaaaaaaa"]
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.dedicatedHostGroups.update(resourceGroupName, hostGroupName, parameters);
        console.log(result);
    });
}
/**
 * This sample demonstrates how to Update an dedicated host group.
 *
 * @summary Update an dedicated host group.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/ComputeRP/stable/2022-11-01/examples/dedicatedHostExamples/DedicatedHostGroups_Update_MinimumSet_Gen.json
 */
function dedicatedHostGroupsUpdateMinimumSetGen() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "rgcompute";
        const hostGroupName = "aaaaaaaaaaa";
        const parameters = {};
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.dedicatedHostGroups.update(resourceGroupName, hostGroupName, parameters);
        console.log(result);
    });
}
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        dedicatedHostGroupsUpdateMaximumSetGen();
        dedicatedHostGroupsUpdateMinimumSetGen();
    });
}
main().catch(console.error);
//# sourceMappingURL=dedicatedHostGroupsUpdateSample.js.map