/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
import * as dotenv from "dotenv";
dotenv.config();
/**
 * This sample demonstrates how to Retrieves information about a gallery Application Version.
 *
 * @summary Retrieves information about a gallery Application Version.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/GalleryRP/stable/2022-03-03/examples/galleryExamples/GalleryApplicationVersion_Get_WithReplicationStatus.json
 */
function getAGalleryApplicationVersionWithReplicationStatus() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "myResourceGroup";
        const galleryName = "myGalleryName";
        const galleryApplicationName = "myGalleryApplicationName";
        const galleryApplicationVersionName = "1.0.0";
        const expand = "ReplicationStatus";
        const options = { expand };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.galleryApplicationVersions.get(resourceGroupName, galleryName, galleryApplicationName, galleryApplicationVersionName, options);
        console.log(result);
    });
}
/**
 * This sample demonstrates how to Retrieves information about a gallery Application Version.
 *
 * @summary Retrieves information about a gallery Application Version.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/GalleryRP/stable/2022-03-03/examples/galleryExamples/GalleryApplicationVersion_Get.json
 */
function getAGalleryApplicationVersion() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "myResourceGroup";
        const galleryName = "myGalleryName";
        const galleryApplicationName = "myGalleryApplicationName";
        const galleryApplicationVersionName = "1.0.0";
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.galleryApplicationVersions.get(resourceGroupName, galleryName, galleryApplicationName, galleryApplicationVersionName);
        console.log(result);
    });
}
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        getAGalleryApplicationVersionWithReplicationStatus();
        getAGalleryApplicationVersion();
    });
}
main().catch(console.error);
//# sourceMappingURL=galleryApplicationVersionsGetSample.js.map