/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
import * as dotenv from "dotenv";
dotenv.config();
/**
 * This sample demonstrates how to Update a gallery Application Version.
 *
 * @summary Update a gallery Application Version.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/GalleryRP/stable/2022-03-03/examples/galleryExamples/GalleryApplicationVersion_Update.json
 */
function updateASimpleGalleryApplicationVersion() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "myResourceGroup";
        const galleryName = "myGalleryName";
        const galleryApplicationName = "myGalleryApplicationName";
        const galleryApplicationVersionName = "1.0.0";
        const galleryApplicationVersion = {
            publishingProfile: {
                endOfLifeDate: new Date("2019-07-01T07:00:00Z"),
                manageActions: {
                    install: 'powershell -command "Expand-Archive -Path package.zip -DestinationPath C:\\package"',
                    remove: "del C:\\package "
                },
                replicaCount: 1,
                source: {
                    mediaLink: "https://mystorageaccount.blob.core.windows.net/mycontainer/package.zip?{sasKey}"
                },
                storageAccountType: "Standard_LRS",
                targetRegions: [
                    {
                        name: "West US",
                        excludeFromLatest: false,
                        regionalReplicaCount: 1,
                        storageAccountType: "Standard_LRS"
                    }
                ]
            },
            safetyProfile: { allowDeletionOfReplicatedLocations: false }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.galleryApplicationVersions.beginUpdateAndWait(resourceGroupName, galleryName, galleryApplicationName, galleryApplicationVersionName, galleryApplicationVersion);
        console.log(result);
    });
}
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        updateASimpleGalleryApplicationVersion();
    });
}
main().catch(console.error);
//# sourceMappingURL=galleryApplicationVersionsUpdateSample.js.map