/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
import * as dotenv from "dotenv";
dotenv.config();
/**
 * This sample demonstrates how to Create or update a gallery Application Definition.
 *
 * @summary Create or update a gallery Application Definition.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/GalleryRP/stable/2022-03-03/examples/galleryExamples/GalleryApplication_Create.json
 */
function createOrUpdateASimpleGalleryApplication() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "myResourceGroup";
        const galleryName = "myGalleryName";
        const galleryApplicationName = "myGalleryApplicationName";
        const galleryApplication = {
            description: "This is the gallery application description.",
            customActions: [
                {
                    name: "myCustomAction",
                    description: "This is the custom action description.",
                    parameters: [
                        {
                            name: "myCustomActionParameter",
                            type: "String",
                            description: "This is the description of the parameter",
                            defaultValue: "default value of parameter.",
                            required: false
                        }
                    ],
                    script: "myCustomActionScript"
                }
            ],
            eula: "This is the gallery application EULA.",
            location: "West US",
            privacyStatementUri: "myPrivacyStatementUri}",
            releaseNoteUri: "myReleaseNoteUri",
            supportedOSType: "Windows"
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.galleryApplications.beginCreateOrUpdateAndWait(resourceGroupName, galleryName, galleryApplicationName, galleryApplication);
        console.log(result);
    });
}
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        createOrUpdateASimpleGalleryApplication();
    });
}
main().catch(console.error);
//# sourceMappingURL=galleryApplicationsCreateOrUpdateSample.js.map