/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
import * as dotenv from "dotenv";
dotenv.config();
/**
 * This sample demonstrates how to Update sharing profile of a gallery.
 *
 * @summary Update sharing profile of a gallery.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/GalleryRP/stable/2022-03-03/examples/galleryExamples/Gallery_AddToSharingProfile.json
 */
function addSharingIdToTheSharingProfileOfAGallery() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "myResourceGroup";
        const galleryName = "myGalleryName";
        const sharingUpdate = {
            groups: [
                {
                    type: "Subscriptions",
                    ids: [
                        "34a4ab42-0d72-47d9-bd1a-aed207386dac",
                        "380fd389-260b-41aa-bad9-0a83108c370b"
                    ]
                },
                { type: "AADTenants", ids: ["c24c76aa-8897-4027-9b03-8f7928b54ff6"] }
            ],
            operationType: "Add"
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.gallerySharingProfile.beginUpdateAndWait(resourceGroupName, galleryName, sharingUpdate);
        console.log(result);
    });
}
/**
 * This sample demonstrates how to Update sharing profile of a gallery.
 *
 * @summary Update sharing profile of a gallery.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/GalleryRP/stable/2022-03-03/examples/galleryExamples/Gallery_ResetSharingProfile.json
 */
function resetSharingProfileOfAGallery() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "myResourceGroup";
        const galleryName = "myGalleryName";
        const sharingUpdate = { operationType: "Reset" };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.gallerySharingProfile.beginUpdateAndWait(resourceGroupName, galleryName, sharingUpdate);
        console.log(result);
    });
}
/**
 * This sample demonstrates how to Update sharing profile of a gallery.
 *
 * @summary Update sharing profile of a gallery.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/GalleryRP/stable/2022-03-03/examples/galleryExamples/Gallery_EnableCommunityGallery.json
 */
function shareAGalleryToCommunity() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "myResourceGroup";
        const galleryName = "myGalleryName";
        const sharingUpdate = { operationType: "EnableCommunity" };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.gallerySharingProfile.beginUpdateAndWait(resourceGroupName, galleryName, sharingUpdate);
        console.log(result);
    });
}
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        addSharingIdToTheSharingProfileOfAGallery();
        resetSharingProfileOfAGallery();
        shareAGalleryToCommunity();
    });
}
main().catch(console.error);
//# sourceMappingURL=gallerySharingProfileUpdateSample.js.map