/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
import * as dotenv from "dotenv";
dotenv.config();
/**
 * This sample demonstrates how to Gets a list of virtual machine extension image versions.
 *
 * @summary Gets a list of virtual machine extension image versions.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/ComputeRP/stable/2022-11-01/examples/virtualMachineExtensionImageExamples/VirtualMachineExtensionImages_ListVersions_MaximumSet_Gen.json
 */
function virtualMachineExtensionImagesListVersionsMaximumSetGen() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const location = "aaaaaaaaaaaaaaaaaaaaaaaaaa";
        const publisherName = "aaaaaaaaaaaaaaaaaaaa";
        const typeParam = "aaaaaaaaaaaaaaaaaa";
        const filter = "aaaaaaaaaaaaaaaaaaaaaaaaa";
        const top = 22;
        const orderby = "a";
        const options = {
            filter,
            top,
            orderby
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachineExtensionImages.listVersions(location, publisherName, typeParam, options);
        console.log(result);
    });
}
/**
 * This sample demonstrates how to Gets a list of virtual machine extension image versions.
 *
 * @summary Gets a list of virtual machine extension image versions.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/ComputeRP/stable/2022-11-01/examples/virtualMachineExtensionImageExamples/VirtualMachineExtensionImages_ListVersions_MinimumSet_Gen.json
 */
function virtualMachineExtensionImagesListVersionsMinimumSetGen() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const location = "aaaaaaaaa";
        const publisherName = "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaa";
        const typeParam = "aaaa";
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachineExtensionImages.listVersions(location, publisherName, typeParam);
        console.log(result);
    });
}
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        virtualMachineExtensionImagesListVersionsMaximumSetGen();
        virtualMachineExtensionImagesListVersionsMinimumSetGen();
    });
}
main().catch(console.error);
//# sourceMappingURL=virtualMachineExtensionImagesListVersionsSample.js.map