/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
import * as dotenv from "dotenv";
dotenv.config();
/**
 * This sample demonstrates how to Gets a virtual machine image in an edge zone.
 *
 * @summary Gets a virtual machine image in an edge zone.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/ComputeRP/stable/2022-11-01/examples/virtualMachineImageExamples/VirtualMachineImagesEdgeZone_Get_MaximumSet_Gen.json
 */
function virtualMachineImagesEdgeZoneGetMaximumSetGen() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const location = "aaaaaaaaaaaaaaaaaaaaaaaa";
        const edgeZone = "aaaaaaaa";
        const publisherName = "aaaaaaaaaaaaaaaaaaaaaaa";
        const offer = "aaaaaaaaaaaaaaaaaaaaaaaaaaa";
        const skus = "aaaaaaaaaa";
        const version = "aaaaaaaaaaaaaaaaaaaaaaaaaaa";
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachineImagesEdgeZone.get(location, edgeZone, publisherName, offer, skus, version);
        console.log(result);
    });
}
/**
 * This sample demonstrates how to Gets a virtual machine image in an edge zone.
 *
 * @summary Gets a virtual machine image in an edge zone.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/ComputeRP/stable/2022-11-01/examples/virtualMachineImageExamples/VirtualMachineImagesEdgeZone_Get_MinimumSet_Gen.json
 */
function virtualMachineImagesEdgeZoneGetMinimumSetGen() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const location = "aaaaaaaaaaaaaaaaaaaaaaa";
        const edgeZone = "aaaaaaaaaaaaaaaaaaaaaaaaaaaaa";
        const publisherName = "aaaaaaaaaaaaaaaaaaaaaaaaaaaaa";
        const offer = "aaaaaaaaaaa";
        const skus = "aaaaaaaaaaaaaaaaaa";
        const version = "aa";
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachineImagesEdgeZone.get(location, edgeZone, publisherName, offer, skus, version);
        console.log(result);
    });
}
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        virtualMachineImagesEdgeZoneGetMaximumSetGen();
        virtualMachineImagesEdgeZoneGetMinimumSetGen();
    });
}
main().catch(console.error);
//# sourceMappingURL=virtualMachineImagesEdgeZoneGetSample.js.map