/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
import * as dotenv from "dotenv";
dotenv.config();
/**
 * This sample demonstrates how to Gets a list of all virtual machine image versions for the specified location, edge zone, publisher, offer, and SKU.
 *
 * @summary Gets a list of all virtual machine image versions for the specified location, edge zone, publisher, offer, and SKU.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/ComputeRP/stable/2022-11-01/examples/virtualMachineImageExamples/VirtualMachineImagesEdgeZone_List_MaximumSet_Gen.json
 */
function virtualMachineImagesEdgeZoneListMaximumSetGen() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const location = "aaaaaaaaaaaaaaa";
        const edgeZone = "aaaaaaaaaaaaaaaaaaaaaaaaa";
        const publisherName = "aaaa";
        const offer = "aaaaaaaaaaaaaaaaaaaaaaaaaa";
        const skus = "aaaaaaaaaaaaaaaaaaaaaaa";
        const expand = "aaaaaaaaaaaaaaaaaaaaaaaa";
        const top = 12;
        const orderby = "aaaaaaaaaaaaaaaaaaaaaaaaaaaa";
        const options = {
            expand,
            top,
            orderby
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachineImagesEdgeZone.list(location, edgeZone, publisherName, offer, skus, options);
        console.log(result);
    });
}
/**
 * This sample demonstrates how to Gets a list of all virtual machine image versions for the specified location, edge zone, publisher, offer, and SKU.
 *
 * @summary Gets a list of all virtual machine image versions for the specified location, edge zone, publisher, offer, and SKU.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/ComputeRP/stable/2022-11-01/examples/virtualMachineImageExamples/VirtualMachineImagesEdgeZone_List_MinimumSet_Gen.json
 */
function virtualMachineImagesEdgeZoneListMinimumSetGen() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const location = "aaaaaaaaaaaaaaaaaaaaaaaaaaaaa";
        const edgeZone = "aaaaa";
        const publisherName = "aaaaaaaaaaaaaaaaaaa";
        const offer = "aaaaaaaaaaaaaaaaaaaaaaaaaaa";
        const skus = "aaaaaaaaaaaaaaaaaaaaaaaaaaaaa";
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachineImagesEdgeZone.list(location, edgeZone, publisherName, offer, skus);
        console.log(result);
    });
}
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        virtualMachineImagesEdgeZoneListMaximumSetGen();
        virtualMachineImagesEdgeZoneListMinimumSetGen();
    });
}
main().catch(console.error);
//# sourceMappingURL=virtualMachineImagesEdgeZoneListSample.js.map