/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
import * as dotenv from "dotenv";
dotenv.config();
/**
 * This sample demonstrates how to The operation to create or update the run command.
 *
 * @summary The operation to create or update the run command.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/ComputeRP/stable/2022-11-01/examples/runCommandExamples/VirtualMachineRunCommand_CreateOrUpdate.json
 */
function createOrUpdateARunCommand() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "myResourceGroup";
        const vmName = "myVM";
        const runCommandName = "myRunCommand";
        const runCommand = {
            asyncExecution: false,
            location: "West US",
            parameters: [
                { name: "param1", value: "value1" },
                { name: "param2", value: "value2" }
            ],
            runAsPassword: "<runAsPassword>",
            runAsUser: "user1",
            source: { script: "Write-Host Hello World!" },
            timeoutInSeconds: 3600
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachineRunCommands.beginCreateOrUpdateAndWait(resourceGroupName, vmName, runCommandName, runCommand);
        console.log(result);
    });
}
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        createOrUpdateARunCommand();
    });
}
main().catch(console.error);
//# sourceMappingURL=virtualMachineRunCommandsCreateOrUpdateSample.js.map