/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
import * as dotenv from "dotenv";
dotenv.config();
/**
 * This sample demonstrates how to Installs patches on the VM.
 *
 * @summary Installs patches on the VM.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/ComputeRP/stable/2022-11-01/examples/virtualMachineExamples/VirtualMachine_InstallPatches.json
 */
function installPatchStateOfAVirtualMachine() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = process.env["COMPUTE_SUBSCRIPTION_ID"] || "{subscription-id}";
        const resourceGroupName = process.env["COMPUTE_RESOURCE_GROUP"] || "myResourceGroupName";
        const vmName = "myVMName";
        const installPatchesInput = {
            maximumDuration: "PT4H",
            rebootSetting: "IfRequired",
            windowsParameters: {
                classificationsToInclude: ["Critical", "Security"],
                maxPatchPublishDate: new Date("2020-11-19T02:36:43.0539904+00:00")
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachines.beginInstallPatchesAndWait(resourceGroupName, vmName, installPatchesInput);
        console.log(result);
    });
}
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        installPatchStateOfAVirtualMachine();
    });
}
main().catch(console.error);
//# sourceMappingURL=virtualMachinesInstallPatchesSample.js.map