import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { CommunityGalleryImage, CommunityGalleryImagesListOptionalParams, CommunityGalleryImagesGetOptionalParams, CommunityGalleryImagesGetResponse } from "../models";
/** Interface representing a CommunityGalleryImages. */
export interface CommunityGalleryImages {
    /**
     * List community gallery images inside a gallery.
     * @param location Resource location.
     * @param publicGalleryName The public name of the community gallery.
     * @param options The options parameters.
     */
    list(location: string, publicGalleryName: string, options?: CommunityGalleryImagesListOptionalParams): PagedAsyncIterableIterator<CommunityGalleryImage>;
    /**
     * Get a community gallery image.
     * @param location Resource location.
     * @param publicGalleryName The public name of the community gallery.
     * @param galleryImageName The name of the community gallery image definition.
     * @param options The options parameters.
     */
    get(location: string, publicGalleryName: string, galleryImageName: string, options?: CommunityGalleryImagesGetOptionalParams): Promise<CommunityGalleryImagesGetResponse>;
}
//# sourceMappingURL=communityGalleryImages.d.ts.map