import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { Usage, UsageListOptionalParams } from "../models";
/** Interface representing a UsageOperations. */
export interface UsageOperations {
    /**
     * Gets, for the specified location, the current compute resource usage information as well as the
     * limits for compute resources under the subscription.
     * @param location The location for which resource usage is queried.
     * @param options The options parameters.
     */
    list(location: string, options?: UsageListOptionalParams): PagedAsyncIterableIterator<Usage>;
}
//# sourceMappingURL=usageOperations.d.ts.map