import * as coreClient from "@azure/core-client";
import * as coreAuth from "@azure/core-auth";
import { Keys, Vaults, PrivateEndpointConnections, PrivateLinkResources, ManagedHsms, MhsmPrivateEndpointConnections, MhsmPrivateLinkResources, Operations, Secrets } from "./operationsInterfaces";
import { KeyVaultManagementClientOptionalParams } from "./models";
export declare class KeyVaultManagementClient extends coreClient.ServiceClient {
    $host: string;
    subscriptionId: string;
    apiVersion: string;
    /**
     * Initializes a new instance of the KeyVaultManagementClient class.
     * @param credentials Subscription credentials which uniquely identify client subscription.
     * @param subscriptionId Subscription credentials which uniquely identify Microsoft Azure subscription.
     *                       The subscription ID forms part of the URI for every service call.
     * @param options The parameter options
     */
    constructor(credentials: coreAuth.TokenCredential, subscriptionId: string, options?: KeyVaultManagementClientOptionalParams);
    keys: Keys;
    vaults: Vaults;
    privateEndpointConnections: PrivateEndpointConnections;
    privateLinkResources: PrivateLinkResources;
    managedHsms: ManagedHsms;
    mhsmPrivateEndpointConnections: MhsmPrivateEndpointConnections;
    mhsmPrivateLinkResources: MhsmPrivateLinkResources;
    operations: Operations;
    secrets: Secrets;
}
//# sourceMappingURL=keyVaultManagementClient.d.ts.map