import { MhsmPrivateLinkResources } from "../operationsInterfaces";
import { KeyVaultManagementClient } from "../keyVaultManagementClient";
import { MhsmPrivateLinkResourcesListByMhsmResourceOptionalParams, MhsmPrivateLinkResourcesListByMhsmResourceResponse } from "../models";
/** Class containing MhsmPrivateLinkResources operations. */
export declare class MhsmPrivateLinkResourcesImpl implements MhsmPrivateLinkResources {
    private readonly client;
    /**
     * Initialize a new instance of the class MhsmPrivateLinkResources class.
     * @param client Reference to the service client
     */
    constructor(client: KeyVaultManagementClient);
    /**
     * Gets the private link resources supported for the managed hsm pool.
     * @param resourceGroupName Name of the resource group that contains the managed HSM pool.
     * @param name Name of the managed HSM Pool
     * @param options The options parameters.
     */
    listByMhsmResource(resourceGroupName: string, name: string, options?: MhsmPrivateLinkResourcesListByMhsmResourceOptionalParams): Promise<MhsmPrivateLinkResourcesListByMhsmResourceResponse>;
}
//# sourceMappingURL=mhsmPrivateLinkResources.d.ts.map