/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ManagementLockClient } from "@azure/arm-locks";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to When you apply a lock at a parent scope, all child resources inherit the same lock. To create management locks, you must have access to Microsoft.Authorization/* or Microsoft.Authorization/locks/* actions. Of the built-in roles, only Owner and User Access Administrator are granted those actions.
 *
 * @summary When you apply a lock at a parent scope, all child resources inherit the same lock. To create management locks, you must have access to Microsoft.Authorization/* or Microsoft.Authorization/locks/* actions. Of the built-in roles, only Owner and User Access Administrator are granted those actions.
 * x-ms-original-file: specification/resources/resource-manager/Microsoft.Authorization/stable/2020-05-01/examples/ManagementLocks_CreateOrUpdateAtResourceGroupLevel.json
 */
function createManagementLockAtResourceGroupLevel() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subscriptionId";
        const resourceGroupName = "resourcegroupname";
        const lockName = "testlock";
        const parameters = { level: "ReadOnly" };
        const credential = new DefaultAzureCredential();
        const client = new ManagementLockClient(credential, subscriptionId);
        const result = yield client.managementLocks.createOrUpdateAtResourceGroupLevel(resourceGroupName, lockName, parameters);
        console.log(result);
    });
}
createManagementLockAtResourceGroupLevel().catch(console.error);
//# sourceMappingURL=managementLocksCreateOrUpdateAtResourceGroupLevelSample.js.map