/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ManagementLockClient } from "@azure/arm-locks";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Create or update a management lock by scope.
 *
 * @summary Create or update a management lock by scope.
 * x-ms-original-file: specification/resources/resource-manager/Microsoft.Authorization/stable/2020-05-01/examples/ManagementLocks_CreateOrUpdateAtScope.json
 */
function createManagementLockAtScope() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "00000000-0000-0000-0000-000000000000";
        const scope = "subscriptions/subscriptionId";
        const lockName = "testlock";
        const parameters = { level: "ReadOnly" };
        const credential = new DefaultAzureCredential();
        const client = new ManagementLockClient(credential, subscriptionId);
        const result = yield client.managementLocks.createOrUpdateByScope(scope, lockName, parameters);
        console.log(result);
    });
}
createManagementLockAtScope().catch(console.error);
//# sourceMappingURL=managementLocksCreateOrUpdateByScopeSample.js.map