/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ManagementLockClient } from "@azure/arm-locks";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to To delete management locks, you must have access to Microsoft.Authorization/* or Microsoft.Authorization/locks/* actions. Of the built-in roles, only Owner and User Access Administrator are granted those actions.
 *
 * @summary To delete management locks, you must have access to Microsoft.Authorization/* or Microsoft.Authorization/locks/* actions. Of the built-in roles, only Owner and User Access Administrator are granted those actions.
 * x-ms-original-file: specification/resources/resource-manager/Microsoft.Authorization/stable/2020-05-01/examples/ManagementLocks_DeleteAtResourceLevel.json
 */
function deleteManagementLockAtResourceLevel() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subscriptionId";
        const resourceGroupName = "resourcegroupname";
        const resourceProviderNamespace = "Microsoft.Storage";
        const parentResourcePath = "parentResourcePath";
        const resourceType = "storageAccounts";
        const resourceName = "teststorageaccount";
        const lockName = "testlock";
        const credential = new DefaultAzureCredential();
        const client = new ManagementLockClient(credential, subscriptionId);
        const result = yield client.managementLocks.deleteAtResourceLevel(resourceGroupName, resourceProviderNamespace, parentResourcePath, resourceType, resourceName, lockName);
        console.log(result);
    });
}
deleteManagementLockAtResourceLevel().catch(console.error);
//# sourceMappingURL=managementLocksDeleteAtResourceLevelSample.js.map