/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ManagementLockClient } from "@azure/arm-locks";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Gets a management lock at the resource group level.
 *
 * @summary Gets a management lock at the resource group level.
 * x-ms-original-file: specification/resources/resource-manager/Microsoft.Authorization/stable/2020-05-01/examples/ManagementLocks_GetAtResourceGroupLevel.json
 */
function getManagementLockAtResourceGroupLevel() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subscriptionId";
        const resourceGroupName = "resourcegroupname";
        const lockName = "testlock";
        const credential = new DefaultAzureCredential();
        const client = new ManagementLockClient(credential, subscriptionId);
        const result = yield client.managementLocks.getAtResourceGroupLevel(resourceGroupName, lockName);
        console.log(result);
    });
}
getManagementLockAtResourceGroupLevel().catch(console.error);
//# sourceMappingURL=managementLocksGetAtResourceGroupLevelSample.js.map