/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ManagementLockClient } from "@azure/arm-locks";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Get the management lock of a resource or any level below resource.
 *
 * @summary Get the management lock of a resource or any level below resource.
 * x-ms-original-file: specification/resources/resource-manager/Microsoft.Authorization/stable/2020-05-01/examples/ManagementLocks_GetAtResourceLevel.json
 */
function getManagementLockAtResourceLevel() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subscriptionId";
        const resourceGroupName = "resourcegroupname";
        const resourceProviderNamespace = "Microsoft.Storage";
        const parentResourcePath = "parentResourcePath";
        const resourceType = "storageAccounts";
        const resourceName = "teststorageaccount";
        const lockName = "testlock";
        const credential = new DefaultAzureCredential();
        const client = new ManagementLockClient(credential, subscriptionId);
        const result = yield client.managementLocks.getAtResourceLevel(resourceGroupName, resourceProviderNamespace, parentResourcePath, resourceType, resourceName, lockName);
        console.log(result);
    });
}
getManagementLockAtResourceLevel().catch(console.error);
//# sourceMappingURL=managementLocksGetAtResourceLevelSample.js.map