## API Report File for "@azure/arm-locks"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import * as coreAuth from '@azure/core-auth';
import * as coreClient from '@azure/core-client';
import { PagedAsyncIterableIterator } from '@azure/core-paging';

// @public
export interface AuthorizationOperations {
    list(options?: AuthorizationOperationsListOptionalParams): PagedAsyncIterableIterator<Operation>;
}

// @public
export interface AuthorizationOperationsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type AuthorizationOperationsListNextResponse = OperationListResult;

// @public
export interface AuthorizationOperationsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type AuthorizationOperationsListResponse = OperationListResult;

// @public
export type CreatedByType = string;

// @public
export interface ErrorAdditionalInfo {
    readonly info?: Record<string, unknown>;
    readonly type?: string;
}

// @public
export interface ErrorDetail {
    readonly additionalInfo?: ErrorAdditionalInfo[];
    readonly code?: string;
    readonly details?: ErrorDetail[];
    readonly message?: string;
    readonly target?: string;
}

// @public
export interface ErrorResponse {
    error?: ErrorDetail;
}

// @public
export function getContinuationToken(page: unknown): string | undefined;

// @public
export enum KnownCreatedByType {
    Application = "Application",
    Key = "Key",
    ManagedIdentity = "ManagedIdentity",
    User = "User"
}

// @public
export enum KnownLockLevel {
    CanNotDelete = "CanNotDelete",
    NotSpecified = "NotSpecified",
    ReadOnly = "ReadOnly"
}

// @public
export type LockLevel = string;

// @public (undocumented)
export class ManagementLockClient extends coreClient.ServiceClient {
    // (undocumented)
    $host: string;
    constructor(credentials: coreAuth.TokenCredential, subscriptionId: string, options?: ManagementLockClientOptionalParams);
    // (undocumented)
    apiVersion: string;
    // (undocumented)
    authorizationOperations: AuthorizationOperations;
    // (undocumented)
    managementLocks: ManagementLocks;
    // (undocumented)
    subscriptionId: string;
}

// @public
export interface ManagementLockClientOptionalParams extends coreClient.ServiceClientOptions {
    $host?: string;
    apiVersion?: string;
    endpoint?: string;
}

// @public
export interface ManagementLockListResult {
    nextLink?: string;
    value?: ManagementLockObject[];
}

// @public
export interface ManagementLockObject {
    readonly id?: string;
    level: LockLevel;
    readonly name?: string;
    notes?: string;
    owners?: ManagementLockOwner[];
    readonly systemData?: SystemData;
    readonly type?: string;
}

// @public
export interface ManagementLockOwner {
    applicationId?: string;
}

// @public
export interface ManagementLocks {
    createOrUpdateAtResourceGroupLevel(resourceGroupName: string, lockName: string, parameters: ManagementLockObject, options?: ManagementLocksCreateOrUpdateAtResourceGroupLevelOptionalParams): Promise<ManagementLocksCreateOrUpdateAtResourceGroupLevelResponse>;
    createOrUpdateAtResourceLevel(resourceGroupName: string, resourceProviderNamespace: string, parentResourcePath: string, resourceType: string, resourceName: string, lockName: string, parameters: ManagementLockObject, options?: ManagementLocksCreateOrUpdateAtResourceLevelOptionalParams): Promise<ManagementLocksCreateOrUpdateAtResourceLevelResponse>;
    createOrUpdateAtSubscriptionLevel(lockName: string, parameters: ManagementLockObject, options?: ManagementLocksCreateOrUpdateAtSubscriptionLevelOptionalParams): Promise<ManagementLocksCreateOrUpdateAtSubscriptionLevelResponse>;
    createOrUpdateByScope(scope: string, lockName: string, parameters: ManagementLockObject, options?: ManagementLocksCreateOrUpdateByScopeOptionalParams): Promise<ManagementLocksCreateOrUpdateByScopeResponse>;
    deleteAtResourceGroupLevel(resourceGroupName: string, lockName: string, options?: ManagementLocksDeleteAtResourceGroupLevelOptionalParams): Promise<void>;
    deleteAtResourceLevel(resourceGroupName: string, resourceProviderNamespace: string, parentResourcePath: string, resourceType: string, resourceName: string, lockName: string, options?: ManagementLocksDeleteAtResourceLevelOptionalParams): Promise<void>;
    deleteAtSubscriptionLevel(lockName: string, options?: ManagementLocksDeleteAtSubscriptionLevelOptionalParams): Promise<void>;
    deleteByScope(scope: string, lockName: string, options?: ManagementLocksDeleteByScopeOptionalParams): Promise<void>;
    getAtResourceGroupLevel(resourceGroupName: string, lockName: string, options?: ManagementLocksGetAtResourceGroupLevelOptionalParams): Promise<ManagementLocksGetAtResourceGroupLevelResponse>;
    getAtResourceLevel(resourceGroupName: string, resourceProviderNamespace: string, parentResourcePath: string, resourceType: string, resourceName: string, lockName: string, options?: ManagementLocksGetAtResourceLevelOptionalParams): Promise<ManagementLocksGetAtResourceLevelResponse>;
    getAtSubscriptionLevel(lockName: string, options?: ManagementLocksGetAtSubscriptionLevelOptionalParams): Promise<ManagementLocksGetAtSubscriptionLevelResponse>;
    getByScope(scope: string, lockName: string, options?: ManagementLocksGetByScopeOptionalParams): Promise<ManagementLocksGetByScopeResponse>;
    listAtResourceGroupLevel(resourceGroupName: string, options?: ManagementLocksListAtResourceGroupLevelOptionalParams): PagedAsyncIterableIterator<ManagementLockObject>;
    listAtResourceLevel(resourceGroupName: string, resourceProviderNamespace: string, parentResourcePath: string, resourceType: string, resourceName: string, options?: ManagementLocksListAtResourceLevelOptionalParams): PagedAsyncIterableIterator<ManagementLockObject>;
    listAtSubscriptionLevel(options?: ManagementLocksListAtSubscriptionLevelOptionalParams): PagedAsyncIterableIterator<ManagementLockObject>;
    listByScope(scope: string, options?: ManagementLocksListByScopeOptionalParams): PagedAsyncIterableIterator<ManagementLockObject>;
}

// @public
export interface ManagementLocksCreateOrUpdateAtResourceGroupLevelOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ManagementLocksCreateOrUpdateAtResourceGroupLevelResponse = ManagementLockObject;

// @public
export interface ManagementLocksCreateOrUpdateAtResourceLevelOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ManagementLocksCreateOrUpdateAtResourceLevelResponse = ManagementLockObject;

// @public
export interface ManagementLocksCreateOrUpdateAtSubscriptionLevelOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ManagementLocksCreateOrUpdateAtSubscriptionLevelResponse = ManagementLockObject;

// @public
export interface ManagementLocksCreateOrUpdateByScopeOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ManagementLocksCreateOrUpdateByScopeResponse = ManagementLockObject;

// @public
export interface ManagementLocksDeleteAtResourceGroupLevelOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface ManagementLocksDeleteAtResourceLevelOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface ManagementLocksDeleteAtSubscriptionLevelOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface ManagementLocksDeleteByScopeOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface ManagementLocksGetAtResourceGroupLevelOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ManagementLocksGetAtResourceGroupLevelResponse = ManagementLockObject;

// @public
export interface ManagementLocksGetAtResourceLevelOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ManagementLocksGetAtResourceLevelResponse = ManagementLockObject;

// @public
export interface ManagementLocksGetAtSubscriptionLevelOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ManagementLocksGetAtSubscriptionLevelResponse = ManagementLockObject;

// @public
export interface ManagementLocksGetByScopeOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ManagementLocksGetByScopeResponse = ManagementLockObject;

// @public
export interface ManagementLocksListAtResourceGroupLevelNextOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type ManagementLocksListAtResourceGroupLevelNextResponse = ManagementLockListResult;

// @public
export interface ManagementLocksListAtResourceGroupLevelOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type ManagementLocksListAtResourceGroupLevelResponse = ManagementLockListResult;

// @public
export interface ManagementLocksListAtResourceLevelNextOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type ManagementLocksListAtResourceLevelNextResponse = ManagementLockListResult;

// @public
export interface ManagementLocksListAtResourceLevelOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type ManagementLocksListAtResourceLevelResponse = ManagementLockListResult;

// @public
export interface ManagementLocksListAtSubscriptionLevelNextOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type ManagementLocksListAtSubscriptionLevelNextResponse = ManagementLockListResult;

// @public
export interface ManagementLocksListAtSubscriptionLevelOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type ManagementLocksListAtSubscriptionLevelResponse = ManagementLockListResult;

// @public
export interface ManagementLocksListByScopeNextOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type ManagementLocksListByScopeNextResponse = ManagementLockListResult;

// @public
export interface ManagementLocksListByScopeOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type ManagementLocksListByScopeResponse = ManagementLockListResult;

// @public
export interface Operation {
    display?: OperationDisplay;
    name?: string;
}

// @public
export interface OperationDisplay {
    operation?: string;
    provider?: string;
    resource?: string;
}

// @public
export interface OperationListResult {
    nextLink?: string;
    value?: Operation[];
}

// @public
export interface SystemData {
    createdAt?: Date;
    createdBy?: string;
    createdByType?: CreatedByType;
    lastModifiedAt?: Date;
    lastModifiedBy?: string;
    lastModifiedByType?: CreatedByType;
}

// (No @packageDocumentation comment for this package)

```
