/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates an admin rule collection.
 *
 * @summary Creates or updates an admin rule collection.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkManagerAdminRuleCollectionPut.json
 */
function createOrUpdateAnAdminRuleCollection() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "00000000-0000-0000-0000-000000000000";
        const resourceGroupName = "rg1";
        const networkManagerName = "testNetworkManager";
        const configurationName = "myTestSecurityConfig";
        const ruleCollectionName = "testRuleCollection";
        const ruleCollection = {
            description: "A sample policy",
            appliesToGroups: [
                {
                    networkGroupId: "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkManagers/testNetworkManager/networkGroups/testGroup"
                }
            ]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.adminRuleCollections.createOrUpdate(resourceGroupName, networkManagerName, configurationName, ruleCollectionName, ruleCollection);
        console.log(result);
    });
}
createOrUpdateAnAdminRuleCollection().catch(console.error);
//# sourceMappingURL=adminRuleCollectionsCreateOrUpdateSample.js.map