/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Deletes an admin rule collection.
 *
 * @summary Deletes an admin rule collection.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkManagerAdminRuleCollectionDelete.json
 */
function deletesAnAdminRuleCollection() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "00000000-0000-0000-0000-000000000000";
        const resourceGroupName = "rg1";
        const networkManagerName = "testNetworkManager";
        const configurationName = "myTestSecurityConfig";
        const ruleCollectionName = "testRuleCollection";
        const force = false;
        const options = { force };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.adminRuleCollections.beginDeleteAndWait(resourceGroupName, networkManagerName, configurationName, ruleCollectionName, options);
        console.log(result);
    });
}
deletesAnAdminRuleCollection().catch(console.error);
//# sourceMappingURL=adminRuleCollectionsDeleteSample.js.map