/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Gets a network manager security configuration admin rule.
 *
 * @summary Gets a network manager security configuration admin rule.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkManagerAdminRuleGet.json
 */
function getsSecurityAdminRule() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "00000000-0000-0000-0000-000000000000";
        const resourceGroupName = "rg1";
        const networkManagerName = "testNetworkManager";
        const configurationName = "myTestSecurityConfig";
        const ruleCollectionName = "testRuleCollection";
        const ruleName = "SampleAdminRule";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.adminRules.get(resourceGroupName, networkManagerName, configurationName, ruleCollectionName, ruleName);
        console.log(result);
    });
}
getsSecurityAdminRule().catch(console.error);
/**
 * This sample demonstrates how to Gets a network manager security configuration admin rule.
 *
 * @summary Gets a network manager security configuration admin rule.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkManagerDefaultAdminRuleGet.json
 */
function getsSecurityDefaultAdminRule() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "00000000-0000-0000-0000-000000000000";
        const resourceGroupName = "rg1";
        const networkManagerName = "testNetworkManager";
        const configurationName = "myTestSecurityConfig";
        const ruleCollectionName = "testRuleCollection";
        const ruleName = "SampleDefaultAdminRule";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.adminRules.get(resourceGroupName, networkManagerName, configurationName, ruleCollectionName, ruleName);
        console.log(result);
    });
}
getsSecurityDefaultAdminRule().catch(console.error);
//# sourceMappingURL=adminRulesGetSample.js.map