/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Updates the specified private endpoint connection on application gateway.
 *
 * @summary Updates the specified private endpoint connection on application gateway.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ApplicationGatewayPrivateEndpointConnectionUpdate.json
 */
function updateApplicationGatewayPrivateEndpointConnection() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const applicationGatewayName = "appgw";
        const connectionName = "connection1";
        const parameters = {
            name: "connection1",
            privateEndpoint: {
                id: "/subscriptions/subId2/resourceGroups/rg1/providers/Microsoft.Network/privateEndpoints/testPe"
            },
            privateLinkServiceConnectionState: {
                description: "approved it for some reason.",
                status: "Approved"
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.applicationGatewayPrivateEndpointConnections.beginUpdateAndWait(resourceGroupName, applicationGatewayName, connectionName, parameters);
        console.log(result);
    });
}
updateApplicationGatewayPrivateEndpointConnection().catch(console.error);
//# sourceMappingURL=applicationGatewayPrivateEndpointConnectionsUpdateSample.js.map