/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates a ConfigurationPolicyGroup if it doesn't exist else updates the existing one.
 *
 * @summary Creates a ConfigurationPolicyGroup if it doesn't exist else updates the existing one.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ConfigurationPolicyGroupPut.json
 */
function configurationPolicyGroupPut() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const vpnServerConfigurationName = "vpnServerConfiguration1";
        const configurationPolicyGroupName = "policyGroup1";
        const vpnServerConfigurationPolicyGroupParameters = {
            isDefault: true,
            policyMembers: [
                {
                    name: "policy1",
                    attributeType: "RadiusAzureGroupId",
                    attributeValue: "6ad1bd08"
                },
                {
                    name: "policy2",
                    attributeType: "CertificateGroupId",
                    attributeValue: "red.com"
                }
            ],
            priority: 0
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.configurationPolicyGroups.beginCreateOrUpdateAndWait(resourceGroupName, vpnServerConfigurationName, configurationPolicyGroupName, vpnServerConfigurationPolicyGroupParameters);
        console.log(result);
    });
}
configurationPolicyGroupPut().catch(console.error);
//# sourceMappingURL=configurationPolicyGroupsCreateOrUpdateSample.js.map