/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Update tags of the specified connection monitor.
 *
 * @summary Update tags of the specified connection monitor.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkWatcherConnectionMonitorUpdateTags.json
 */
function updateConnectionMonitorTags() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const networkWatcherName = "nw1";
        const connectionMonitorName = "cm1";
        const parameters = { tags: { tag1: "value1", tag2: "value2" } };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.connectionMonitors.updateTags(resourceGroupName, networkWatcherName, connectionMonitorName, parameters);
        console.log(result);
    });
}
updateConnectionMonitorTags().catch(console.error);
//# sourceMappingURL=connectionMonitorsUpdateTagsSample.js.map