/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a custom IP prefix.
 *
 * @summary Creates or updates a custom IP prefix.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/CustomIpPrefixCreateCustomizedValues.json
 */
function createCustomIPPrefixAllocationMethod() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const customIpPrefixName = "test-customipprefix";
        const parameters = { cidr: "0.0.0.0/24", location: "westus" };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.customIPPrefixes.beginCreateOrUpdateAndWait(resourceGroupName, customIpPrefixName, parameters);
        console.log(result);
    });
}
createCustomIPPrefixAllocationMethod().catch(console.error);
//# sourceMappingURL=customIPPrefixesCreateOrUpdateSample.js.map