/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a DDoS custom policy.
 *
 * @summary Creates or updates a DDoS custom policy.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/DdosCustomPolicyCreate.json
 */
function createDDoSCustomPolicy() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const ddosCustomPolicyName = "test-ddos-custom-policy";
        const parameters = { location: "centraluseuap" };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.ddosCustomPolicies.beginCreateOrUpdateAndWait(resourceGroupName, ddosCustomPolicyName, parameters);
        console.log(result);
    });
}
createDDoSCustomPolicy().catch(console.error);
//# sourceMappingURL=ddosCustomPoliciesCreateOrUpdateSample.js.map