/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Get the specified default network security rule.
 *
 * @summary Get the specified default network security rule.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/DefaultSecurityRuleGet.json
 */
function defaultSecurityRuleGet() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "testrg";
        const networkSecurityGroupName = "nsg1";
        const defaultSecurityRuleName = "AllowVnetInBound";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.defaultSecurityRules.get(resourceGroupName, networkSecurityGroupName, defaultSecurityRuleName);
        console.log(result);
    });
}
defaultSecurityRuleGet().catch(console.error);
//# sourceMappingURL=defaultSecurityRulesGetSample.js.map