/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a peering in the specified express route circuits.
 *
 * @summary Creates or updates a peering in the specified express route circuits.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ExpressRouteCircuitPeeringCreate.json
 */
function createExpressRouteCircuitPeerings() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const circuitName = "circuitName";
        const peeringName = "AzurePrivatePeering";
        const peeringParameters = {
            peerASN: 200,
            primaryPeerAddressPrefix: "192.168.16.252/30",
            secondaryPeerAddressPrefix: "192.168.18.252/30",
            vlanId: 200
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.expressRouteCircuitPeerings.beginCreateOrUpdateAndWait(resourceGroupName, circuitName, peeringName, peeringParameters);
        console.log(result);
    });
}
createExpressRouteCircuitPeerings().catch(console.error);
//# sourceMappingURL=expressRouteCircuitPeeringsCreateOrUpdateSample.js.map