/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Gets the currently advertised routes table associated with the express route circuit in a resource group.
 *
 * @summary Gets the currently advertised routes table associated with the express route circuit in a resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ExpressRouteCircuitRouteTableList.json
 */
function listRouteTables() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const circuitName = "circuitName";
        const peeringName = "peeringName";
        const devicePath = "devicePath";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.expressRouteCircuits.beginListRoutesTableAndWait(resourceGroupName, circuitName, peeringName, devicePath);
        console.log(result);
    });
}
listRouteTables().catch(console.error);
//# sourceMappingURL=expressRouteCircuitsListRoutesTableSample.js.map