/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a peering in the specified ExpressRouteCrossConnection.
 *
 * @summary Creates or updates a peering in the specified ExpressRouteCrossConnection.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ExpressRouteCrossConnectionBgpPeeringCreate.json
 */
function expressRouteCrossConnectionBgpPeeringCreate() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "CrossConnection-SiliconValley";
        const crossConnectionName = "<circuitServiceKey>";
        const peeringName = "AzurePrivatePeering";
        const peeringParameters = {
            ipv6PeeringConfig: {
                primaryPeerAddressPrefix: "3FFE:FFFF:0:CD30::/126",
                secondaryPeerAddressPrefix: "3FFE:FFFF:0:CD30::4/126"
            },
            peerASN: 200,
            primaryPeerAddressPrefix: "192.168.16.252/30",
            secondaryPeerAddressPrefix: "192.168.18.252/30",
            vlanId: 200
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.expressRouteCrossConnectionPeerings.beginCreateOrUpdateAndWait(resourceGroupName, crossConnectionName, peeringName, peeringParameters);
        console.log(result);
    });
}
expressRouteCrossConnectionBgpPeeringCreate().catch(console.error);
//# sourceMappingURL=expressRouteCrossConnectionPeeringsCreateOrUpdateSample.js.map