/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Deletes the specified peering from the ExpressRouteCrossConnection.
 *
 * @summary Deletes the specified peering from the ExpressRouteCrossConnection.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ExpressRouteCrossConnectionBgpPeeringDelete.json
 */
function deleteExpressRouteCrossConnectionBgpPeering() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "CrossConnection-SiliconValley";
        const crossConnectionName = "<circuitServiceKey>";
        const peeringName = "AzurePrivatePeering";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.expressRouteCrossConnectionPeerings.beginDeleteAndWait(resourceGroupName, crossConnectionName, peeringName);
        console.log(result);
    });
}
deleteExpressRouteCrossConnectionBgpPeering().catch(console.error);
//# sourceMappingURL=expressRouteCrossConnectionPeeringsDeleteSample.js.map