/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Update the specified ExpressRouteCrossConnection.
 *
 * @summary Update the specified ExpressRouteCrossConnection.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ExpressRouteCrossConnectionUpdate.json
 */
function updateExpressRouteCrossConnection() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "CrossConnection-SiliconValley";
        const crossConnectionName = "<circuitServiceKey>";
        const parameters = {
            serviceProviderProvisioningState: "NotProvisioned"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.expressRouteCrossConnections.beginCreateOrUpdateAndWait(resourceGroupName, crossConnectionName, parameters);
        console.log(result);
    });
}
updateExpressRouteCrossConnection().catch(console.error);
//# sourceMappingURL=expressRouteCrossConnectionsCreateOrUpdateSample.js.map