/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates an authorization in the specified express route port.
 *
 * @summary Creates or updates an authorization in the specified express route port.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ExpressRoutePortAuthorizationCreate.json
 */
function createExpressRoutePortAuthorization() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const expressRoutePortName = "expressRoutePortName";
        const authorizationName = "authorizatinName";
        const authorizationParameters = {};
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.expressRoutePortAuthorizations.beginCreateOrUpdateAndWait(resourceGroupName, expressRoutePortName, authorizationName, authorizationParameters);
        console.log(result);
    });
}
createExpressRoutePortAuthorization().catch(console.error);
//# sourceMappingURL=expressRoutePortAuthorizationsCreateOrUpdateSample.js.map