/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates the specified ExpressRoutePort resource.
 *
 * @summary Creates or updates the specified ExpressRoutePort resource.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ExpressRoutePortCreate.json
 */
function expressRoutePortCreate() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const expressRoutePortName = "portName";
        const parameters = {
            bandwidthInGbps: 100,
            billingType: "UnlimitedData",
            encapsulation: "QinQ",
            location: "westus",
            peeringLocation: "peeringLocationName"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.expressRoutePorts.beginCreateOrUpdateAndWait(resourceGroupName, expressRoutePortName, parameters);
        console.log(result);
    });
}
expressRoutePortCreate().catch(console.error);
/**
 * This sample demonstrates how to Creates or updates the specified ExpressRoutePort resource.
 *
 * @summary Creates or updates the specified ExpressRoutePort resource.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ExpressRoutePortUpdateLink.json
 */
function expressRoutePortUpdateLink() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const expressRoutePortName = "portName";
        const parameters = {
            bandwidthInGbps: 100,
            billingType: "UnlimitedData",
            encapsulation: "QinQ",
            links: [{ name: "link1", adminState: "Enabled" }],
            location: "westus",
            peeringLocation: "peeringLocationName"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.expressRoutePorts.beginCreateOrUpdateAndWait(resourceGroupName, expressRoutePortName, parameters);
        console.log(result);
    });
}
expressRoutePortUpdateLink().catch(console.error);
//# sourceMappingURL=expressRoutePortsCreateOrUpdateSample.js.map