/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Updates tags of a Azure Firewall Policy resource.
 *
 * @summary Updates tags of a Azure Firewall Policy resource.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/FirewallPolicyPatch.json
 */
function updateFirewallPolicyTags() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subId";
        const resourceGroupName = "myResourceGroup";
        const firewallPolicyName = "firewallPolicy";
        const parameters = { tags: { key1: "value1", key2: "value2" } };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.firewallPolicies.updateTags(resourceGroupName, firewallPolicyName, parameters);
        console.log(result);
    });
}
updateFirewallPolicyTags().catch(console.error);
//# sourceMappingURL=firewallPoliciesUpdateTagsSample.js.map