/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Retrieves the current status of IDPS signatures for the relevant policy
 *
 * @summary Retrieves the current status of IDPS signatures for the relevant policy
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/FirewallPolicyQuerySignatureOverrides.json
 */
function querySignatureOverrides() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "e747cc13-97d4-4a79-b463-42d7f4e558f2";
        const resourceGroupName = "rg1";
        const firewallPolicyName = "firewallPolicy";
        const parameters = {
            filters: [{ field: "Mode", values: ["Deny"] }],
            orderBy: { field: "severity", order: "Ascending" },
            resultsPerPage: 20,
            search: "",
            skip: 0
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.firewallPolicyIdpsSignatures.list(resourceGroupName, firewallPolicyName, parameters);
        console.log(result);
    });
}
querySignatureOverrides().catch(console.error);
//# sourceMappingURL=firewallPolicyIdpsSignaturesListSample.js.map