/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates the specified FirewallPolicyRuleCollectionGroup.
 *
 * @summary Creates or updates the specified FirewallPolicyRuleCollectionGroup.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/FirewallPolicyNatRuleCollectionGroupPut.json
 */
function createFirewallPolicyNatRuleCollectionGroup() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const firewallPolicyName = "firewallPolicy";
        const ruleCollectionGroupName = "ruleCollectionGroup1";
        const parameters = {
            priority: 100,
            ruleCollections: [
                {
                    name: "Example-Nat-Rule-Collection",
                    action: { type: "DNAT" },
                    priority: 100,
                    ruleCollectionType: "FirewallPolicyNatRuleCollection",
                    rules: [
                        {
                            name: "nat-rule1",
                            destinationAddresses: ["152.23.32.23"],
                            destinationPorts: ["8080"],
                            ipProtocols: ["TCP", "UDP"],
                            ruleType: "NatRule",
                            sourceAddresses: ["2.2.2.2"],
                            sourceIpGroups: [],
                            translatedFqdn: "internalhttp.server.net",
                            translatedPort: "8080"
                        }
                    ]
                }
            ]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.firewallPolicyRuleCollectionGroups.beginCreateOrUpdateAndWait(resourceGroupName, firewallPolicyName, ruleCollectionGroupName, parameters);
        console.log(result);
    });
}
createFirewallPolicyNatRuleCollectionGroup().catch(console.error);
/**
 * This sample demonstrates how to Creates or updates the specified FirewallPolicyRuleCollectionGroup.
 *
 * @summary Creates or updates the specified FirewallPolicyRuleCollectionGroup.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/FirewallPolicyRuleCollectionGroupPut.json
 */
function createFirewallPolicyRuleCollectionGroup() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const firewallPolicyName = "firewallPolicy";
        const ruleCollectionGroupName = "ruleCollectionGroup1";
        const parameters = {
            priority: 100,
            ruleCollections: [
                {
                    name: "Example-Filter-Rule-Collection",
                    action: { type: "Deny" },
                    priority: 100,
                    ruleCollectionType: "FirewallPolicyFilterRuleCollection",
                    rules: [
                        {
                            name: "network-rule1",
                            destinationAddresses: ["*"],
                            destinationPorts: ["*"],
                            ipProtocols: ["TCP"],
                            ruleType: "NetworkRule",
                            sourceAddresses: ["10.1.25.0/24"]
                        }
                    ]
                }
            ]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.firewallPolicyRuleCollectionGroups.beginCreateOrUpdateAndWait(resourceGroupName, firewallPolicyName, ruleCollectionGroupName, parameters);
        console.log(result);
    });
}
createFirewallPolicyRuleCollectionGroup().catch(console.error);
/**
 * This sample demonstrates how to Creates or updates the specified FirewallPolicyRuleCollectionGroup.
 *
 * @summary Creates or updates the specified FirewallPolicyRuleCollectionGroup.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/FirewallPolicyRuleCollectionGroupWithIpGroupsPut.json
 */
function createFirewallPolicyRuleCollectionGroupWithIPGroups() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const firewallPolicyName = "firewallPolicy";
        const ruleCollectionGroupName = "ruleCollectionGroup1";
        const parameters = {
            priority: 110,
            ruleCollections: [
                {
                    name: "Example-Filter-Rule-Collection",
                    action: { type: "Deny" },
                    ruleCollectionType: "FirewallPolicyFilterRuleCollection",
                    rules: [
                        {
                            name: "network-1",
                            destinationIpGroups: [
                                "/subscriptions/subid/providers/Microsoft.Network/resourceGroup/rg1/ipGroups/ipGroups2"
                            ],
                            destinationPorts: ["*"],
                            ipProtocols: ["TCP"],
                            ruleType: "NetworkRule",
                            sourceIpGroups: [
                                "/subscriptions/subid/providers/Microsoft.Network/resourceGroup/rg1/ipGroups/ipGroups1"
                            ]
                        }
                    ]
                }
            ]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.firewallPolicyRuleCollectionGroups.beginCreateOrUpdateAndWait(resourceGroupName, firewallPolicyName, ruleCollectionGroupName, parameters);
        console.log(result);
    });
}
createFirewallPolicyRuleCollectionGroupWithIPGroups().catch(console.error);
/**
 * This sample demonstrates how to Creates or updates the specified FirewallPolicyRuleCollectionGroup.
 *
 * @summary Creates or updates the specified FirewallPolicyRuleCollectionGroup.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/FirewallPolicyRuleCollectionGroupWithWebCategoriesPut.json
 */
function createFirewallPolicyRuleCollectionGroupWithWebCategories() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "e747cc13-97d4-4a79-b463-42d7f4e558f2";
        const resourceGroupName = "rg1";
        const firewallPolicyName = "firewallPolicy";
        const ruleCollectionGroupName = "ruleCollectionGroup1";
        const parameters = {
            priority: 110,
            ruleCollections: [
                {
                    name: "Example-Filter-Rule-Collection",
                    action: { type: "Deny" },
                    ruleCollectionType: "FirewallPolicyFilterRuleCollection",
                    rules: [
                        {
                            name: "rule1",
                            description: "Deny inbound rule",
                            protocols: [{ port: 443, protocolType: "Https" }],
                            ruleType: "ApplicationRule",
                            sourceAddresses: ["216.58.216.164", "10.0.0.0/24"],
                            webCategories: ["Hacking"]
                        }
                    ]
                }
            ]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.firewallPolicyRuleCollectionGroups.beginCreateOrUpdateAndWait(resourceGroupName, firewallPolicyName, ruleCollectionGroupName, parameters);
        console.log(result);
    });
}
createFirewallPolicyRuleCollectionGroupWithWebCategories().catch(console.error);
//# sourceMappingURL=firewallPolicyRuleCollectionGroupsCreateOrUpdateSample.js.map