/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Gets the specified FirewallPolicyRuleCollectionGroup.
 *
 * @summary Gets the specified FirewallPolicyRuleCollectionGroup.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/FirewallPolicyNatRuleCollectionGroupGet.json
 */
function getFirewallPolicyNatRuleCollectionGroup() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const firewallPolicyName = "firewallPolicy";
        const ruleCollectionGroupName = "ruleCollectionGroup1";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.firewallPolicyRuleCollectionGroups.get(resourceGroupName, firewallPolicyName, ruleCollectionGroupName);
        console.log(result);
    });
}
getFirewallPolicyNatRuleCollectionGroup().catch(console.error);
/**
 * This sample demonstrates how to Gets the specified FirewallPolicyRuleCollectionGroup.
 *
 * @summary Gets the specified FirewallPolicyRuleCollectionGroup.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/FirewallPolicyRuleCollectionGroupGet.json
 */
function getFirewallPolicyRuleCollectionGroup() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const firewallPolicyName = "firewallPolicy";
        const ruleCollectionGroupName = "ruleCollectionGroup1";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.firewallPolicyRuleCollectionGroups.get(resourceGroupName, firewallPolicyName, ruleCollectionGroupName);
        console.log(result);
    });
}
getFirewallPolicyRuleCollectionGroup().catch(console.error);
/**
 * This sample demonstrates how to Gets the specified FirewallPolicyRuleCollectionGroup.
 *
 * @summary Gets the specified FirewallPolicyRuleCollectionGroup.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/FirewallPolicyRuleCollectionGroupWithIpGroupsGet.json
 */
function getFirewallPolicyRuleCollectionGroupWithIPGroups() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const firewallPolicyName = "firewallPolicy";
        const ruleCollectionGroupName = "ruleGroup1";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.firewallPolicyRuleCollectionGroups.get(resourceGroupName, firewallPolicyName, ruleCollectionGroupName);
        console.log(result);
    });
}
getFirewallPolicyRuleCollectionGroupWithIPGroups().catch(console.error);
/**
 * This sample demonstrates how to Gets the specified FirewallPolicyRuleCollectionGroup.
 *
 * @summary Gets the specified FirewallPolicyRuleCollectionGroup.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/FirewallPolicyRuleCollectionGroupWithWebCategoriesGet.json
 */
function getFirewallPolicyRuleCollectionGroupWithWebCategories() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "e747cc13-97d4-4a79-b463-42d7f4e558f2";
        const resourceGroupName = "rg1";
        const firewallPolicyName = "firewallPolicy";
        const ruleCollectionGroupName = "ruleCollectionGroup1";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.firewallPolicyRuleCollectionGroups.get(resourceGroupName, firewallPolicyName, ruleCollectionGroupName);
        console.log(result);
    });
}
getFirewallPolicyRuleCollectionGroupWithWebCategories().catch(console.error);
//# sourceMappingURL=firewallPolicyRuleCollectionGroupsGetSample.js.map