/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates a RouteTable resource if it doesn't exist else updates the existing RouteTable.
 *
 * @summary Creates a RouteTable resource if it doesn't exist else updates the existing RouteTable.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/HubRouteTablePut.json
 */
function routeTablePut() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const virtualHubName = "virtualHub1";
        const routeTableName = "hubRouteTable1";
        const routeTableParameters = {
            labels: ["label1", "label2"],
            routes: [
                {
                    name: "route1",
                    destinationType: "CIDR",
                    destinations: ["10.0.0.0/8", "20.0.0.0/8", "30.0.0.0/8"],
                    nextHop: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/azureFirewalls/azureFirewall1",
                    nextHopType: "ResourceId"
                }
            ]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.hubRouteTables.beginCreateOrUpdateAndWait(resourceGroupName, virtualHubName, routeTableName, routeTableParameters);
        console.log(result);
    });
}
routeTablePut().catch(console.error);
//# sourceMappingURL=hubRouteTablesCreateOrUpdateSample.js.map