/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates a hub virtual network connection if it doesn't exist else updates the existing one.
 *
 * @summary Creates a hub virtual network connection if it doesn't exist else updates the existing one.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/HubVirtualNetworkConnectionPut.json
 */
function hubVirtualNetworkConnectionPut() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const virtualHubName = "virtualHub1";
        const connectionName = "connection1";
        const hubVirtualNetworkConnectionParameters = {
            enableInternetSecurity: false,
            remoteVirtualNetwork: {
                id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/SpokeVnet1"
            },
            routingConfiguration: {
                associatedRouteTable: {
                    id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/virtualHub1/hubRouteTables/hubRouteTable1"
                },
                inboundRouteMap: {
                    id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/virtualHub1/routeMaps/routeMap1"
                },
                outboundRouteMap: {
                    id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/virtualHub1/routeMaps/routeMap2"
                },
                propagatedRouteTables: {
                    ids: [
                        {
                            id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/virtualHub1/hubRouteTables/hubRouteTable1"
                        }
                    ],
                    labels: ["label1", "label2"]
                },
                vnetRoutes: {
                    staticRoutes: [
                        {
                            name: "route1",
                            addressPrefixes: ["10.1.0.0/16", "10.2.0.0/16"],
                            nextHopIpAddress: "10.0.0.68"
                        },
                        {
                            name: "route2",
                            addressPrefixes: ["10.3.0.0/16", "10.4.0.0/16"],
                            nextHopIpAddress: "10.0.0.65"
                        }
                    ],
                    staticRoutesConfig: { vnetLocalRouteOverrideCriteria: "Equal" }
                }
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.hubVirtualNetworkConnections.beginCreateOrUpdateAndWait(resourceGroupName, virtualHubName, connectionName, hubVirtualNetworkConnectionParameters);
        console.log(result);
    });
}
hubVirtualNetworkConnectionPut().catch(console.error);
//# sourceMappingURL=hubVirtualNetworkConnectionsCreateOrUpdateSample.js.map