/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a load balancer inbound NAT rule.
 *
 * @summary Creates or updates a load balancer inbound NAT rule.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/InboundNatRuleCreate.json
 */
function inboundNatRuleCreate() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "testrg";
        const loadBalancerName = "lb1";
        const inboundNatRuleName = "natRule1.1";
        const inboundNatRuleParameters = {
            backendPort: 3389,
            enableFloatingIP: false,
            enableTcpReset: false,
            frontendIPConfiguration: {
                id: "/subscriptions/subid/resourceGroups/testrg/providers/Microsoft.Network/loadBalancers/lb1/frontendIPConfigurations/ip1"
            },
            frontendPort: 3390,
            idleTimeoutInMinutes: 4,
            protocol: "Tcp"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.inboundNatRules.beginCreateOrUpdateAndWait(resourceGroupName, loadBalancerName, inboundNatRuleName, inboundNatRuleParameters);
        console.log(result);
    });
}
inboundNatRuleCreate().catch(console.error);
//# sourceMappingURL=inboundNatRulesCreateOrUpdateSample.js.map