/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates an IpAllocation in the specified resource group.
 *
 * @summary Creates or updates an IpAllocation in the specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/IpAllocationCreate.json
 */
function createIPAllocation() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const ipAllocationName = "test-ipallocation";
        const parameters = {
            typePropertiesType: "Hypernet",
            allocationTags: {
                vNetID: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/HypernetVnet1"
            },
            location: "centraluseuap",
            prefix: "3.2.5.0/24"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.ipAllocations.beginCreateOrUpdateAndWait(resourceGroupName, ipAllocationName, parameters);
        console.log(result);
    });
}
createIPAllocation().catch(console.error);
//# sourceMappingURL=ipAllocationsCreateOrUpdateSample.js.map