/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates an ipGroups in a specified resource group.
 *
 * @summary Creates or updates an ipGroups in a specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/IpGroupsCreate.json
 */
function createOrUpdateIPGroups() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subId";
        const resourceGroupName = "myResourceGroup";
        const ipGroupsName = "ipGroups1";
        const parameters = {
            ipAddresses: ["13.64.39.16/32", "40.74.146.80/31", "40.74.147.32/28"],
            location: "West US",
            tags: { key1: "value1" }
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.ipGroups.beginCreateOrUpdateAndWait(resourceGroupName, ipGroupsName, parameters);
        console.log(result);
    });
}
createOrUpdateIPGroups().catch(console.error);
//# sourceMappingURL=ipGroupsCreateOrUpdateSample.js.map