/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Lists active connectivity configurations in a network manager.
 *
 * @summary Lists active connectivity configurations in a network manager.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkManagerActiveConnectivityConfigurationsList.json
 */
function listActiveConnectivityConfigurations() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "00000000-0000-0000-0000-000000000000";
        const resourceGroupName = "myResourceGroup";
        const networkManagerName = "testNetworkManager";
        const parameters = {
            regions: ["westus"],
            skipToken: "fakeSkipTokenCode"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.listActiveConnectivityConfigurations(resourceGroupName, networkManagerName, parameters);
        console.log(result);
    });
}
listActiveConnectivityConfigurations().catch(console.error);
//# sourceMappingURL=listActiveConnectivityConfigurationsSample.js.map