/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to List all effective security admin rules applied on a virtual network.
 *
 * @summary List all effective security admin rules applied on a virtual network.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkManagerEffectiveSecurityAdminRulesList.json
 */
function listEffectiveSecurityAdminRules() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "00000000-0000-0000-0000-000000000000";
        const resourceGroupName = "myResourceGroup";
        const virtualNetworkName = "testVirtualNetwork";
        const parameters = { skipToken: "FakeSkipTokenCode" };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.listNetworkManagerEffectiveSecurityAdminRules(resourceGroupName, virtualNetworkName, parameters);
        console.log(result);
    });
}
listEffectiveSecurityAdminRules().catch(console.error);
//# sourceMappingURL=listNetworkManagerEffectiveSecurityAdminRulesSample.js.map