/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a load balancer backend address pool.
 *
 * @summary Creates or updates a load balancer backend address pool.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/LBBackendAddressPoolWithBackendAddressesPut.json
 */
function updateLoadBalancerBackendPoolWithBackendAddressesContainingVirtualNetworkAndIPAddress() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "testrg";
        const loadBalancerName = "lb";
        const backendAddressPoolName = "backend";
        const parameters = {
            loadBalancerBackendAddresses: [
                {
                    name: "address1",
                    ipAddress: "10.0.0.4",
                    virtualNetwork: {
                        id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetlb"
                    }
                },
                {
                    name: "address2",
                    ipAddress: "10.0.0.5",
                    virtualNetwork: {
                        id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetlb"
                    }
                }
            ]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.loadBalancerBackendAddressPools.beginCreateOrUpdateAndWait(resourceGroupName, loadBalancerName, backendAddressPoolName, parameters);
        console.log(result);
    });
}
updateLoadBalancerBackendPoolWithBackendAddressesContainingVirtualNetworkAndIPAddress().catch(console.error);
//# sourceMappingURL=loadBalancerBackendAddressPoolsCreateOrUpdateSample.js.map