/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Gets load balancer backend address pool.
 *
 * @summary Gets load balancer backend address pool.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/LBBackendAddressPoolWithBackendAddressesGet.json
 */
function loadBalancerWithBackendAddressPoolWithBackendAddresses() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "testrg";
        const loadBalancerName = "lb";
        const backendAddressPoolName = "backend";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.loadBalancerBackendAddressPools.get(resourceGroupName, loadBalancerName, backendAddressPoolName);
        console.log(result);
    });
}
loadBalancerWithBackendAddressPoolWithBackendAddresses().catch(console.error);
/**
 * This sample demonstrates how to Gets load balancer backend address pool.
 *
 * @summary Gets load balancer backend address pool.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/LoadBalancerBackendAddressPoolGet.json
 */
function loadBalancerBackendAddressPoolGet() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "testrg";
        const loadBalancerName = "lb";
        const backendAddressPoolName = "backend";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.loadBalancerBackendAddressPools.get(resourceGroupName, loadBalancerName, backendAddressPoolName);
        console.log(result);
    });
}
loadBalancerBackendAddressPoolGet().catch(console.error);
//# sourceMappingURL=loadBalancerBackendAddressPoolsGetSample.js.map