/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to List of inbound NAT rule port mappings.
 *
 * @summary List of inbound NAT rule port mappings.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/QueryInboundNatRulePortMapping.json
 */
function queryInboundNatRulePortMapping() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const groupName = "rg1";
        const loadBalancerName = "lb1";
        const backendPoolName = "bp1";
        const parameters = {
            ipAddress: "10.0.0.4"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.loadBalancers.beginListInboundNatRulePortMappingsAndWait(groupName, loadBalancerName, backendPoolName, parameters);
        console.log(result);
    });
}
queryInboundNatRulePortMapping().catch(console.error);
//# sourceMappingURL=loadBalancersListInboundNatRulePortMappingsSample.js.map