/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a local network gateway in the specified resource group.
 *
 * @summary Creates or updates a local network gateway in the specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/LocalNetworkGatewayCreate.json
 */
function createLocalNetworkGateway() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const localNetworkGatewayName = "localgw";
        const parameters = {
            fqdn: "site1.contoso.com",
            gatewayIpAddress: "11.12.13.14",
            localNetworkAddressSpace: { addressPrefixes: ["10.1.0.0/16"] },
            location: "Central US"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.localNetworkGateways.beginCreateOrUpdateAndWait(resourceGroupName, localNetworkGatewayName, parameters);
        console.log(result);
    });
}
createLocalNetworkGateway().catch(console.error);
//# sourceMappingURL=localNetworkGatewaysCreateOrUpdateSample.js.map