/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Create a network manager connection on this management group.
 *
 * @summary Create a network manager connection on this management group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkManagerConnectionManagementGroupPut.json
 */
function createOrUpdateManagementGroupNetworkManagerConnection() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "00000000-0000-0000-0000-000000000000";
        const managementGroupId = "managementGroupA";
        const networkManagerConnectionName = "TestNMConnection";
        const parameters = {
            networkManagerId: "/subscriptions/subscriptionC/resourceGroup/rg1/providers/Microsoft.Network/networkManagers/testNetworkManager"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.managementGroupNetworkManagerConnections.createOrUpdate(managementGroupId, networkManagerConnectionName, parameters);
        console.log(result);
    });
}
createOrUpdateManagementGroupNetworkManagerConnection().catch(console.error);
//# sourceMappingURL=managementGroupNetworkManagerConnectionsCreateOrUpdateSample.js.map