/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a Tap configuration in the specified NetworkInterface.
 *
 * @summary Creates or updates a Tap configuration in the specified NetworkInterface.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkInterfaceTapConfigurationCreate.json
 */
function createNetworkInterfaceTapConfigurations() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "testrg";
        const networkInterfaceName = "mynic";
        const tapConfigurationName = "tapconfiguration1";
        const tapConfigurationParameters = {
            virtualNetworkTap: {
                id: "/subscriptions/subid/resourceGroups/testrg/providers/Microsoft.Network/virtualNetworkTaps/testvtap"
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.networkInterfaceTapConfigurations.beginCreateOrUpdateAndWait(resourceGroupName, networkInterfaceName, tapConfigurationName, tapConfigurationParameters);
        console.log(result);
    });
}
createNetworkInterfaceTapConfigurations().catch(console.error);
//# sourceMappingURL=networkInterfaceTapConfigurationsCreateOrUpdateSample.js.map