/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Get the specified tap configuration on a network interface.
 *
 * @summary Get the specified tap configuration on a network interface.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkInterfaceTapConfigurationGet.json
 */
function getNetworkInterfaceTapConfigurations() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "testrg";
        const networkInterfaceName = "mynic";
        const tapConfigurationName = "tapconfiguration1";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.networkInterfaceTapConfigurations.get(resourceGroupName, networkInterfaceName, tapConfigurationName);
        console.log(result);
    });
}
getNetworkInterfaceTapConfigurations().catch(console.error);
//# sourceMappingURL=networkInterfaceTapConfigurationsGetSample.js.map