/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a network interface.
 *
 * @summary Creates or updates a network interface.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkInterfaceCreate.json
 */
function createNetworkInterface() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const networkInterfaceName = "test-nic";
        const parameters = {
            disableTcpStateTracking: true,
            enableAcceleratedNetworking: true,
            ipConfigurations: [
                {
                    name: "ipconfig1",
                    publicIPAddress: {
                        id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/publicIPAddresses/test-ip"
                    },
                    subnet: {
                        id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/rg1-vnet/subnets/default"
                    }
                }
            ],
            location: "eastus"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.networkInterfaces.beginCreateOrUpdateAndWait(resourceGroupName, networkInterfaceName, parameters);
        console.log(result);
    });
}
createNetworkInterface().catch(console.error);
/**
 * This sample demonstrates how to Creates or updates a network interface.
 *
 * @summary Creates or updates a network interface.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkInterfaceCreateGatewayLoadBalancerConsumer.json
 */
function createNetworkInterfaceWithGatewayLoadBalancerConsumerConfigured() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const networkInterfaceName = "test-nic";
        const parameters = {
            enableAcceleratedNetworking: true,
            ipConfigurations: [
                {
                    name: "ipconfig1",
                    gatewayLoadBalancer: {
                        id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/loadBalancers/lb/frontendIPConfigurations/fe-lb-provider"
                    },
                    publicIPAddress: {
                        id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/publicIPAddresses/test-ip"
                    },
                    subnet: {
                        id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/rg1-vnet/subnets/default"
                    }
                }
            ],
            location: "eastus"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.networkInterfaces.beginCreateOrUpdateAndWait(resourceGroupName, networkInterfaceName, parameters);
        console.log(result);
    });
}
createNetworkInterfaceWithGatewayLoadBalancerConsumerConfigured().catch(console.error);
//# sourceMappingURL=networkInterfacesCreateOrUpdateSample.js.map