/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Post to List of Network Manager Deployment Status.
 *
 * @summary Post to List of Network Manager Deployment Status.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkManagerDeploymentStatusList.json
 */
function networkManagerDeploymentStatusList() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "00000000-0000-0000-0000-000000000000";
        const resourceGroupName = "resoureGroupSample";
        const networkManagerName = "testNetworkManager";
        const parameters = {
            deploymentTypes: ["Connectivity", "AdminPolicy"],
            regions: ["eastus", "westus"],
            skipToken: "FakeSkipTokenCode"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.networkManagerDeploymentStatusOperations.list(resourceGroupName, networkManagerName, parameters);
        console.log(result);
    });
}
networkManagerDeploymentStatusList().catch(console.error);
//# sourceMappingURL=networkManagerDeploymentStatusListSample.js.map