/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Updates network profile tags.
 *
 * @summary Updates network profile tags.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkProfileUpdateTags.json
 */
function updateNetworkProfileTags() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const networkProfileName = "test-np";
        const parameters = { tags: { tag1: "value1", tag2: "value2" } };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.networkProfiles.updateTags(resourceGroupName, networkProfileName, parameters);
        console.log(result);
    });
}
updateNetworkProfileTags().catch(console.error);
//# sourceMappingURL=networkProfilesUpdateTagsSample.js.map