/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a network security group in the specified resource group.
 *
 * @summary Creates or updates a network security group in the specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkSecurityGroupCreate.json
 */
function createNetworkSecurityGroup() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const networkSecurityGroupName = "testnsg";
        const parameters = { location: "eastus" };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.networkSecurityGroups.beginCreateOrUpdateAndWait(resourceGroupName, networkSecurityGroupName, parameters);
        console.log(result);
    });
}
createNetworkSecurityGroup().catch(console.error);
/**
 * This sample demonstrates how to Creates or updates a network security group in the specified resource group.
 *
 * @summary Creates or updates a network security group in the specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkSecurityGroupCreateWithRule.json
 */
function createNetworkSecurityGroupWithRule() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const networkSecurityGroupName = "testnsg";
        const parameters = {
            location: "eastus",
            securityRules: [
                {
                    name: "rule1",
                    access: "Allow",
                    destinationAddressPrefix: "*",
                    destinationPortRange: "80",
                    direction: "Inbound",
                    priority: 130,
                    sourceAddressPrefix: "*",
                    sourcePortRange: "*",
                    protocol: "*"
                }
            ]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.networkSecurityGroups.beginCreateOrUpdateAndWait(resourceGroupName, networkSecurityGroupName, parameters);
        console.log(result);
    });
}
createNetworkSecurityGroupWithRule().catch(console.error);
//# sourceMappingURL=networkSecurityGroupsCreateOrUpdateSample.js.map