/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to NOTE: This feature is currently in preview and still being tested for stability. Gets the relative latency score for internet service providers from a specified location to Azure regions.
 *
 * @summary NOTE: This feature is currently in preview and still being tested for stability. Gets the relative latency score for internet service providers from a specified location to Azure regions.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkWatcherAzureReachabilityReportGet.json
 */
function getAzureReachabilityReport() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const networkWatcherName = "nw1";
        const parameters = {
            azureLocations: ["West US"],
            endTime: new Date("2017-09-10T00:00:00Z"),
            providerLocation: { country: "United States", state: "washington" },
            providers: ["Frontier Communications of America, Inc. - ASN 5650"],
            startTime: new Date("2017-09-07T00:00:00Z")
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.networkWatchers.beginGetAzureReachabilityReportAndWait(resourceGroupName, networkWatcherName, parameters);
        console.log(result);
    });
}
getAzureReachabilityReport().catch(console.error);
//# sourceMappingURL=networkWatchersGetAzureReachabilityReportSample.js.map