/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Disconnect P2S vpn connections of the virtual wan P2SVpnGateway in the specified resource group.
 *
 * @summary Disconnect P2S vpn connections of the virtual wan P2SVpnGateway in the specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/P2sVpnGatewaysDisconnectP2sVpnConnections.json
 */
function disconnectVpnConnectionsFromP2SVpnGateway() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "p2s-vpn-gateway-test";
        const p2SVpnGatewayName = "p2svpngateway";
        const request = {
            vpnConnectionIds: ["vpnconnId1", "vpnconnId2"]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.p2SVpnGateways.beginDisconnectP2SVpnConnectionsAndWait(resourceGroupName, p2SVpnGatewayName, request);
        console.log(result);
    });
}
disconnectVpnConnectionsFromP2SVpnGateway().catch(console.error);
//# sourceMappingURL=p2SVpnGatewaysDisconnectP2SvpnConnectionsSample.js.map