/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Create and start a packet capture on the specified VM.
 *
 * @summary Create and start a packet capture on the specified VM.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkWatcherPacketCaptureCreate.json
 */
function createPacketCapture() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const networkWatcherName = "nw1";
        const packetCaptureName = "pc1";
        const parameters = {
            bytesToCapturePerPacket: 10000,
            filters: [{ localIPAddress: "10.0.0.4", localPort: "80", protocol: "TCP" }],
            storageLocation: {
                filePath: "D:\\capture\\pc1.cap",
                storageId: "/subscriptions/subid/resourceGroups/rg2/providers/Microsoft.Storage/storageAccounts/pcstore",
                storagePath: "https://mytestaccountname.blob.core.windows.net/capture/pc1.cap"
            },
            target: "/subscriptions/subid/resourceGroups/rg2/providers/Microsoft.Compute/virtualMachines/vm1",
            timeLimitInSeconds: 100,
            totalBytesPerSession: 100000
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.packetCaptures.beginCreateAndWait(resourceGroupName, networkWatcherName, packetCaptureName, parameters);
        console.log(result);
    });
}
createPacketCapture().catch(console.error);
//# sourceMappingURL=packetCapturesCreateSample.js.map