/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Gets the specified Peer Express Route Circuit Connection from the specified express route circuit.
 *
 * @summary Gets the specified Peer Express Route Circuit Connection from the specified express route circuit.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/PeerExpressRouteCircuitConnectionGet.json
 */
function peerExpressRouteCircuitConnectionGet() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid1";
        const resourceGroupName = "rg1";
        const circuitName = "ExpressRouteARMCircuitA";
        const peeringName = "AzurePrivatePeering";
        const connectionName = "60aee347-e889-4a42-8c1b-0aae8b1e4013";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.peerExpressRouteCircuitConnections.get(resourceGroupName, circuitName, peeringName, connectionName);
        console.log(result);
    });
}
peerExpressRouteCircuitConnectionGet().catch(console.error);
//# sourceMappingURL=peerExpressRouteCircuitConnectionsGetSample.js.map