/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Deletes the specified private dns zone group.
 *
 * @summary Deletes the specified private dns zone group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/PrivateEndpointDnsZoneGroupDelete.json
 */
function deletePrivateDnsZoneGroup() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subId";
        const resourceGroupName = "rg1";
        const privateEndpointName = "testPe";
        const privateDnsZoneGroupName = "testPdnsgroup";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.privateDnsZoneGroups.beginDeleteAndWait(resourceGroupName, privateEndpointName, privateDnsZoneGroupName);
        console.log(result);
    });
}
deletePrivateDnsZoneGroup().catch(console.error);
//# sourceMappingURL=privateDnsZoneGroupsDeleteSample.js.map