/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Deletes the specified private endpoint.
 *
 * @summary Deletes the specified private endpoint.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/PrivateEndpointDelete.json
 */
function deletePrivateEndpoint() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subId";
        const resourceGroupName = "rg1";
        const privateEndpointName = "testPe";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.privateEndpoints.beginDeleteAndWait(resourceGroupName, privateEndpointName);
        console.log(result);
    });
}
deletePrivateEndpoint().catch(console.error);
//# sourceMappingURL=privateEndpointsDeleteSample.js.map