/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Checks whether the subscription is visible to private link service in the specified resource group.
 *
 * @summary Checks whether the subscription is visible to private link service in the specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/CheckPrivateLinkServiceVisibilityByResourceGroup.json
 */
function checkPrivateLinkServiceVisibility() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const location = "westus";
        const resourceGroupName = "rg1";
        const parameters = {
            privateLinkServiceAlias: "mypls.00000000-0000-0000-0000-000000000000.azure.privatelinkservice"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.privateLinkServices.beginCheckPrivateLinkServiceVisibilityByResourceGroupAndWait(location, resourceGroupName, parameters);
        console.log(result);
    });
}
checkPrivateLinkServiceVisibility().catch(console.error);
//# sourceMappingURL=privateLinkServicesCheckPrivateLinkServiceVisibilityByResourceGroupSample.js.map