/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates an private link service in the specified resource group.
 *
 * @summary Creates or updates an private link service in the specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/PrivateLinkServiceCreate.json
 */
function createPrivateLinkService() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subId";
        const resourceGroupName = "rg1";
        const serviceName = "testPls";
        const parameters = {
            autoApproval: { subscriptions: ["subscription1", "subscription2"] },
            fqdns: ["fqdn1", "fqdn2", "fqdn3"],
            ipConfigurations: [
                {
                    name: "fe-lb",
                    privateIPAddress: "10.0.1.4",
                    privateIPAddressVersion: "IPv4",
                    privateIPAllocationMethod: "Static",
                    subnet: {
                        id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetlb/subnets/subnetlb"
                    }
                }
            ],
            loadBalancerFrontendIpConfigurations: [
                {
                    id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/loadBalancers/lb/frontendIPConfigurations/fe-lb"
                }
            ],
            location: "eastus",
            visibility: {
                subscriptions: ["subscription1", "subscription2", "subscription3"]
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.privateLinkServices.beginCreateOrUpdateAndWait(resourceGroupName, serviceName, parameters);
        console.log(result);
    });
}
createPrivateLinkService().catch(console.error);
//# sourceMappingURL=privateLinkServicesCreateOrUpdateSample.js.map