/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Approve or reject private end point connection for a private link service in a subscription.
 *
 * @summary Approve or reject private end point connection for a private link service in a subscription.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/PrivateLinkServiceUpdatePrivateEndpointConnection.json
 */
function approveOrRejectPrivateEndPointConnectionForAPrivateLinkService() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subId";
        const resourceGroupName = "rg1";
        const serviceName = "testPls";
        const peConnectionName = "testPlePeConnection";
        const parameters = {
            name: "testPlePeConnection",
            privateEndpoint: {
                id: "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateEndpoints/testPe"
            },
            privateLinkServiceConnectionState: {
                description: "approved it for some reason.",
                status: "Approved"
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.privateLinkServices.updatePrivateEndpointConnection(resourceGroupName, serviceName, peConnectionName, parameters);
        console.log(result);
    });
}
approveOrRejectPrivateEndPointConnectionForAPrivateLinkService().catch(console.error);
//# sourceMappingURL=privateLinkServicesUpdatePrivateEndpointConnectionSample.js.map