/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Get the specified public IP address in a cloud service.
 *
 * @summary Get the specified public IP address in a cloud service.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/CloudServicePublicIpGet.json
 */
function getVmssPublicIP() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "cs-tester";
        const cloudServiceName = "cs1";
        const roleInstanceName = "Test_VM_0";
        const networkInterfaceName = "nic1";
        const ipConfigurationName = "ip1";
        const publicIpAddressName = "pub1";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.publicIPAddresses.getCloudServicePublicIPAddress(resourceGroupName, cloudServiceName, roleInstanceName, networkInterfaceName, ipConfigurationName, publicIpAddressName);
        console.log(result);
    });
}
getVmssPublicIP().catch(console.error);
//# sourceMappingURL=publicIPAddressesGetCloudServicePublicIpaddressSample.js.map