/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a static or dynamic public IP prefix.
 *
 * @summary Creates or updates a static or dynamic public IP prefix.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/PublicIpPrefixCreateCustomizedValues.json
 */
function createPublicIPPrefixAllocationMethod() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const publicIpPrefixName = "test-ipprefix";
        const parameters = {
            location: "westus",
            prefixLength: 30,
            publicIPAddressVersion: "IPv4",
            sku: { name: "Standard", tier: "Regional" }
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.publicIPPrefixes.beginCreateOrUpdateAndWait(resourceGroupName, publicIpPrefixName, parameters);
        console.log(result);
    });
}
createPublicIPPrefixAllocationMethod().catch(console.error);
/**
 * This sample demonstrates how to Creates or updates a static or dynamic public IP prefix.
 *
 * @summary Creates or updates a static or dynamic public IP prefix.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/PublicIpPrefixCreateDefaults.json
 */
function createPublicIPPrefixDefaults() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const publicIpPrefixName = "test-ipprefix";
        const parameters = {
            location: "westus",
            prefixLength: 30,
            sku: { name: "Standard" }
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.publicIPPrefixes.beginCreateOrUpdateAndWait(resourceGroupName, publicIpPrefixName, parameters);
        console.log(result);
    });
}
createPublicIPPrefixDefaults().catch(console.error);
//# sourceMappingURL=publicIPPrefixesCreateOrUpdateSample.js.map