/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a route filter in a specified resource group.
 *
 * @summary Creates or updates a route filter in a specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/RouteFilterCreate.json
 */
function routeFilterCreate() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const routeFilterName = "filterName";
        const routeFilterParameters = {
            location: "West US",
            rules: [
                {
                    name: "ruleName",
                    access: "Allow",
                    communities: ["12076:5030", "12076:5040"],
                    routeFilterRuleType: "Community"
                }
            ],
            tags: { key1: "value1" }
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.routeFilters.beginCreateOrUpdateAndWait(resourceGroupName, routeFilterName, routeFilterParameters);
        console.log(result);
    });
}
routeFilterCreate().catch(console.error);
//# sourceMappingURL=routeFiltersCreateOrUpdateSample.js.map