/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates a RouteMap if it doesn't exist else updates the existing one.
 *
 * @summary Creates a RouteMap if it doesn't exist else updates the existing one.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/RouteMapPut.json
 */
function routeMapPut() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const virtualHubName = "virtualHub1";
        const routeMapName = "routeMap1";
        const routeMapParameters = {
            associatedInboundConnections: [
                "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/expressRouteGateways/exrGateway1/expressRouteConnections/exrConn1"
            ],
            associatedOutboundConnections: [],
            rules: [
                {
                    name: "rule1",
                    actions: [
                        {
                            type: "Add",
                            parameters: [{ asPath: ["22334"], community: [], routePrefix: [] }]
                        }
                    ],
                    matchCriteria: [
                        {
                            asPath: [],
                            community: [],
                            matchCondition: "Contains",
                            routePrefix: ["10.0.0.0/8"]
                        }
                    ],
                    nextStepIfMatched: "Continue"
                }
            ]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.routeMaps.beginCreateOrUpdateAndWait(resourceGroupName, virtualHubName, routeMapName, routeMapParameters);
        console.log(result);
    });
}
routeMapPut().catch(console.error);
//# sourceMappingURL=routeMapsCreateOrUpdateSample.js.map