/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Create or updates a route table in a specified resource group.
 *
 * @summary Create or updates a route table in a specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/RouteTableCreate.json
 */
function createRouteTable() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const routeTableName = "testrt";
        const parameters = { location: "westus" };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.routeTables.beginCreateOrUpdateAndWait(resourceGroupName, routeTableName, parameters);
        console.log(result);
    });
}
createRouteTable().catch(console.error);
/**
 * This sample demonstrates how to Create or updates a route table in a specified resource group.
 *
 * @summary Create or updates a route table in a specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/RouteTableCreateWithRoute.json
 */
function createRouteTableWithRoute() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const routeTableName = "testrt";
        const parameters = {
            disableBgpRoutePropagation: true,
            location: "westus",
            routes: [
                {
                    name: "route1",
                    addressPrefix: "10.0.3.0/24",
                    nextHopType: "VirtualNetworkGateway"
                }
            ]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.routeTables.beginCreateOrUpdateAndWait(resourceGroupName, routeTableName, parameters);
        console.log(result);
    });
}
createRouteTableWithRoute().catch(console.error);
//# sourceMappingURL=routeTablesCreateOrUpdateSample.js.map