/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a route in the specified route table.
 *
 * @summary Creates or updates a route in the specified route table.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/RouteTableRouteCreate.json
 */
function createRoute() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const routeTableName = "testrt";
        const routeName = "route1";
        const routeParameters = {
            addressPrefix: "10.0.3.0/24",
            nextHopType: "VirtualNetworkGateway"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.routes.beginCreateOrUpdateAndWait(resourceGroupName, routeTableName, routeName, routeParameters);
        console.log(result);
    });
}
createRoute().catch(console.error);
//# sourceMappingURL=routesCreateOrUpdateSample.js.map