/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates scope connection from Network Manager
 *
 * @summary Creates or updates scope connection from Network Manager
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkManagerScopeConnectionPut.json
 */
function createOrUpdateNetworkManagerScopeConnection() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "00000000-0000-0000-0000-000000000000";
        const resourceGroupName = "rg1";
        const networkManagerName = "testNetworkManager";
        const scopeConnectionName = "TestScopeConnection";
        const parameters = {
            description: "This is a scope connection to a cross tenant subscription.",
            resourceId: "subscriptions/f0dc2b34-dfad-40e4-83e0-2309fed8d00b",
            tenantId: "6babcaad-604b-40ac-a9d7-9fd97c0b779f"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.scopeConnections.createOrUpdate(resourceGroupName, networkManagerName, scopeConnectionName, parameters);
        console.log(result);
    });
}
createOrUpdateNetworkManagerScopeConnection().catch(console.error);
//# sourceMappingURL=scopeConnectionsCreateOrUpdateSample.js.map