/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a network manager security admin configuration.
 *
 * @summary Creates or updates a network manager security admin configuration.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkManagerSecurityAdminConfigurationPut.json
 */
function createNetworkManagerSecurityAdminConfiguration() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "00000000-0000-0000-0000-000000000000";
        const resourceGroupName = "rg1";
        const networkManagerName = "testNetworkManager";
        const configurationName = "myTestSecurityConfig";
        const securityAdminConfiguration = {
            description: "A sample policy",
            applyOnNetworkIntentPolicyBasedServices: ["None"]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.securityAdminConfigurations.createOrUpdate(resourceGroupName, networkManagerName, configurationName, securityAdminConfiguration);
        console.log(result);
    });
}
createNetworkManagerSecurityAdminConfiguration().catch(console.error);
//# sourceMappingURL=securityAdminConfigurationsCreateOrUpdateSample.js.map