/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates the specified Security Partner Provider.
 *
 * @summary Creates or updates the specified Security Partner Provider.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/SecurityPartnerProviderPut.json
 */
function createSecurityPartnerProvider() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const securityPartnerProviderName = "securityPartnerProvider";
        const parameters = {
            location: "West US",
            securityProviderName: "ZScaler",
            tags: { key1: "value1" },
            virtualHub: {
                id: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/hub1"
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.securityPartnerProviders.beginCreateOrUpdateAndWait(resourceGroupName, securityPartnerProviderName, parameters);
        console.log(result);
    });
}
createSecurityPartnerProvider().catch(console.error);
//# sourceMappingURL=securityPartnerProvidersCreateOrUpdateSample.js.map