/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a security rule in the specified network security group.
 *
 * @summary Creates or updates a security rule in the specified network security group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkSecurityGroupRuleCreate.json
 */
function createSecurityRule() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const networkSecurityGroupName = "testnsg";
        const securityRuleName = "rule1";
        const securityRuleParameters = {
            access: "Deny",
            destinationAddressPrefix: "11.0.0.0/8",
            destinationPortRange: "8080",
            direction: "Outbound",
            priority: 100,
            sourceAddressPrefix: "10.0.0.0/8",
            sourcePortRange: "*",
            protocol: "*"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.securityRules.beginCreateOrUpdateAndWait(resourceGroupName, networkSecurityGroupName, securityRuleName, securityRuleParameters);
        console.log(result);
    });
}
createSecurityRule().catch(console.error);
//# sourceMappingURL=securityRulesCreateOrUpdateSample.js.map