/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a service Endpoint Policies.
 *
 * @summary Creates or updates a service Endpoint Policies.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ServiceEndpointPolicyCreate.json
 */
function createServiceEndpointPolicy() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const serviceEndpointPolicyName = "testPolicy";
        const parameters = { location: "westus" };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.serviceEndpointPolicies.beginCreateOrUpdateAndWait(resourceGroupName, serviceEndpointPolicyName, parameters);
        console.log(result);
    });
}
createServiceEndpointPolicy().catch(console.error);
/**
 * This sample demonstrates how to Creates or updates a service Endpoint Policies.
 *
 * @summary Creates or updates a service Endpoint Policies.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ServiceEndpointPolicyCreateWithDefinition.json
 */
function createServiceEndpointPolicyWithDefinition() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const serviceEndpointPolicyName = "testPolicy";
        const parameters = {
            location: "westus",
            serviceEndpointPolicyDefinitions: [
                {
                    name: "StorageServiceEndpointPolicyDefinition",
                    description: "Storage Service EndpointPolicy Definition",
                    service: "Microsoft.Storage",
                    serviceResources: [
                        "/subscriptions/subid1",
                        "/subscriptions/subid1/resourceGroups/storageRg",
                        "/subscriptions/subid1/resourceGroups/storageRg/providers/Microsoft.Storage/storageAccounts/stAccount"
                    ]
                }
            ]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.serviceEndpointPolicies.beginCreateOrUpdateAndWait(resourceGroupName, serviceEndpointPolicyName, parameters);
        console.log(result);
    });
}
createServiceEndpointPolicyWithDefinition().catch(console.error);
//# sourceMappingURL=serviceEndpointPoliciesCreateOrUpdateSample.js.map