/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Deletes the specified ServiceEndpoint policy definitions.
 *
 * @summary Deletes the specified ServiceEndpoint policy definitions.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ServiceEndpointPolicyDefinitionDelete.json
 */
function deleteServiceEndpointPolicyDefinitionsFromServiceEndpointPolicy() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const serviceEndpointPolicyName = "testPolicy";
        const serviceEndpointPolicyDefinitionName = "testDefinition";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.serviceEndpointPolicyDefinitions.beginDeleteAndWait(resourceGroupName, serviceEndpointPolicyName, serviceEndpointPolicyDefinitionName);
        console.log(result);
    });
}
deleteServiceEndpointPolicyDefinitionsFromServiceEndpointPolicy().catch(console.error);
//# sourceMappingURL=serviceEndpointPolicyDefinitionsDeleteSample.js.map