/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Get the specified service endpoint policy definitions from service endpoint policy.
 *
 * @summary Get the specified service endpoint policy definitions from service endpoint policy.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/ServiceEndpointPolicyDefinitionGet.json
 */
function getServiceEndpointDefinitionInServiceEndpointPolicy() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const serviceEndpointPolicyName = "testPolicy";
        const serviceEndpointPolicyDefinitionName = "testDefinition";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.serviceEndpointPolicyDefinitions.get(resourceGroupName, serviceEndpointPolicyName, serviceEndpointPolicyDefinitionName);
        console.log(result);
    });
}
getServiceEndpointDefinitionInServiceEndpointPolicy().catch(console.error);
//# sourceMappingURL=serviceEndpointPolicyDefinitionsGetSample.js.map