/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates a subnet in the specified virtual network.
 *
 * @summary Creates or updates a subnet in the specified virtual network.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/SubnetCreate.json
 */
function createSubnet() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "subnet-test";
        const virtualNetworkName = "vnetname";
        const subnetName = "subnet1";
        const subnetParameters = { addressPrefix: "10.0.0.0/16" };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.subnets.beginCreateOrUpdateAndWait(resourceGroupName, virtualNetworkName, subnetName, subnetParameters);
        console.log(result);
    });
}
createSubnet().catch(console.error);
/**
 * This sample demonstrates how to Creates or updates a subnet in the specified virtual network.
 *
 * @summary Creates or updates a subnet in the specified virtual network.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/SubnetCreateWithDelegation.json
 */
function createSubnetWithADelegation() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subId";
        const resourceGroupName = "subnet-test";
        const virtualNetworkName = "vnetname";
        const subnetName = "subnet1";
        const subnetParameters = { addressPrefix: "10.0.0.0/16" };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.subnets.beginCreateOrUpdateAndWait(resourceGroupName, virtualNetworkName, subnetName, subnetParameters);
        console.log(result);
    });
}
createSubnetWithADelegation().catch(console.error);
/**
 * This sample demonstrates how to Creates or updates a subnet in the specified virtual network.
 *
 * @summary Creates or updates a subnet in the specified virtual network.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/SubnetCreateServiceEndpoint.json
 */
function createSubnetWithServiceEndpoints() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "subnet-test";
        const virtualNetworkName = "vnetname";
        const subnetName = "subnet1";
        const subnetParameters = {
            addressPrefix: "10.0.0.0/16",
            serviceEndpoints: [{ service: "Microsoft.Storage" }]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.subnets.beginCreateOrUpdateAndWait(resourceGroupName, virtualNetworkName, subnetName, subnetParameters);
        console.log(result);
    });
}
createSubnetWithServiceEndpoints().catch(console.error);
//# sourceMappingURL=subnetsCreateOrUpdateSample.js.map