/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Performs vip swap operation on swappable cloud services.
 *
 * @summary Performs vip swap operation on swappable cloud services.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/CloudServiceSwapPut.json
 */
function putVipSwapOperation() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const groupName = "rg1";
        const resourceName = "testCloudService";
        const parameters = { properties: { slotType: "Production" } };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.vipSwap.beginCreateAndWait(groupName, resourceName, parameters);
        console.log(result);
    });
}
putVipSwapOperation().catch(console.error);
//# sourceMappingURL=vipSwapCreateSample.js.map