/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates the specified Network Virtual Appliance Site.
 *
 * @summary Creates or updates the specified Network Virtual Appliance Site.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/NetworkVirtualApplianceSitePut.json
 */
function createNetworkVirtualApplianceSite() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const networkVirtualApplianceName = "nva";
        const siteName = "site1";
        const parameters = {
            addressPrefix: "192.168.1.0/24",
            o365Policy: {
                breakOutCategories: { default: true, allow: true, optimize: true }
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.virtualApplianceSites.beginCreateOrUpdateAndWait(resourceGroupName, networkVirtualApplianceName, siteName, parameters);
        console.log(result);
    });
}
createNetworkVirtualApplianceSite().catch(console.error);
//# sourceMappingURL=virtualApplianceSitesCreateOrUpdateSample.js.map