/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates a VirtualHubRouteTableV2 resource if it doesn't exist else updates the existing VirtualHubRouteTableV2.
 *
 * @summary Creates a VirtualHubRouteTableV2 resource if it doesn't exist else updates the existing VirtualHubRouteTableV2.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/VirtualHubRouteTableV2Put.json
 */
function virtualHubRouteTableV2Put() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const virtualHubName = "virtualHub1";
        const routeTableName = "virtualHubRouteTable1a";
        const virtualHubRouteTableV2Parameters = {
            attachedConnections: ["All_Vnets"],
            routes: [
                {
                    destinationType: "CIDR",
                    destinations: ["20.10.0.0/16", "20.20.0.0/16"],
                    nextHopType: "IPAddress",
                    nextHops: ["10.0.0.68"]
                },
                {
                    destinationType: "CIDR",
                    destinations: ["0.0.0.0/0"],
                    nextHopType: "IPAddress",
                    nextHops: ["10.0.0.68"]
                }
            ]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.virtualHubRouteTableV2S.beginCreateOrUpdateAndWait(resourceGroupName, virtualHubName, routeTableName, virtualHubRouteTableV2Parameters);
        console.log(result);
    });
}
virtualHubRouteTableV2Put().catch(console.error);
//# sourceMappingURL=virtualHubRouteTableV2SCreateOrUpdateSample.js.map