/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Gets the effective routes configured for the Virtual Hub resource or the specified resource .
 *
 * @summary Gets the effective routes configured for the Virtual Hub resource or the specified resource .
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/EffectiveRoutesListForConnection.json
 */
function effectiveRoutesForAConnectionResource() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const virtualHubName = "virtualHub1";
        const effectiveRoutesParameters = {
            resourceId: "/subscriptions/subid/resourceGroups/resourceGroupName/providers/Microsoft.Network/expressRouteGateways/expressRouteGatewayName/expressRouteConnections/connectionName",
            virtualWanResourceType: "ExpressRouteConnection"
        };
        const options = {
            effectiveRoutesParameters
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.virtualHubs.beginGetEffectiveVirtualHubRoutesAndWait(resourceGroupName, virtualHubName, options);
        console.log(result);
    });
}
effectiveRoutesForAConnectionResource().catch(console.error);
/**
 * This sample demonstrates how to Gets the effective routes configured for the Virtual Hub resource or the specified resource .
 *
 * @summary Gets the effective routes configured for the Virtual Hub resource or the specified resource .
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/EffectiveRoutesListForRouteTable.json
 */
function effectiveRoutesForARouteTableResource() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const virtualHubName = "virtualHub1";
        const effectiveRoutesParameters = {
            resourceId: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/virtualHub1/hubRouteTables/hubRouteTable1",
            virtualWanResourceType: "RouteTable"
        };
        const options = {
            effectiveRoutesParameters
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.virtualHubs.beginGetEffectiveVirtualHubRoutesAndWait(resourceGroupName, virtualHubName, options);
        console.log(result);
    });
}
effectiveRoutesForARouteTableResource().catch(console.error);
/**
 * This sample demonstrates how to Gets the effective routes configured for the Virtual Hub resource or the specified resource .
 *
 * @summary Gets the effective routes configured for the Virtual Hub resource or the specified resource .
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/EffectiveRoutesListForVirtualHub.json
 */
function effectiveRoutesForTheVirtualHub() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const virtualHubName = "virtualHub1";
        const effectiveRoutesParameters = {};
        const options = {
            effectiveRoutesParameters
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.virtualHubs.beginGetEffectiveVirtualHubRoutesAndWait(resourceGroupName, virtualHubName, options);
        console.log(result);
    });
}
effectiveRoutesForTheVirtualHub().catch(console.error);
//# sourceMappingURL=virtualHubsGetEffectiveVirtualHubRoutesSample.js.map