/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates a nat rule to a scalable virtual network gateway if it doesn't exist else updates the existing nat rules.
 *
 * @summary Creates a nat rule to a scalable virtual network gateway if it doesn't exist else updates the existing nat rules.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/VirtualNetworkGatewayNatRulePut.json
 */
function virtualNetworkGatewayNatRulePut() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const virtualNetworkGatewayName = "gateway1";
        const natRuleName = "natRule1";
        const natRuleParameters = {
            typePropertiesType: "Static",
            externalMappings: [
                { addressSpace: "192.168.21.0/24", portRange: "300-400" }
            ],
            internalMappings: [{ addressSpace: "10.4.0.0/24", portRange: "200-300" }],
            ipConfigurationId: "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworkGateways/gateway1/ipConfigurations/default",
            mode: "EgressSnat"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.virtualNetworkGatewayNatRules.beginCreateOrUpdateAndWait(resourceGroupName, virtualNetworkGatewayName, natRuleName, natRuleParameters);
        console.log(result);
    });
}
virtualNetworkGatewayNatRulePut().catch(console.error);
//# sourceMappingURL=virtualNetworkGatewayNatRulesCreateOrUpdateSample.js.map