/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Disconnect vpn connections of virtual network gateway in the specified resource group.
 *
 * @summary Disconnect vpn connections of virtual network gateway in the specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/VirtualNetworkGatewaysDisconnectP2sVpnConnections.json
 */
function disconnectVpnConnectionsFromVirtualNetworkGateway() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "vpn-gateway-test";
        const virtualNetworkGatewayName = "vpngateway";
        const request = {
            vpnConnectionIds: ["vpnconnId1", "vpnconnId2"]
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.virtualNetworkGateways.beginDisconnectVirtualNetworkGatewayVpnConnectionsAndWait(resourceGroupName, virtualNetworkGatewayName, request);
        console.log(result);
    });
}
disconnectVpnConnectionsFromVirtualNetworkGateway().catch(console.error);
//# sourceMappingURL=virtualNetworkGatewaysDisconnectVirtualNetworkGatewayVpnConnectionsSample.js.map