/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Resets the VPN client shared key of the virtual network gateway in the specified resource group.
 *
 * @summary Resets the VPN client shared key of the virtual network gateway in the specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/VirtualNetworkGatewayResetVpnClientSharedKey.json
 */
function resetVpnClientSharedKey() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const virtualNetworkGatewayName = "vpngw";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.virtualNetworkGateways.beginResetVpnClientSharedKeyAndWait(resourceGroupName, virtualNetworkGatewayName);
        console.log(result);
    });
}
resetVpnClientSharedKey().catch(console.error);
//# sourceMappingURL=virtualNetworkGatewaysResetVpnClientSharedKeySample.js.map