/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Gets the specified virtual network peering.
 *
 * @summary Gets the specified virtual network peering.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/VirtualNetworkPeeringGet.json
 */
function getPeering() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "peerTest";
        const virtualNetworkName = "vnet1";
        const virtualNetworkPeeringName = "peer";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.virtualNetworkPeerings.get(resourceGroupName, virtualNetworkName, virtualNetworkPeeringName);
        console.log(result);
    });
}
getPeering().catch(console.error);
/**
 * This sample demonstrates how to Gets the specified virtual network peering.
 *
 * @summary Gets the specified virtual network peering.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/VirtualNetworkPeeringGetWithRemoteVirtualNetworkEncryption.json
 */
function getPeeringWithRemoteVirtualNetworkEncryption() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "peerTest";
        const virtualNetworkName = "vnet1";
        const virtualNetworkPeeringName = "peer";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.virtualNetworkPeerings.get(resourceGroupName, virtualNetworkName, virtualNetworkPeeringName);
        console.log(result);
    });
}
getPeeringWithRemoteVirtualNetworkEncryption().catch(console.error);
//# sourceMappingURL=virtualNetworkPeeringsGetSample.js.map