/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Creates or updates the specified Virtual Router Peering.
 *
 * @summary Creates or updates the specified Virtual Router Peering.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/VirtualRouterPeeringPut.json
 */
function createVirtualRouterPeering() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const virtualRouterName = "virtualRouter";
        const peeringName = "peering1";
        const parameters = {
            peerAsn: 20000,
            peerIp: "192.168.1.5"
        };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.virtualRouterPeerings.beginCreateOrUpdateAndWait(resourceGroupName, virtualRouterName, peeringName, parameters);
        console.log(result);
    });
}
createVirtualRouterPeering().catch(console.error);
//# sourceMappingURL=virtualRouterPeeringsCreateOrUpdateSample.js.map