/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Stops packet capture on Vpn connection in the specified resource group.
 *
 * @summary Stops packet capture on Vpn connection in the specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/VpnConnectionStopPacketCapture.json
 */
function startPacketCaptureOnVpnConnectionWithoutFilter() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const gatewayName = "gateway1";
        const vpnConnectionName = "vpnConnection1";
        const parameters = {
            linkConnectionNames: ["vpnSiteLink1", "vpnSiteLink2"],
            sasUrl: "https://teststorage.blob.core.windows.net/?sv=2018-03-28&ss=bfqt&srt=sco&sp=rwdlacup&se=2019-09-13T07:44:05Z&st=2019-09-06T23:44:05Z&spr=https&sig=V1h9D1riltvZMI69d6ihENnFo%2FrCvTqGgjO2lf%2FVBhE%3D"
        };
        const options = { parameters };
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.vpnConnections.beginStopPacketCaptureAndWait(resourceGroupName, gatewayName, vpnConnectionName, options);
        console.log(result);
    });
}
startPacketCaptureOnVpnConnectionWithoutFilter().catch(console.error);
//# sourceMappingURL=vpnConnectionsStopPacketCaptureSample.js.map