/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { NetworkManagementClient } from "@azure/arm-network";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Lists IKE Security Associations for Vpn Site Link Connection in the specified resource group.
 *
 * @summary Lists IKE Security Associations for Vpn Site Link Connection in the specified resource group.
 * x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2022-07-01/examples/VpnSiteLinkConnectionGetIkeSas.json
 */
function getVpnLinkConnectionIkeSa() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subid";
        const resourceGroupName = "rg1";
        const gatewayName = "gateway1";
        const connectionName = "vpnConnection1";
        const linkConnectionName = "Connection-Link1";
        const credential = new DefaultAzureCredential();
        const client = new NetworkManagementClient(credential, subscriptionId);
        const result = yield client.vpnLinkConnections.beginGetIkeSasAndWait(resourceGroupName, gatewayName, connectionName, linkConnectionName);
        console.log(result);
    });
}
getVpnLinkConnectionIkeSa().catch(console.error);
//# sourceMappingURL=vpnLinkConnectionsGetIkeSasSample.js.map