/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { PrivateDnsManagementClient } from "@azure/arm-privatedns";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Updates a Private DNS zone. Does not modify virtual network links or DNS records within the zone.
 *
 * @summary Updates a Private DNS zone. Does not modify virtual network links or DNS records within the zone.
 * x-ms-original-file: specification/privatedns/resource-manager/Microsoft.Network/stable/2020-06-01/examples/PrivateZonePatch.json
 */
function patchPrivateDnsZone() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subscriptionId";
        const resourceGroupName = "resourceGroup1";
        const privateZoneName = "privatezone1.com";
        const parameters = { tags: { key2: "value2" } };
        const credential = new DefaultAzureCredential();
        const client = new PrivateDnsManagementClient(credential, subscriptionId);
        const result = yield client.privateZones.beginUpdateAndWait(resourceGroupName, privateZoneName, parameters);
        console.log(result);
    });
}
patchPrivateDnsZone().catch(console.error);
//# sourceMappingURL=privateZonesUpdateSample.js.map