/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { PrivateDnsManagementClient } from "@azure/arm-privatedns";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Updates a virtual network link to the specified Private DNS zone.
 *
 * @summary Updates a virtual network link to the specified Private DNS zone.
 * x-ms-original-file: specification/privatedns/resource-manager/Microsoft.Network/stable/2020-06-01/examples/VirtualNetworkLinkPatch.json
 */
function patchPrivateDnsZoneVirtualNetworkLink() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "subscriptionId";
        const resourceGroupName = "resourceGroup1";
        const privateZoneName = "privatezone1.com";
        const virtualNetworkLinkName = "virtualNetworkLink1";
        const parameters = {
            registrationEnabled: true,
            tags: { key2: "value2" }
        };
        const credential = new DefaultAzureCredential();
        const client = new PrivateDnsManagementClient(credential, subscriptionId);
        const result = yield client.virtualNetworkLinks.beginUpdateAndWait(resourceGroupName, privateZoneName, virtualNetworkLinkName, parameters);
        console.log(result);
    });
}
patchPrivateDnsZoneVirtualNetworkLink().catch(console.error);
//# sourceMappingURL=virtualNetworkLinksUpdateSample.js.map