/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { StorageManagementClient } from "@azure/arm-storage";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to List SSH authorized keys and shared key of the local user.
 *
 * @summary List SSH authorized keys and shared key of the local user.
 * x-ms-original-file: specification/storage/resource-manager/Microsoft.Storage/stable/2022-09-01/examples/LocalUserListKeys.json
 */
function listLocalUserKeys() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "res6977";
        const accountName = "sto2527";
        const username = "user1";
        const credential = new DefaultAzureCredential();
        const client = new StorageManagementClient(credential, subscriptionId);
        const result = yield client.localUsersOperations.listKeys(resourceGroupName, accountName, username);
        console.log(result);
    });
}
listLocalUserKeys().catch(console.error);
//# sourceMappingURL=localUsersListKeysSample.js.map