/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { StorageManagementClient } from "@azure/arm-storage";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Restore blobs in the specified blob ranges
 *
 * @summary Restore blobs in the specified blob ranges
 * x-ms-original-file: specification/storage/resource-manager/Microsoft.Storage/stable/2022-09-01/examples/BlobRangesRestore.json
 */
function blobRangesRestore() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "res9101";
        const accountName = "sto4445";
        const parameters = {
            blobRanges: [
                { endRange: "container/blobpath2", startRange: "container/blobpath1" },
                { endRange: "", startRange: "container2/blobpath3" }
            ],
            timeToRestore: new Date("2019-04-20T15:30:00.0000000Z")
        };
        const credential = new DefaultAzureCredential();
        const client = new StorageManagementClient(credential, subscriptionId);
        const result = yield client.storageAccounts.beginRestoreBlobRangesAndWait(resourceGroupName, accountName, parameters);
        console.log(result);
    });
}
blobRangesRestore().catch(console.error);
//# sourceMappingURL=storageAccountsRestoreBlobRangesSample.js.map