## API Report File for "@azure/arm-compute"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

/// <reference types="node" />

import * as coreAuth from '@azure/core-auth';
import * as coreClient from '@azure/core-client';
import { PagedAsyncIterableIterator } from '@azure/core-paging';
import { PollerLike } from '@azure/core-lro';
import { PollOperationState } from '@azure/core-lro';

// @public
export type AccessLevel = string;

// @public
export interface AccessUri {
    readonly accessSAS?: string;
    readonly securityDataAccessSAS?: string;
}

// @public
export interface AdditionalCapabilities {
    hibernationEnabled?: boolean;
    ultraSSDEnabled?: boolean;
}

// @public
export interface AdditionalUnattendContent {
    componentName?: "Microsoft-Windows-Shell-Setup";
    content?: string;
    passName?: "OobeSystem";
    settingName?: SettingNames;
}

// @public
export type AggregatedReplicationState = string;

// @public
export interface AlternativeOption {
    type?: AlternativeType;
    value?: string;
}

// @public
export type AlternativeType = string;

// @public
export interface ApiEntityReference {
    id?: string;
}

// @public
export interface ApiError {
    code?: string;
    details?: ApiErrorBase[];
    innererror?: InnerError;
    message?: string;
    target?: string;
}

// @public
export interface ApiErrorBase {
    code?: string;
    message?: string;
    target?: string;
}

// @public
export interface ApplicationProfile {
    galleryApplications?: VMGalleryApplication[];
}

// @public
export type Architecture = string;

// @public
export type ArchitectureTypes = string;

// @public
export interface AutomaticOSUpgradePolicy {
    disableAutomaticRollback?: boolean;
    enableAutomaticOSUpgrade?: boolean;
    useRollingUpgradePolicy?: boolean;
}

// @public
export interface AutomaticOSUpgradeProperties {
    automaticOSUpgradeSupported: boolean;
}

// @public
export interface AutomaticRepairsPolicy {
    enabled?: boolean;
    gracePeriod?: string;
    repairAction?: RepairAction;
}

// @public
export interface AvailabilitySet extends Resource {
    platformFaultDomainCount?: number;
    platformUpdateDomainCount?: number;
    proximityPlacementGroup?: SubResource;
    sku?: Sku;
    readonly statuses?: InstanceViewStatus[];
    virtualMachines?: SubResource[];
}

// @public
export interface AvailabilitySetListResult {
    nextLink?: string;
    value: AvailabilitySet[];
}

// @public
export interface AvailabilitySets {
    createOrUpdate(resourceGroupName: string, availabilitySetName: string, parameters: AvailabilitySet, options?: AvailabilitySetsCreateOrUpdateOptionalParams): Promise<AvailabilitySetsCreateOrUpdateResponse>;
    delete(resourceGroupName: string, availabilitySetName: string, options?: AvailabilitySetsDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, availabilitySetName: string, options?: AvailabilitySetsGetOptionalParams): Promise<AvailabilitySetsGetResponse>;
    list(resourceGroupName: string, options?: AvailabilitySetsListOptionalParams): PagedAsyncIterableIterator<AvailabilitySet>;
    listAvailableSizes(resourceGroupName: string, availabilitySetName: string, options?: AvailabilitySetsListAvailableSizesOptionalParams): PagedAsyncIterableIterator<VirtualMachineSize>;
    listBySubscription(options?: AvailabilitySetsListBySubscriptionOptionalParams): PagedAsyncIterableIterator<AvailabilitySet>;
    update(resourceGroupName: string, availabilitySetName: string, parameters: AvailabilitySetUpdate, options?: AvailabilitySetsUpdateOptionalParams): Promise<AvailabilitySetsUpdateResponse>;
}

// @public
export interface AvailabilitySetsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type AvailabilitySetsCreateOrUpdateResponse = AvailabilitySet;

// @public
export interface AvailabilitySetsDeleteOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface AvailabilitySetsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type AvailabilitySetsGetResponse = AvailabilitySet;

// @public
export type AvailabilitySetSkuTypes = string;

// @public
export interface AvailabilitySetsListAvailableSizesOptionalParams extends coreClient.OperationOptions {
}

// @public
export type AvailabilitySetsListAvailableSizesResponse = VirtualMachineSizeListResult;

// @public
export interface AvailabilitySetsListBySubscriptionNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type AvailabilitySetsListBySubscriptionNextResponse = AvailabilitySetListResult;

// @public
export interface AvailabilitySetsListBySubscriptionOptionalParams extends coreClient.OperationOptions {
    expand?: string;
}

// @public
export type AvailabilitySetsListBySubscriptionResponse = AvailabilitySetListResult;

// @public
export interface AvailabilitySetsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type AvailabilitySetsListNextResponse = AvailabilitySetListResult;

// @public
export interface AvailabilitySetsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type AvailabilitySetsListResponse = AvailabilitySetListResult;

// @public
export interface AvailabilitySetsUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type AvailabilitySetsUpdateResponse = AvailabilitySet;

// @public
export interface AvailabilitySetUpdate extends UpdateResource {
    platformFaultDomainCount?: number;
    platformUpdateDomainCount?: number;
    proximityPlacementGroup?: SubResource;
    sku?: Sku;
    readonly statuses?: InstanceViewStatus[];
    virtualMachines?: SubResource[];
}

// @public
export interface AvailablePatchSummary {
    readonly assessmentActivityId?: string;
    readonly criticalAndSecurityPatchCount?: number;
    readonly error?: ApiError;
    readonly lastModifiedTime?: Date;
    readonly otherPatchCount?: number;
    readonly rebootPending?: boolean;
    readonly startTime?: Date;
    readonly status?: PatchOperationStatus;
}

// @public
export interface BillingProfile {
    maxPrice?: number;
}

// @public
export interface BootDiagnostics {
    enabled?: boolean;
    storageUri?: string;
}

// @public
export interface BootDiagnosticsInstanceView {
    readonly consoleScreenshotBlobUri?: string;
    readonly serialConsoleLogBlobUri?: string;
    readonly status?: InstanceViewStatus;
}

// @public
export type CachingTypes = "None" | "ReadOnly" | "ReadWrite";

// @public
export interface CapacityReservation extends Resource {
    readonly instanceView?: CapacityReservationInstanceView;
    readonly platformFaultDomainCount?: number;
    readonly provisioningState?: string;
    readonly provisioningTime?: Date;
    readonly reservationId?: string;
    sku: Sku;
    readonly timeCreated?: Date;
    readonly virtualMachinesAssociated?: SubResourceReadOnly[];
    zones?: string[];
}

// @public
export interface CapacityReservationGroup extends Resource {
    readonly capacityReservations?: SubResourceReadOnly[];
    readonly instanceView?: CapacityReservationGroupInstanceView;
    readonly virtualMachinesAssociated?: SubResourceReadOnly[];
    zones?: string[];
}

// @public (undocumented)
export interface CapacityReservationGroupInstanceView {
    readonly capacityReservations?: CapacityReservationInstanceViewWithName[];
}

// @public
export type CapacityReservationGroupInstanceViewTypes = string;

// @public
export interface CapacityReservationGroupListResult {
    nextLink?: string;
    value: CapacityReservationGroup[];
}

// @public
export interface CapacityReservationGroups {
    createOrUpdate(resourceGroupName: string, capacityReservationGroupName: string, parameters: CapacityReservationGroup, options?: CapacityReservationGroupsCreateOrUpdateOptionalParams): Promise<CapacityReservationGroupsCreateOrUpdateResponse>;
    delete(resourceGroupName: string, capacityReservationGroupName: string, options?: CapacityReservationGroupsDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, capacityReservationGroupName: string, options?: CapacityReservationGroupsGetOptionalParams): Promise<CapacityReservationGroupsGetResponse>;
    listByResourceGroup(resourceGroupName: string, options?: CapacityReservationGroupsListByResourceGroupOptionalParams): PagedAsyncIterableIterator<CapacityReservationGroup>;
    listBySubscription(options?: CapacityReservationGroupsListBySubscriptionOptionalParams): PagedAsyncIterableIterator<CapacityReservationGroup>;
    update(resourceGroupName: string, capacityReservationGroupName: string, parameters: CapacityReservationGroupUpdate, options?: CapacityReservationGroupsUpdateOptionalParams): Promise<CapacityReservationGroupsUpdateResponse>;
}

// @public
export interface CapacityReservationGroupsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CapacityReservationGroupsCreateOrUpdateResponse = CapacityReservationGroup;

// @public
export interface CapacityReservationGroupsDeleteOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface CapacityReservationGroupsGetOptionalParams extends coreClient.OperationOptions {
    expand?: CapacityReservationGroupInstanceViewTypes;
}

// @public
export type CapacityReservationGroupsGetResponse = CapacityReservationGroup;

// @public
export interface CapacityReservationGroupsListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CapacityReservationGroupsListByResourceGroupNextResponse = CapacityReservationGroupListResult;

// @public
export interface CapacityReservationGroupsListByResourceGroupOptionalParams extends coreClient.OperationOptions {
    expand?: ExpandTypesForGetCapacityReservationGroups;
}

// @public
export type CapacityReservationGroupsListByResourceGroupResponse = CapacityReservationGroupListResult;

// @public
export interface CapacityReservationGroupsListBySubscriptionNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CapacityReservationGroupsListBySubscriptionNextResponse = CapacityReservationGroupListResult;

// @public
export interface CapacityReservationGroupsListBySubscriptionOptionalParams extends coreClient.OperationOptions {
    expand?: ExpandTypesForGetCapacityReservationGroups;
}

// @public
export type CapacityReservationGroupsListBySubscriptionResponse = CapacityReservationGroupListResult;

// @public
export interface CapacityReservationGroupsUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CapacityReservationGroupsUpdateResponse = CapacityReservationGroup;

// @public
export interface CapacityReservationGroupUpdate extends UpdateResource {
    readonly capacityReservations?: SubResourceReadOnly[];
    readonly instanceView?: CapacityReservationGroupInstanceView;
    readonly virtualMachinesAssociated?: SubResourceReadOnly[];
}

// @public
export interface CapacityReservationInstanceView {
    statuses?: InstanceViewStatus[];
    utilizationInfo?: CapacityReservationUtilization;
}

// @public
export type CapacityReservationInstanceViewTypes = string;

// @public
export interface CapacityReservationInstanceViewWithName extends CapacityReservationInstanceView {
    readonly name?: string;
}

// @public
export interface CapacityReservationListResult {
    nextLink?: string;
    value: CapacityReservation[];
}

// @public
export interface CapacityReservationProfile {
    capacityReservationGroup?: SubResource;
}

// @public
export interface CapacityReservations {
    beginCreateOrUpdate(resourceGroupName: string, capacityReservationGroupName: string, capacityReservationName: string, parameters: CapacityReservation, options?: CapacityReservationsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<CapacityReservationsCreateOrUpdateResponse>, CapacityReservationsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, capacityReservationGroupName: string, capacityReservationName: string, parameters: CapacityReservation, options?: CapacityReservationsCreateOrUpdateOptionalParams): Promise<CapacityReservationsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, capacityReservationGroupName: string, capacityReservationName: string, options?: CapacityReservationsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, capacityReservationGroupName: string, capacityReservationName: string, options?: CapacityReservationsDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, capacityReservationGroupName: string, capacityReservationName: string, parameters: CapacityReservationUpdate, options?: CapacityReservationsUpdateOptionalParams): Promise<PollerLike<PollOperationState<CapacityReservationsUpdateResponse>, CapacityReservationsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, capacityReservationGroupName: string, capacityReservationName: string, parameters: CapacityReservationUpdate, options?: CapacityReservationsUpdateOptionalParams): Promise<CapacityReservationsUpdateResponse>;
    get(resourceGroupName: string, capacityReservationGroupName: string, capacityReservationName: string, options?: CapacityReservationsGetOptionalParams): Promise<CapacityReservationsGetResponse>;
    listByCapacityReservationGroup(resourceGroupName: string, capacityReservationGroupName: string, options?: CapacityReservationsListByCapacityReservationGroupOptionalParams): PagedAsyncIterableIterator<CapacityReservation>;
}

// @public
export interface CapacityReservationsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type CapacityReservationsCreateOrUpdateResponse = CapacityReservation;

// @public
export interface CapacityReservationsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CapacityReservationsGetOptionalParams extends coreClient.OperationOptions {
    expand?: CapacityReservationInstanceViewTypes;
}

// @public
export type CapacityReservationsGetResponse = CapacityReservation;

// @public
export interface CapacityReservationsListByCapacityReservationGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CapacityReservationsListByCapacityReservationGroupNextResponse = CapacityReservationListResult;

// @public
export interface CapacityReservationsListByCapacityReservationGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CapacityReservationsListByCapacityReservationGroupResponse = CapacityReservationListResult;

// @public
export interface CapacityReservationsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type CapacityReservationsUpdateResponse = CapacityReservation;

// @public
export interface CapacityReservationUpdate extends UpdateResource {
    readonly instanceView?: CapacityReservationInstanceView;
    readonly platformFaultDomainCount?: number;
    readonly provisioningState?: string;
    readonly provisioningTime?: Date;
    readonly reservationId?: string;
    sku?: Sku;
    readonly timeCreated?: Date;
    readonly virtualMachinesAssociated?: SubResourceReadOnly[];
}

// @public
export interface CapacityReservationUtilization {
    readonly currentCapacity?: number;
    readonly virtualMachinesAllocated?: SubResourceReadOnly[];
}

// @public
export interface CloudError {
    error?: ApiError;
}

// @public
export interface CloudService {
    readonly id?: string;
    location: string;
    readonly name?: string;
    properties?: CloudServiceProperties;
    systemData?: SystemData;
    tags?: {
        [propertyName: string]: string;
    };
    readonly type?: string;
    zones?: string[];
}

// @public
export interface CloudServiceExtensionProfile {
    extensions?: Extension[];
}

// @public
export interface CloudServiceExtensionProperties {
    autoUpgradeMinorVersion?: boolean;
    forceUpdateTag?: string;
    protectedSettings?: any;
    protectedSettingsFromKeyVault?: CloudServiceVaultAndSecretReference;
    readonly provisioningState?: string;
    publisher?: string;
    rolesAppliedTo?: string[];
    settings?: any;
    type?: string;
    typeHandlerVersion?: string;
}

// @public
export interface CloudServiceInstanceView {
    readonly privateIds?: string[];
    roleInstance?: InstanceViewStatusesSummary;
    readonly sdkVersion?: string;
    readonly statuses?: ResourceInstanceViewStatus[];
}

// @public
export interface CloudServiceListResult {
    nextLink?: string;
    value: CloudService[];
}

// @public
export interface CloudServiceNetworkProfile {
    loadBalancerConfigurations?: LoadBalancerConfiguration[];
    slotType?: CloudServiceSlotType;
    swappableCloudService?: SubResource;
}

// @public
export interface CloudServiceOperatingSystems {
    getOSFamily(location: string, osFamilyName: string, options?: CloudServiceOperatingSystemsGetOSFamilyOptionalParams): Promise<CloudServiceOperatingSystemsGetOSFamilyResponse>;
    getOSVersion(location: string, osVersionName: string, options?: CloudServiceOperatingSystemsGetOSVersionOptionalParams): Promise<CloudServiceOperatingSystemsGetOSVersionResponse>;
    listOSFamilies(location: string, options?: CloudServiceOperatingSystemsListOSFamiliesOptionalParams): PagedAsyncIterableIterator<OSFamily>;
    listOSVersions(location: string, options?: CloudServiceOperatingSystemsListOSVersionsOptionalParams): PagedAsyncIterableIterator<OSVersion>;
}

// @public
export interface CloudServiceOperatingSystemsGetOSFamilyOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServiceOperatingSystemsGetOSFamilyResponse = OSFamily;

// @public
export interface CloudServiceOperatingSystemsGetOSVersionOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServiceOperatingSystemsGetOSVersionResponse = OSVersion;

// @public
export interface CloudServiceOperatingSystemsListOSFamiliesNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServiceOperatingSystemsListOSFamiliesNextResponse = OSFamilyListResult;

// @public
export interface CloudServiceOperatingSystemsListOSFamiliesOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServiceOperatingSystemsListOSFamiliesResponse = OSFamilyListResult;

// @public
export interface CloudServiceOperatingSystemsListOSVersionsNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServiceOperatingSystemsListOSVersionsNextResponse = OSVersionListResult;

// @public
export interface CloudServiceOperatingSystemsListOSVersionsOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServiceOperatingSystemsListOSVersionsResponse = OSVersionListResult;

// @public
export interface CloudServiceOsProfile {
    secrets?: CloudServiceVaultSecretGroup[];
}

// @public
export interface CloudServiceProperties {
    allowModelOverride?: boolean;
    configuration?: string;
    configurationUrl?: string;
    extensionProfile?: CloudServiceExtensionProfile;
    networkProfile?: CloudServiceNetworkProfile;
    osProfile?: CloudServiceOsProfile;
    packageUrl?: string;
    readonly provisioningState?: string;
    roleProfile?: CloudServiceRoleProfile;
    startCloudService?: boolean;
    readonly uniqueId?: string;
    upgradeMode?: CloudServiceUpgradeMode;
}

// @public
export interface CloudServiceRole {
    readonly id?: string;
    readonly location?: string;
    readonly name?: string;
    properties?: CloudServiceRoleProperties;
    sku?: CloudServiceRoleSku;
    readonly type?: string;
}

// @public
export interface CloudServiceRoleInstances {
    beginDelete(roleInstanceName: string, resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRoleInstancesDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(roleInstanceName: string, resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRoleInstancesDeleteOptionalParams): Promise<void>;
    beginRebuild(roleInstanceName: string, resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRoleInstancesRebuildOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRebuildAndWait(roleInstanceName: string, resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRoleInstancesRebuildOptionalParams): Promise<void>;
    beginReimage(roleInstanceName: string, resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRoleInstancesReimageOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginReimageAndWait(roleInstanceName: string, resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRoleInstancesReimageOptionalParams): Promise<void>;
    beginRestart(roleInstanceName: string, resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRoleInstancesRestartOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRestartAndWait(roleInstanceName: string, resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRoleInstancesRestartOptionalParams): Promise<void>;
    get(roleInstanceName: string, resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRoleInstancesGetOptionalParams): Promise<CloudServiceRoleInstancesGetResponse>;
    getInstanceView(roleInstanceName: string, resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRoleInstancesGetInstanceViewOptionalParams): Promise<CloudServiceRoleInstancesGetInstanceViewResponse>;
    getRemoteDesktopFile(roleInstanceName: string, resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRoleInstancesGetRemoteDesktopFileOptionalParams): Promise<CloudServiceRoleInstancesGetRemoteDesktopFileResponse>;
    list(resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRoleInstancesListOptionalParams): PagedAsyncIterableIterator<RoleInstance>;
}

// @public
export interface CloudServiceRoleInstancesDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CloudServiceRoleInstancesGetInstanceViewOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServiceRoleInstancesGetInstanceViewResponse = RoleInstanceView;

// @public
export interface CloudServiceRoleInstancesGetOptionalParams extends coreClient.OperationOptions {
    expand?: InstanceViewTypes;
}

// @public
export interface CloudServiceRoleInstancesGetRemoteDesktopFileOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServiceRoleInstancesGetRemoteDesktopFileResponse = {
    blobBody?: Promise<Blob>;
    readableStreamBody?: NodeJS.ReadableStream;
};

// @public
export type CloudServiceRoleInstancesGetResponse = RoleInstance;

// @public
export interface CloudServiceRoleInstancesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServiceRoleInstancesListNextResponse = RoleInstanceListResult;

// @public
export interface CloudServiceRoleInstancesListOptionalParams extends coreClient.OperationOptions {
    expand?: InstanceViewTypes;
}

// @public
export type CloudServiceRoleInstancesListResponse = RoleInstanceListResult;

// @public
export interface CloudServiceRoleInstancesRebuildOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CloudServiceRoleInstancesReimageOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CloudServiceRoleInstancesRestartOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CloudServiceRoleListResult {
    nextLink?: string;
    value: CloudServiceRole[];
}

// @public
export interface CloudServiceRoleProfile {
    roles?: CloudServiceRoleProfileProperties[];
}

// @public
export interface CloudServiceRoleProfileProperties {
    name?: string;
    sku?: CloudServiceRoleSku;
}

// @public
export interface CloudServiceRoleProperties {
    readonly uniqueId?: string;
}

// @public
export interface CloudServiceRoles {
    get(roleName: string, resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRolesGetOptionalParams): Promise<CloudServiceRolesGetResponse>;
    list(resourceGroupName: string, cloudServiceName: string, options?: CloudServiceRolesListOptionalParams): PagedAsyncIterableIterator<CloudServiceRole>;
}

// @public
export interface CloudServiceRolesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServiceRolesGetResponse = CloudServiceRole;

// @public
export interface CloudServiceRoleSku {
    capacity?: number;
    name?: string;
    tier?: string;
}

// @public
export interface CloudServiceRolesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServiceRolesListNextResponse = CloudServiceRoleListResult;

// @public
export interface CloudServiceRolesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServiceRolesListResponse = CloudServiceRoleListResult;

// @public
export interface CloudServices {
    beginCreateOrUpdate(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<CloudServicesCreateOrUpdateResponse>, CloudServicesCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesCreateOrUpdateOptionalParams): Promise<CloudServicesCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesDeleteOptionalParams): Promise<void>;
    beginDeleteInstances(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesDeleteInstancesOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteInstancesAndWait(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesDeleteInstancesOptionalParams): Promise<void>;
    beginPowerOff(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesPowerOffOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginPowerOffAndWait(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesPowerOffOptionalParams): Promise<void>;
    beginRebuild(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesRebuildOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRebuildAndWait(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesRebuildOptionalParams): Promise<void>;
    beginReimage(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesReimageOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginReimageAndWait(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesReimageOptionalParams): Promise<void>;
    beginRestart(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesRestartOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRestartAndWait(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesRestartOptionalParams): Promise<void>;
    beginStart(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesStartOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginStartAndWait(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesStartOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesUpdateOptionalParams): Promise<PollerLike<PollOperationState<CloudServicesUpdateResponse>, CloudServicesUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesUpdateOptionalParams): Promise<CloudServicesUpdateResponse>;
    get(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesGetOptionalParams): Promise<CloudServicesGetResponse>;
    getInstanceView(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesGetInstanceViewOptionalParams): Promise<CloudServicesGetInstanceViewResponse>;
    list(resourceGroupName: string, options?: CloudServicesListOptionalParams): PagedAsyncIterableIterator<CloudService>;
    listAll(options?: CloudServicesListAllOptionalParams): PagedAsyncIterableIterator<CloudService>;
}

// @public
export interface CloudServicesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    parameters?: CloudService;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type CloudServicesCreateOrUpdateResponse = CloudService;

// @public
export interface CloudServicesDeleteInstancesOptionalParams extends coreClient.OperationOptions {
    parameters?: RoleInstances;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CloudServicesDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CloudServicesGetInstanceViewOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServicesGetInstanceViewResponse = CloudServiceInstanceView;

// @public
export interface CloudServicesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServicesGetResponse = CloudService;

// @public
export interface CloudServicesListAllNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServicesListAllNextResponse = CloudServiceListResult;

// @public
export interface CloudServicesListAllOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServicesListAllResponse = CloudServiceListResult;

// @public
export interface CloudServicesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServicesListNextResponse = CloudServiceListResult;

// @public
export interface CloudServicesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServicesListResponse = CloudServiceListResult;

// @public
export type CloudServiceSlotType = string;

// @public
export interface CloudServicesPowerOffOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CloudServicesRebuildOptionalParams extends coreClient.OperationOptions {
    parameters?: RoleInstances;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CloudServicesReimageOptionalParams extends coreClient.OperationOptions {
    parameters?: RoleInstances;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CloudServicesRestartOptionalParams extends coreClient.OperationOptions {
    parameters?: RoleInstances;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CloudServicesStartOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CloudServicesUpdateDomain {
    beginWalkUpdateDomain(resourceGroupName: string, cloudServiceName: string, updateDomain: number, options?: CloudServicesUpdateDomainWalkUpdateDomainOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginWalkUpdateDomainAndWait(resourceGroupName: string, cloudServiceName: string, updateDomain: number, options?: CloudServicesUpdateDomainWalkUpdateDomainOptionalParams): Promise<void>;
    getUpdateDomain(resourceGroupName: string, cloudServiceName: string, updateDomain: number, options?: CloudServicesUpdateDomainGetUpdateDomainOptionalParams): Promise<CloudServicesUpdateDomainGetUpdateDomainResponse>;
    listUpdateDomains(resourceGroupName: string, cloudServiceName: string, options?: CloudServicesUpdateDomainListUpdateDomainsOptionalParams): PagedAsyncIterableIterator<UpdateDomain>;
}

// @public
export interface CloudServicesUpdateDomainGetUpdateDomainOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServicesUpdateDomainGetUpdateDomainResponse = UpdateDomain;

// @public
export interface CloudServicesUpdateDomainListUpdateDomainsNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServicesUpdateDomainListUpdateDomainsNextResponse = UpdateDomainListResult;

// @public
export interface CloudServicesUpdateDomainListUpdateDomainsOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CloudServicesUpdateDomainListUpdateDomainsResponse = UpdateDomainListResult;

// @public
export interface CloudServicesUpdateDomainWalkUpdateDomainOptionalParams extends coreClient.OperationOptions {
    parameters?: UpdateDomain;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface CloudServicesUpdateOptionalParams extends coreClient.OperationOptions {
    parameters?: CloudServiceUpdate;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type CloudServicesUpdateResponse = CloudService;

// @public (undocumented)
export interface CloudServiceUpdate {
    tags?: {
        [propertyName: string]: string;
    };
}

// @public
export type CloudServiceUpgradeMode = string;

// @public
export interface CloudServiceVaultAndSecretReference {
    secretUrl?: string;
    sourceVault?: SubResource;
}

// @public
export interface CloudServiceVaultCertificate {
    certificateUrl?: string;
}

// @public
export interface CloudServiceVaultSecretGroup {
    sourceVault?: SubResource;
    vaultCertificates?: CloudServiceVaultCertificate[];
}

// @public
export interface CommunityGalleries {
    get(location: string, publicGalleryName: string, options?: CommunityGalleriesGetOptionalParams): Promise<CommunityGalleriesGetResponse>;
}

// @public
export interface CommunityGalleriesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CommunityGalleriesGetResponse = CommunityGallery;

// @public
export interface CommunityGallery extends PirCommunityGalleryResource {
}

// @public
export interface CommunityGalleryImage extends PirCommunityGalleryResource {
    architecture?: Architecture;
    disallowed?: Disallowed;
    endOfLifeDate?: Date;
    eula?: string;
    features?: GalleryImageFeature[];
    hyperVGeneration?: HyperVGeneration;
    identifier?: GalleryImageIdentifier;
    osState?: OperatingSystemStateTypes;
    osType?: OperatingSystemTypes;
    privacyStatementUri?: string;
    purchasePlan?: ImagePurchasePlan;
    recommended?: RecommendedMachineConfiguration;
}

// @public
export interface CommunityGalleryImageList {
    nextLink?: string;
    value: CommunityGalleryImage[];
}

// @public
export interface CommunityGalleryImages {
    get(location: string, publicGalleryName: string, galleryImageName: string, options?: CommunityGalleryImagesGetOptionalParams): Promise<CommunityGalleryImagesGetResponse>;
    list(location: string, publicGalleryName: string, options?: CommunityGalleryImagesListOptionalParams): PagedAsyncIterableIterator<CommunityGalleryImage>;
}

// @public
export interface CommunityGalleryImagesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CommunityGalleryImagesGetResponse = CommunityGalleryImage;

// @public
export interface CommunityGalleryImagesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CommunityGalleryImagesListNextResponse = CommunityGalleryImageList;

// @public
export interface CommunityGalleryImagesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CommunityGalleryImagesListResponse = CommunityGalleryImageList;

// @public
export interface CommunityGalleryImageVersion extends PirCommunityGalleryResource {
    endOfLifeDate?: Date;
    excludeFromLatest?: boolean;
    publishedDate?: Date;
    storageProfile?: SharedGalleryImageVersionStorageProfile;
}

// @public
export interface CommunityGalleryImageVersionList {
    nextLink?: string;
    value: CommunityGalleryImageVersion[];
}

// @public
export interface CommunityGalleryImageVersions {
    get(location: string, publicGalleryName: string, galleryImageName: string, galleryImageVersionName: string, options?: CommunityGalleryImageVersionsGetOptionalParams): Promise<CommunityGalleryImageVersionsGetResponse>;
    list(location: string, publicGalleryName: string, galleryImageName: string, options?: CommunityGalleryImageVersionsListOptionalParams): PagedAsyncIterableIterator<CommunityGalleryImageVersion>;
}

// @public
export interface CommunityGalleryImageVersionsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CommunityGalleryImageVersionsGetResponse = CommunityGalleryImageVersion;

// @public
export interface CommunityGalleryImageVersionsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CommunityGalleryImageVersionsListNextResponse = CommunityGalleryImageVersionList;

// @public
export interface CommunityGalleryImageVersionsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type CommunityGalleryImageVersionsListResponse = CommunityGalleryImageVersionList;

// @public
export interface CommunityGalleryInfo {
    readonly communityGalleryEnabled?: boolean;
    eula?: string;
    publicNamePrefix?: string;
    readonly publicNames?: string[];
    publisherContact?: string;
    publisherUri?: string;
}

// @public (undocumented)
export class ComputeManagementClient extends coreClient.ServiceClient {
    // (undocumented)
    $host: string;
    constructor(credentials: coreAuth.TokenCredential, subscriptionId: string, options?: ComputeManagementClientOptionalParams);
    // (undocumented)
    availabilitySets: AvailabilitySets;
    // (undocumented)
    capacityReservationGroups: CapacityReservationGroups;
    // (undocumented)
    capacityReservations: CapacityReservations;
    // (undocumented)
    cloudServiceOperatingSystems: CloudServiceOperatingSystems;
    // (undocumented)
    cloudServiceRoleInstances: CloudServiceRoleInstances;
    // (undocumented)
    cloudServiceRoles: CloudServiceRoles;
    // (undocumented)
    cloudServices: CloudServices;
    // (undocumented)
    cloudServicesUpdateDomain: CloudServicesUpdateDomain;
    // (undocumented)
    communityGalleries: CommunityGalleries;
    // (undocumented)
    communityGalleryImages: CommunityGalleryImages;
    // (undocumented)
    communityGalleryImageVersions: CommunityGalleryImageVersions;
    // (undocumented)
    dedicatedHostGroups: DedicatedHostGroups;
    // (undocumented)
    dedicatedHosts: DedicatedHosts;
    // (undocumented)
    diskAccesses: DiskAccesses;
    // (undocumented)
    diskEncryptionSets: DiskEncryptionSets;
    // (undocumented)
    diskRestorePointOperations: DiskRestorePointOperations;
    // (undocumented)
    disks: Disks;
    // (undocumented)
    galleries: Galleries;
    // (undocumented)
    galleryApplications: GalleryApplications;
    // (undocumented)
    galleryApplicationVersions: GalleryApplicationVersions;
    // (undocumented)
    galleryImages: GalleryImages;
    // (undocumented)
    galleryImageVersions: GalleryImageVersions;
    // (undocumented)
    gallerySharingProfile: GallerySharingProfile;
    // (undocumented)
    images: Images;
    // (undocumented)
    logAnalytics: LogAnalytics;
    // (undocumented)
    operations: Operations;
    // (undocumented)
    proximityPlacementGroups: ProximityPlacementGroups;
    // (undocumented)
    resourceSkus: ResourceSkus;
    // (undocumented)
    restorePointCollections: RestorePointCollections;
    // (undocumented)
    restorePoints: RestorePoints;
    // (undocumented)
    sharedGalleries: SharedGalleries;
    // (undocumented)
    sharedGalleryImages: SharedGalleryImages;
    // (undocumented)
    sharedGalleryImageVersions: SharedGalleryImageVersions;
    // (undocumented)
    snapshots: Snapshots;
    // (undocumented)
    sshPublicKeys: SshPublicKeys;
    // (undocumented)
    subscriptionId: string;
    // (undocumented)
    usageOperations: UsageOperations;
    // (undocumented)
    virtualMachineExtensionImages: VirtualMachineExtensionImages;
    // (undocumented)
    virtualMachineExtensions: VirtualMachineExtensions;
    // (undocumented)
    virtualMachineImages: VirtualMachineImages;
    // (undocumented)
    virtualMachineImagesEdgeZone: VirtualMachineImagesEdgeZone;
    // (undocumented)
    virtualMachineRunCommands: VirtualMachineRunCommands;
    // (undocumented)
    virtualMachines: VirtualMachines;
    // (undocumented)
    virtualMachineScaleSetExtensions: VirtualMachineScaleSetExtensions;
    // (undocumented)
    virtualMachineScaleSetRollingUpgrades: VirtualMachineScaleSetRollingUpgrades;
    // (undocumented)
    virtualMachineScaleSets: VirtualMachineScaleSets;
    // (undocumented)
    virtualMachineScaleSetVMExtensions: VirtualMachineScaleSetVMExtensions;
    // (undocumented)
    virtualMachineScaleSetVMRunCommands: VirtualMachineScaleSetVMRunCommands;
    // (undocumented)
    virtualMachineScaleSetVMs: VirtualMachineScaleSetVMs;
    // (undocumented)
    virtualMachineSizes: VirtualMachineSizes;
}

// @public
export interface ComputeManagementClientOptionalParams extends coreClient.ServiceClientOptions {
    $host?: string;
    endpoint?: string;
}

// @public
export interface ComputeOperationListResult {
    readonly value?: ComputeOperationValue[];
}

// @public
export interface ComputeOperationValue {
    readonly description?: string;
    readonly name?: string;
    readonly operation?: string;
    readonly origin?: string;
    readonly provider?: string;
    readonly resource?: string;
}

// @public
export type ConfidentialVMEncryptionType = string;

// @public
export type ConsistencyModeTypes = string;

// @public
export interface CopyCompletionError {
    errorCode: CopyCompletionErrorReason;
    errorMessage: string;
}

// @public
export type CopyCompletionErrorReason = string;

// @public
export interface CreationData {
    createOption: DiskCreateOption;
    galleryImageReference?: ImageDiskReference;
    imageReference?: ImageDiskReference;
    logicalSectorSize?: number;
    performancePlus?: boolean;
    securityDataUri?: string;
    sourceResourceId?: string;
    readonly sourceUniqueId?: string;
    sourceUri?: string;
    storageAccountId?: string;
    uploadSizeBytes?: number;
}

// @public
export type DataAccessAuthMode = string;

// @public
export interface DataDisk {
    caching?: CachingTypes;
    createOption: DiskCreateOptionTypes;
    deleteOption?: DiskDeleteOptionTypes;
    detachOption?: DiskDetachOptionTypes;
    readonly diskIopsReadWrite?: number;
    readonly diskMBpsReadWrite?: number;
    diskSizeGB?: number;
    image?: VirtualHardDisk;
    lun: number;
    managedDisk?: ManagedDiskParameters;
    name?: string;
    toBeDetached?: boolean;
    vhd?: VirtualHardDisk;
    writeAcceleratorEnabled?: boolean;
}

// @public
export interface DataDiskImage {
    readonly lun?: number;
}

// @public
export interface DataDiskImageEncryption extends DiskImageEncryption {
    lun: number;
}

// @public
export interface DedicatedHost extends Resource {
    autoReplaceOnFailure?: boolean;
    readonly hostId?: string;
    readonly instanceView?: DedicatedHostInstanceView;
    licenseType?: DedicatedHostLicenseTypes;
    platformFaultDomain?: number;
    readonly provisioningState?: string;
    readonly provisioningTime?: Date;
    sku: Sku;
    readonly timeCreated?: Date;
    readonly virtualMachines?: SubResourceReadOnly[];
}

// @public
export interface DedicatedHostAllocatableVM {
    count?: number;
    vmSize?: string;
}

// @public
export interface DedicatedHostAvailableCapacity {
    allocatableVMs?: DedicatedHostAllocatableVM[];
}

// @public
export interface DedicatedHostGroup extends Resource {
    additionalCapabilities?: DedicatedHostGroupPropertiesAdditionalCapabilities;
    readonly hosts?: SubResourceReadOnly[];
    readonly instanceView?: DedicatedHostGroupInstanceView;
    platformFaultDomainCount?: number;
    supportAutomaticPlacement?: boolean;
    zones?: string[];
}

// @public (undocumented)
export interface DedicatedHostGroupInstanceView {
    hosts?: DedicatedHostInstanceViewWithName[];
}

// @public
export interface DedicatedHostGroupListResult {
    nextLink?: string;
    value: DedicatedHostGroup[];
}

// @public
export interface DedicatedHostGroupPropertiesAdditionalCapabilities {
    ultraSSDEnabled?: boolean;
}

// @public
export interface DedicatedHostGroups {
    createOrUpdate(resourceGroupName: string, hostGroupName: string, parameters: DedicatedHostGroup, options?: DedicatedHostGroupsCreateOrUpdateOptionalParams): Promise<DedicatedHostGroupsCreateOrUpdateResponse>;
    delete(resourceGroupName: string, hostGroupName: string, options?: DedicatedHostGroupsDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, hostGroupName: string, options?: DedicatedHostGroupsGetOptionalParams): Promise<DedicatedHostGroupsGetResponse>;
    listByResourceGroup(resourceGroupName: string, options?: DedicatedHostGroupsListByResourceGroupOptionalParams): PagedAsyncIterableIterator<DedicatedHostGroup>;
    listBySubscription(options?: DedicatedHostGroupsListBySubscriptionOptionalParams): PagedAsyncIterableIterator<DedicatedHostGroup>;
    update(resourceGroupName: string, hostGroupName: string, parameters: DedicatedHostGroupUpdate, options?: DedicatedHostGroupsUpdateOptionalParams): Promise<DedicatedHostGroupsUpdateResponse>;
}

// @public
export interface DedicatedHostGroupsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DedicatedHostGroupsCreateOrUpdateResponse = DedicatedHostGroup;

// @public
export interface DedicatedHostGroupsDeleteOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface DedicatedHostGroupsGetOptionalParams extends coreClient.OperationOptions {
    expand?: InstanceViewTypes;
}

// @public
export type DedicatedHostGroupsGetResponse = DedicatedHostGroup;

// @public
export interface DedicatedHostGroupsListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DedicatedHostGroupsListByResourceGroupNextResponse = DedicatedHostGroupListResult;

// @public
export interface DedicatedHostGroupsListByResourceGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DedicatedHostGroupsListByResourceGroupResponse = DedicatedHostGroupListResult;

// @public
export interface DedicatedHostGroupsListBySubscriptionNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DedicatedHostGroupsListBySubscriptionNextResponse = DedicatedHostGroupListResult;

// @public
export interface DedicatedHostGroupsListBySubscriptionOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DedicatedHostGroupsListBySubscriptionResponse = DedicatedHostGroupListResult;

// @public
export interface DedicatedHostGroupsUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DedicatedHostGroupsUpdateResponse = DedicatedHostGroup;

// @public
export interface DedicatedHostGroupUpdate extends UpdateResource {
    additionalCapabilities?: DedicatedHostGroupPropertiesAdditionalCapabilities;
    readonly hosts?: SubResourceReadOnly[];
    readonly instanceView?: DedicatedHostGroupInstanceView;
    platformFaultDomainCount?: number;
    supportAutomaticPlacement?: boolean;
    zones?: string[];
}

// @public
export interface DedicatedHostInstanceView {
    readonly assetId?: string;
    availableCapacity?: DedicatedHostAvailableCapacity;
    statuses?: InstanceViewStatus[];
}

// @public
export interface DedicatedHostInstanceViewWithName extends DedicatedHostInstanceView {
    readonly name?: string;
}

// @public
export type DedicatedHostLicenseTypes = "None" | "Windows_Server_Hybrid" | "Windows_Server_Perpetual";

// @public
export interface DedicatedHostListResult {
    nextLink?: string;
    value: DedicatedHost[];
}

// @public
export interface DedicatedHosts {
    beginCreateOrUpdate(resourceGroupName: string, hostGroupName: string, hostName: string, parameters: DedicatedHost, options?: DedicatedHostsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<DedicatedHostsCreateOrUpdateResponse>, DedicatedHostsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, hostGroupName: string, hostName: string, parameters: DedicatedHost, options?: DedicatedHostsCreateOrUpdateOptionalParams): Promise<DedicatedHostsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, hostGroupName: string, hostName: string, options?: DedicatedHostsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, hostGroupName: string, hostName: string, options?: DedicatedHostsDeleteOptionalParams): Promise<void>;
    beginRestart(resourceGroupName: string, hostGroupName: string, hostName: string, options?: DedicatedHostsRestartOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRestartAndWait(resourceGroupName: string, hostGroupName: string, hostName: string, options?: DedicatedHostsRestartOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, hostGroupName: string, hostName: string, parameters: DedicatedHostUpdate, options?: DedicatedHostsUpdateOptionalParams): Promise<PollerLike<PollOperationState<DedicatedHostsUpdateResponse>, DedicatedHostsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, hostGroupName: string, hostName: string, parameters: DedicatedHostUpdate, options?: DedicatedHostsUpdateOptionalParams): Promise<DedicatedHostsUpdateResponse>;
    get(resourceGroupName: string, hostGroupName: string, hostName: string, options?: DedicatedHostsGetOptionalParams): Promise<DedicatedHostsGetResponse>;
    listByHostGroup(resourceGroupName: string, hostGroupName: string, options?: DedicatedHostsListByHostGroupOptionalParams): PagedAsyncIterableIterator<DedicatedHost>;
}

// @public
export interface DedicatedHostsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type DedicatedHostsCreateOrUpdateResponse = DedicatedHost;

// @public
export interface DedicatedHostsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface DedicatedHostsGetOptionalParams extends coreClient.OperationOptions {
    expand?: InstanceViewTypes;
}

// @public
export type DedicatedHostsGetResponse = DedicatedHost;

// @public
export interface DedicatedHostsListByHostGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DedicatedHostsListByHostGroupNextResponse = DedicatedHostListResult;

// @public
export interface DedicatedHostsListByHostGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DedicatedHostsListByHostGroupResponse = DedicatedHostListResult;

// @public
export interface DedicatedHostsRestartOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface DedicatedHostsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type DedicatedHostsUpdateResponse = DedicatedHost;

// @public
export interface DedicatedHostUpdate extends UpdateResource {
    autoReplaceOnFailure?: boolean;
    readonly hostId?: string;
    readonly instanceView?: DedicatedHostInstanceView;
    licenseType?: DedicatedHostLicenseTypes;
    platformFaultDomain?: number;
    readonly provisioningState?: string;
    readonly provisioningTime?: Date;
    readonly timeCreated?: Date;
    readonly virtualMachines?: SubResourceReadOnly[];
}

// @public
export type DeleteOptions = string;

// @public
export interface DiagnosticsProfile {
    bootDiagnostics?: BootDiagnostics;
}

// @public
export type DiffDiskOptions = string;

// @public
export type DiffDiskPlacement = string;

// @public
export interface DiffDiskSettings {
    option?: DiffDiskOptions;
    placement?: DiffDiskPlacement;
}

// @public
export interface Disallowed {
    diskTypes?: string[];
}

// @public
export interface DisallowedConfiguration {
    vmDiskType?: VmDiskTypes;
}

// @public
export interface Disk extends Resource {
    burstingEnabled?: boolean;
    readonly burstingEnabledTime?: Date;
    completionPercent?: number;
    creationData?: CreationData;
    dataAccessAuthMode?: DataAccessAuthMode;
    diskAccessId?: string;
    diskIopsReadOnly?: number;
    diskIopsReadWrite?: number;
    diskMBpsReadOnly?: number;
    diskMBpsReadWrite?: number;
    readonly diskSizeBytes?: number;
    diskSizeGB?: number;
    readonly diskState?: DiskState;
    encryption?: Encryption;
    encryptionSettingsCollection?: EncryptionSettingsCollection;
    extendedLocation?: ExtendedLocation;
    hyperVGeneration?: HyperVGeneration;
    readonly managedBy?: string;
    readonly managedByExtended?: string[];
    maxShares?: number;
    networkAccessPolicy?: NetworkAccessPolicy;
    optimizedForFrequentAttach?: boolean;
    osType?: OperatingSystemTypes;
    readonly propertyUpdatesInProgress?: PropertyUpdatesInProgress;
    readonly provisioningState?: string;
    publicNetworkAccess?: PublicNetworkAccess;
    purchasePlan?: PurchasePlanAutoGenerated;
    securityProfile?: DiskSecurityProfile;
    readonly shareInfo?: ShareInfoElement[];
    sku?: DiskSku;
    supportedCapabilities?: SupportedCapabilities;
    supportsHibernation?: boolean;
    tier?: string;
    readonly timeCreated?: Date;
    readonly uniqueId?: string;
    zones?: string[];
}

// @public
export interface DiskAccess extends Resource {
    extendedLocation?: ExtendedLocation;
    readonly privateEndpointConnections?: PrivateEndpointConnection[];
    readonly provisioningState?: string;
    readonly timeCreated?: Date;
}

// @public
export interface DiskAccesses {
    beginCreateOrUpdate(resourceGroupName: string, diskAccessName: string, diskAccess: DiskAccess, options?: DiskAccessesCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<DiskAccessesCreateOrUpdateResponse>, DiskAccessesCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, diskAccessName: string, diskAccess: DiskAccess, options?: DiskAccessesCreateOrUpdateOptionalParams): Promise<DiskAccessesCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, diskAccessName: string, options?: DiskAccessesDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, diskAccessName: string, options?: DiskAccessesDeleteOptionalParams): Promise<void>;
    beginDeleteAPrivateEndpointConnection(resourceGroupName: string, diskAccessName: string, privateEndpointConnectionName: string, options?: DiskAccessesDeleteAPrivateEndpointConnectionOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAPrivateEndpointConnectionAndWait(resourceGroupName: string, diskAccessName: string, privateEndpointConnectionName: string, options?: DiskAccessesDeleteAPrivateEndpointConnectionOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, diskAccessName: string, diskAccess: DiskAccessUpdate, options?: DiskAccessesUpdateOptionalParams): Promise<PollerLike<PollOperationState<DiskAccessesUpdateResponse>, DiskAccessesUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, diskAccessName: string, diskAccess: DiskAccessUpdate, options?: DiskAccessesUpdateOptionalParams): Promise<DiskAccessesUpdateResponse>;
    beginUpdateAPrivateEndpointConnection(resourceGroupName: string, diskAccessName: string, privateEndpointConnectionName: string, privateEndpointConnection: PrivateEndpointConnection, options?: DiskAccessesUpdateAPrivateEndpointConnectionOptionalParams): Promise<PollerLike<PollOperationState<DiskAccessesUpdateAPrivateEndpointConnectionResponse>, DiskAccessesUpdateAPrivateEndpointConnectionResponse>>;
    beginUpdateAPrivateEndpointConnectionAndWait(resourceGroupName: string, diskAccessName: string, privateEndpointConnectionName: string, privateEndpointConnection: PrivateEndpointConnection, options?: DiskAccessesUpdateAPrivateEndpointConnectionOptionalParams): Promise<DiskAccessesUpdateAPrivateEndpointConnectionResponse>;
    get(resourceGroupName: string, diskAccessName: string, options?: DiskAccessesGetOptionalParams): Promise<DiskAccessesGetResponse>;
    getAPrivateEndpointConnection(resourceGroupName: string, diskAccessName: string, privateEndpointConnectionName: string, options?: DiskAccessesGetAPrivateEndpointConnectionOptionalParams): Promise<DiskAccessesGetAPrivateEndpointConnectionResponse>;
    getPrivateLinkResources(resourceGroupName: string, diskAccessName: string, options?: DiskAccessesGetPrivateLinkResourcesOptionalParams): Promise<DiskAccessesGetPrivateLinkResourcesResponse>;
    list(options?: DiskAccessesListOptionalParams): PagedAsyncIterableIterator<DiskAccess>;
    listByResourceGroup(resourceGroupName: string, options?: DiskAccessesListByResourceGroupOptionalParams): PagedAsyncIterableIterator<DiskAccess>;
    listPrivateEndpointConnections(resourceGroupName: string, diskAccessName: string, options?: DiskAccessesListPrivateEndpointConnectionsOptionalParams): PagedAsyncIterableIterator<PrivateEndpointConnection>;
}

// @public
export interface DiskAccessesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type DiskAccessesCreateOrUpdateResponse = DiskAccess;

// @public
export interface DiskAccessesDeleteAPrivateEndpointConnectionOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface DiskAccessesDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface DiskAccessesGetAPrivateEndpointConnectionOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskAccessesGetAPrivateEndpointConnectionResponse = PrivateEndpointConnection;

// @public
export interface DiskAccessesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface DiskAccessesGetPrivateLinkResourcesOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskAccessesGetPrivateLinkResourcesResponse = PrivateLinkResourceListResult;

// @public
export type DiskAccessesGetResponse = DiskAccess;

// @public
export interface DiskAccessesListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskAccessesListByResourceGroupNextResponse = DiskAccessList;

// @public
export interface DiskAccessesListByResourceGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskAccessesListByResourceGroupResponse = DiskAccessList;

// @public
export interface DiskAccessesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskAccessesListNextResponse = DiskAccessList;

// @public
export interface DiskAccessesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface DiskAccessesListPrivateEndpointConnectionsNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskAccessesListPrivateEndpointConnectionsNextResponse = PrivateEndpointConnectionListResult;

// @public
export interface DiskAccessesListPrivateEndpointConnectionsOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskAccessesListPrivateEndpointConnectionsResponse = PrivateEndpointConnectionListResult;

// @public
export type DiskAccessesListResponse = DiskAccessList;

// @public
export interface DiskAccessesUpdateAPrivateEndpointConnectionOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type DiskAccessesUpdateAPrivateEndpointConnectionResponse = PrivateEndpointConnection;

// @public
export interface DiskAccessesUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type DiskAccessesUpdateResponse = DiskAccess;

// @public
export interface DiskAccessList {
    nextLink?: string;
    value: DiskAccess[];
}

// @public
export interface DiskAccessUpdate {
    tags?: {
        [propertyName: string]: string;
    };
}

// @public
export type DiskControllerTypes = string;

// @public
export type DiskCreateOption = string;

// @public
export type DiskCreateOptionTypes = string;

// @public
export type DiskDeleteOptionTypes = string;

// @public
export type DiskDetachOptionTypes = string;

// @public
export interface DiskEncryptionSet extends Resource {
    activeKey?: KeyForDiskEncryptionSet;
    readonly autoKeyRotationError?: ApiError;
    encryptionType?: DiskEncryptionSetType;
    federatedClientId?: string;
    identity?: EncryptionSetIdentity;
    readonly lastKeyRotationTimestamp?: Date;
    readonly previousKeys?: KeyForDiskEncryptionSet[];
    readonly provisioningState?: string;
    rotationToLatestKeyVersionEnabled?: boolean;
}

// @public
export type DiskEncryptionSetIdentityType = string;

// @public
export interface DiskEncryptionSetList {
    nextLink?: string;
    value: DiskEncryptionSet[];
}

// @public
export interface DiskEncryptionSetParameters extends SubResource {
}

// @public
export interface DiskEncryptionSets {
    beginCreateOrUpdate(resourceGroupName: string, diskEncryptionSetName: string, diskEncryptionSet: DiskEncryptionSet, options?: DiskEncryptionSetsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<DiskEncryptionSetsCreateOrUpdateResponse>, DiskEncryptionSetsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, diskEncryptionSetName: string, diskEncryptionSet: DiskEncryptionSet, options?: DiskEncryptionSetsCreateOrUpdateOptionalParams): Promise<DiskEncryptionSetsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, diskEncryptionSetName: string, options?: DiskEncryptionSetsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, diskEncryptionSetName: string, options?: DiskEncryptionSetsDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, diskEncryptionSetName: string, diskEncryptionSet: DiskEncryptionSetUpdate, options?: DiskEncryptionSetsUpdateOptionalParams): Promise<PollerLike<PollOperationState<DiskEncryptionSetsUpdateResponse>, DiskEncryptionSetsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, diskEncryptionSetName: string, diskEncryptionSet: DiskEncryptionSetUpdate, options?: DiskEncryptionSetsUpdateOptionalParams): Promise<DiskEncryptionSetsUpdateResponse>;
    get(resourceGroupName: string, diskEncryptionSetName: string, options?: DiskEncryptionSetsGetOptionalParams): Promise<DiskEncryptionSetsGetResponse>;
    list(options?: DiskEncryptionSetsListOptionalParams): PagedAsyncIterableIterator<DiskEncryptionSet>;
    listAssociatedResources(resourceGroupName: string, diskEncryptionSetName: string, options?: DiskEncryptionSetsListAssociatedResourcesOptionalParams): PagedAsyncIterableIterator<string>;
    listByResourceGroup(resourceGroupName: string, options?: DiskEncryptionSetsListByResourceGroupOptionalParams): PagedAsyncIterableIterator<DiskEncryptionSet>;
}

// @public
export interface DiskEncryptionSetsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type DiskEncryptionSetsCreateOrUpdateResponse = DiskEncryptionSet;

// @public
export interface DiskEncryptionSetsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface DiskEncryptionSetsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskEncryptionSetsGetResponse = DiskEncryptionSet;

// @public
export interface DiskEncryptionSetsListAssociatedResourcesNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskEncryptionSetsListAssociatedResourcesNextResponse = ResourceUriList;

// @public
export interface DiskEncryptionSetsListAssociatedResourcesOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskEncryptionSetsListAssociatedResourcesResponse = ResourceUriList;

// @public
export interface DiskEncryptionSetsListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskEncryptionSetsListByResourceGroupNextResponse = DiskEncryptionSetList;

// @public
export interface DiskEncryptionSetsListByResourceGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskEncryptionSetsListByResourceGroupResponse = DiskEncryptionSetList;

// @public
export interface DiskEncryptionSetsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskEncryptionSetsListNextResponse = DiskEncryptionSetList;

// @public
export interface DiskEncryptionSetsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskEncryptionSetsListResponse = DiskEncryptionSetList;

// @public
export interface DiskEncryptionSetsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type DiskEncryptionSetsUpdateResponse = DiskEncryptionSet;

// @public
export interface DiskEncryptionSettings {
    diskEncryptionKey?: KeyVaultSecretReference;
    enabled?: boolean;
    keyEncryptionKey?: KeyVaultKeyReference;
}

// @public
export type DiskEncryptionSetType = string;

// @public
export interface DiskEncryptionSetUpdate {
    activeKey?: KeyForDiskEncryptionSet;
    encryptionType?: DiskEncryptionSetType;
    federatedClientId?: string;
    identity?: EncryptionSetIdentity;
    rotationToLatestKeyVersionEnabled?: boolean;
    tags?: {
        [propertyName: string]: string;
    };
}

// @public
export interface DiskImageEncryption {
    diskEncryptionSetId?: string;
}

// @public
export interface DiskInstanceView {
    encryptionSettings?: DiskEncryptionSettings[];
    name?: string;
    statuses?: InstanceViewStatus[];
}

// @public
export interface DiskList {
    nextLink?: string;
    value: Disk[];
}

// @public
export interface DiskRestorePoint extends ProxyOnlyResource {
    completionPercent?: number;
    diskAccessId?: string;
    readonly encryption?: Encryption;
    readonly familyId?: string;
    hyperVGeneration?: HyperVGeneration;
    networkAccessPolicy?: NetworkAccessPolicy;
    readonly osType?: OperatingSystemTypes;
    publicNetworkAccess?: PublicNetworkAccess;
    purchasePlan?: PurchasePlanAutoGenerated;
    readonly replicationState?: string;
    securityProfile?: DiskSecurityProfile;
    readonly sourceResourceId?: string;
    readonly sourceResourceLocation?: string;
    readonly sourceUniqueId?: string;
    supportedCapabilities?: SupportedCapabilities;
    supportsHibernation?: boolean;
    readonly timeCreated?: Date;
}

// @public
export interface DiskRestorePointGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskRestorePointGetResponse = DiskRestorePoint;

// @public
export interface DiskRestorePointGrantAccessOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type DiskRestorePointGrantAccessResponse = AccessUri;

// @public
export interface DiskRestorePointInstanceView {
    id?: string;
    replicationStatus?: DiskRestorePointReplicationStatus;
}

// @public
export interface DiskRestorePointList {
    nextLink?: string;
    value: DiskRestorePoint[];
}

// @public
export interface DiskRestorePointListByRestorePointNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskRestorePointListByRestorePointNextResponse = DiskRestorePointList;

// @public
export interface DiskRestorePointListByRestorePointOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DiskRestorePointListByRestorePointResponse = DiskRestorePointList;

// @public
export interface DiskRestorePointOperations {
    beginGrantAccess(resourceGroupName: string, restorePointCollectionName: string, vmRestorePointName: string, diskRestorePointName: string, grantAccessData: GrantAccessData, options?: DiskRestorePointGrantAccessOptionalParams): Promise<PollerLike<PollOperationState<DiskRestorePointGrantAccessResponse>, DiskRestorePointGrantAccessResponse>>;
    beginGrantAccessAndWait(resourceGroupName: string, restorePointCollectionName: string, vmRestorePointName: string, diskRestorePointName: string, grantAccessData: GrantAccessData, options?: DiskRestorePointGrantAccessOptionalParams): Promise<DiskRestorePointGrantAccessResponse>;
    beginRevokeAccess(resourceGroupName: string, restorePointCollectionName: string, vmRestorePointName: string, diskRestorePointName: string, options?: DiskRestorePointRevokeAccessOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRevokeAccessAndWait(resourceGroupName: string, restorePointCollectionName: string, vmRestorePointName: string, diskRestorePointName: string, options?: DiskRestorePointRevokeAccessOptionalParams): Promise<void>;
    get(resourceGroupName: string, restorePointCollectionName: string, vmRestorePointName: string, diskRestorePointName: string, options?: DiskRestorePointGetOptionalParams): Promise<DiskRestorePointGetResponse>;
    listByRestorePoint(resourceGroupName: string, restorePointCollectionName: string, vmRestorePointName: string, options?: DiskRestorePointListByRestorePointOptionalParams): PagedAsyncIterableIterator<DiskRestorePoint>;
}

// @public
export interface DiskRestorePointReplicationStatus {
    completionPercent?: number;
    status?: InstanceViewStatus;
}

// @public
export interface DiskRestorePointRevokeAccessOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface Disks {
    beginCreateOrUpdate(resourceGroupName: string, diskName: string, disk: Disk, options?: DisksCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<DisksCreateOrUpdateResponse>, DisksCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, diskName: string, disk: Disk, options?: DisksCreateOrUpdateOptionalParams): Promise<DisksCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, diskName: string, options?: DisksDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, diskName: string, options?: DisksDeleteOptionalParams): Promise<void>;
    beginGrantAccess(resourceGroupName: string, diskName: string, grantAccessData: GrantAccessData, options?: DisksGrantAccessOptionalParams): Promise<PollerLike<PollOperationState<DisksGrantAccessResponse>, DisksGrantAccessResponse>>;
    beginGrantAccessAndWait(resourceGroupName: string, diskName: string, grantAccessData: GrantAccessData, options?: DisksGrantAccessOptionalParams): Promise<DisksGrantAccessResponse>;
    beginRevokeAccess(resourceGroupName: string, diskName: string, options?: DisksRevokeAccessOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRevokeAccessAndWait(resourceGroupName: string, diskName: string, options?: DisksRevokeAccessOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, diskName: string, disk: DiskUpdate, options?: DisksUpdateOptionalParams): Promise<PollerLike<PollOperationState<DisksUpdateResponse>, DisksUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, diskName: string, disk: DiskUpdate, options?: DisksUpdateOptionalParams): Promise<DisksUpdateResponse>;
    get(resourceGroupName: string, diskName: string, options?: DisksGetOptionalParams): Promise<DisksGetResponse>;
    list(options?: DisksListOptionalParams): PagedAsyncIterableIterator<Disk>;
    listByResourceGroup(resourceGroupName: string, options?: DisksListByResourceGroupOptionalParams): PagedAsyncIterableIterator<Disk>;
}

// @public
export interface DisksCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type DisksCreateOrUpdateResponse = Disk;

// @public
export interface DisksDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface DiskSecurityProfile {
    secureVMDiskEncryptionSetId?: string;
    securityType?: DiskSecurityTypes;
}

// @public
export type DiskSecurityTypes = string;

// @public
export interface DisksGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DisksGetResponse = Disk;

// @public
export interface DisksGrantAccessOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type DisksGrantAccessResponse = AccessUri;

// @public
export interface DiskSku {
    name?: DiskStorageAccountTypes;
    readonly tier?: string;
}

// @public
export interface DisksListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DisksListByResourceGroupNextResponse = DiskList;

// @public
export interface DisksListByResourceGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DisksListByResourceGroupResponse = DiskList;

// @public
export interface DisksListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DisksListNextResponse = DiskList;

// @public
export interface DisksListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DisksListResponse = DiskList;

// @public
export interface DisksRevokeAccessOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type DiskState = string;

// @public
export type DiskStorageAccountTypes = string;

// @public
export interface DisksUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type DisksUpdateResponse = Disk;

// @public
export interface DiskUpdate {
    burstingEnabled?: boolean;
    dataAccessAuthMode?: DataAccessAuthMode;
    diskAccessId?: string;
    diskIopsReadOnly?: number;
    diskIopsReadWrite?: number;
    diskMBpsReadOnly?: number;
    diskMBpsReadWrite?: number;
    diskSizeGB?: number;
    encryption?: Encryption;
    encryptionSettingsCollection?: EncryptionSettingsCollection;
    maxShares?: number;
    networkAccessPolicy?: NetworkAccessPolicy;
    optimizedForFrequentAttach?: boolean;
    osType?: OperatingSystemTypes;
    readonly propertyUpdatesInProgress?: PropertyUpdatesInProgress;
    publicNetworkAccess?: PublicNetworkAccess;
    purchasePlan?: PurchasePlanAutoGenerated;
    sku?: DiskSku;
    supportedCapabilities?: SupportedCapabilities;
    supportsHibernation?: boolean;
    tags?: {
        [propertyName: string]: string;
    };
    tier?: string;
}

// @public
export interface Encryption {
    diskEncryptionSetId?: string;
    type?: EncryptionType;
}

// @public
export interface EncryptionImages {
    dataDiskImages?: DataDiskImageEncryption[];
    osDiskImage?: OSDiskImageEncryption;
}

// @public
export interface EncryptionSetIdentity {
    readonly principalId?: string;
    readonly tenantId?: string;
    type?: DiskEncryptionSetIdentityType;
    userAssignedIdentities?: {
        [propertyName: string]: UserAssignedIdentitiesValue;
    };
}

// @public
export interface EncryptionSettingsCollection {
    enabled: boolean;
    encryptionSettings?: EncryptionSettingsElement[];
    encryptionSettingsVersion?: string;
}

// @public
export interface EncryptionSettingsElement {
    diskEncryptionKey?: KeyVaultAndSecretReference;
    keyEncryptionKey?: KeyVaultAndKeyReference;
}

// @public
export type EncryptionType = string;

// @public
export type ExecutionState = string;

// @public
export type ExpandTypesForGetCapacityReservationGroups = string;

// @public
export type ExpandTypesForGetVMScaleSets = string;

// @public
export interface ExtendedLocation {
    name?: string;
    type?: ExtendedLocationTypes;
}

// @public
export type ExtendedLocationType = string;

// @public
export type ExtendedLocationTypes = string;

// @public
export interface Extension {
    name?: string;
    properties?: CloudServiceExtensionProperties;
}

// @public
export interface Galleries {
    beginCreateOrUpdate(resourceGroupName: string, galleryName: string, gallery: Gallery, options?: GalleriesCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<GalleriesCreateOrUpdateResponse>, GalleriesCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, galleryName: string, gallery: Gallery, options?: GalleriesCreateOrUpdateOptionalParams): Promise<GalleriesCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, galleryName: string, options?: GalleriesDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, galleryName: string, options?: GalleriesDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, galleryName: string, gallery: GalleryUpdate, options?: GalleriesUpdateOptionalParams): Promise<PollerLike<PollOperationState<GalleriesUpdateResponse>, GalleriesUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, galleryName: string, gallery: GalleryUpdate, options?: GalleriesUpdateOptionalParams): Promise<GalleriesUpdateResponse>;
    get(resourceGroupName: string, galleryName: string, options?: GalleriesGetOptionalParams): Promise<GalleriesGetResponse>;
    list(options?: GalleriesListOptionalParams): PagedAsyncIterableIterator<Gallery>;
    listByResourceGroup(resourceGroupName: string, options?: GalleriesListByResourceGroupOptionalParams): PagedAsyncIterableIterator<Gallery>;
}

// @public
export interface GalleriesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type GalleriesCreateOrUpdateResponse = Gallery;

// @public
export interface GalleriesDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface GalleriesGetOptionalParams extends coreClient.OperationOptions {
    expand?: GalleryExpandParams;
    select?: SelectPermissions;
}

// @public
export type GalleriesGetResponse = Gallery;

// @public
export interface GalleriesListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleriesListByResourceGroupNextResponse = GalleryList;

// @public
export interface GalleriesListByResourceGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleriesListByResourceGroupResponse = GalleryList;

// @public
export interface GalleriesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleriesListNextResponse = GalleryList;

// @public
export interface GalleriesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleriesListResponse = GalleryList;

// @public
export interface GalleriesUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type GalleriesUpdateResponse = Gallery;

// @public
export interface Gallery extends Resource {
    description?: string;
    identifier?: GalleryIdentifier;
    readonly provisioningState?: GalleryProvisioningState;
    sharingProfile?: SharingProfile;
    readonly sharingStatus?: SharingStatus;
    softDeletePolicy?: SoftDeletePolicy;
}

// @public
export interface GalleryApplication extends Resource {
    customActions?: GalleryApplicationCustomAction[];
    description?: string;
    endOfLifeDate?: Date;
    eula?: string;
    privacyStatementUri?: string;
    releaseNoteUri?: string;
    supportedOSType?: OperatingSystemTypes;
}

// @public
export interface GalleryApplicationCustomAction {
    description?: string;
    name: string;
    parameters?: GalleryApplicationCustomActionParameter[];
    script: string;
}

// @public
export interface GalleryApplicationCustomActionParameter {
    defaultValue?: string;
    description?: string;
    name: string;
    required?: boolean;
    type?: GalleryApplicationCustomActionParameterType;
}

// @public
export type GalleryApplicationCustomActionParameterType = "String" | "ConfigurationDataBlob" | "LogOutputBlob";

// @public
export interface GalleryApplicationList {
    nextLink?: string;
    value: GalleryApplication[];
}

// @public
export interface GalleryApplications {
    beginCreateOrUpdate(resourceGroupName: string, galleryName: string, galleryApplicationName: string, galleryApplication: GalleryApplication, options?: GalleryApplicationsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<GalleryApplicationsCreateOrUpdateResponse>, GalleryApplicationsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, galleryName: string, galleryApplicationName: string, galleryApplication: GalleryApplication, options?: GalleryApplicationsCreateOrUpdateOptionalParams): Promise<GalleryApplicationsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, galleryName: string, galleryApplicationName: string, options?: GalleryApplicationsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, galleryName: string, galleryApplicationName: string, options?: GalleryApplicationsDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, galleryName: string, galleryApplicationName: string, galleryApplication: GalleryApplicationUpdate, options?: GalleryApplicationsUpdateOptionalParams): Promise<PollerLike<PollOperationState<GalleryApplicationsUpdateResponse>, GalleryApplicationsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, galleryName: string, galleryApplicationName: string, galleryApplication: GalleryApplicationUpdate, options?: GalleryApplicationsUpdateOptionalParams): Promise<GalleryApplicationsUpdateResponse>;
    get(resourceGroupName: string, galleryName: string, galleryApplicationName: string, options?: GalleryApplicationsGetOptionalParams): Promise<GalleryApplicationsGetResponse>;
    listByGallery(resourceGroupName: string, galleryName: string, options?: GalleryApplicationsListByGalleryOptionalParams): PagedAsyncIterableIterator<GalleryApplication>;
}

// @public
export interface GalleryApplicationsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type GalleryApplicationsCreateOrUpdateResponse = GalleryApplication;

// @public
export interface GalleryApplicationsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface GalleryApplicationsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleryApplicationsGetResponse = GalleryApplication;

// @public
export interface GalleryApplicationsListByGalleryNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleryApplicationsListByGalleryNextResponse = GalleryApplicationList;

// @public
export interface GalleryApplicationsListByGalleryOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleryApplicationsListByGalleryResponse = GalleryApplicationList;

// @public
export interface GalleryApplicationsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type GalleryApplicationsUpdateResponse = GalleryApplication;

// @public
export interface GalleryApplicationUpdate extends UpdateResourceDefinition {
    customActions?: GalleryApplicationCustomAction[];
    description?: string;
    endOfLifeDate?: Date;
    eula?: string;
    privacyStatementUri?: string;
    releaseNoteUri?: string;
    supportedOSType?: OperatingSystemTypes;
}

// @public
export interface GalleryApplicationVersion extends Resource {
    readonly provisioningState?: GalleryProvisioningState;
    publishingProfile?: GalleryApplicationVersionPublishingProfile;
    readonly replicationStatus?: ReplicationStatus;
    safetyProfile?: GalleryApplicationVersionSafetyProfile;
}

// @public
export interface GalleryApplicationVersionList {
    nextLink?: string;
    value: GalleryApplicationVersion[];
}

// @public
export interface GalleryApplicationVersionPublishingProfile extends GalleryArtifactPublishingProfileBase {
    advancedSettings?: {
        [propertyName: string]: string;
    };
    customActions?: GalleryApplicationCustomAction[];
    enableHealthCheck?: boolean;
    // (undocumented)
    manageActions?: UserArtifactManage;
    settings?: UserArtifactSettings;
    source: UserArtifactSource;
}

// @public
export interface GalleryApplicationVersions {
    beginCreateOrUpdate(resourceGroupName: string, galleryName: string, galleryApplicationName: string, galleryApplicationVersionName: string, galleryApplicationVersion: GalleryApplicationVersion, options?: GalleryApplicationVersionsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<GalleryApplicationVersionsCreateOrUpdateResponse>, GalleryApplicationVersionsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, galleryName: string, galleryApplicationName: string, galleryApplicationVersionName: string, galleryApplicationVersion: GalleryApplicationVersion, options?: GalleryApplicationVersionsCreateOrUpdateOptionalParams): Promise<GalleryApplicationVersionsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, galleryName: string, galleryApplicationName: string, galleryApplicationVersionName: string, options?: GalleryApplicationVersionsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, galleryName: string, galleryApplicationName: string, galleryApplicationVersionName: string, options?: GalleryApplicationVersionsDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, galleryName: string, galleryApplicationName: string, galleryApplicationVersionName: string, galleryApplicationVersion: GalleryApplicationVersionUpdate, options?: GalleryApplicationVersionsUpdateOptionalParams): Promise<PollerLike<PollOperationState<GalleryApplicationVersionsUpdateResponse>, GalleryApplicationVersionsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, galleryName: string, galleryApplicationName: string, galleryApplicationVersionName: string, galleryApplicationVersion: GalleryApplicationVersionUpdate, options?: GalleryApplicationVersionsUpdateOptionalParams): Promise<GalleryApplicationVersionsUpdateResponse>;
    get(resourceGroupName: string, galleryName: string, galleryApplicationName: string, galleryApplicationVersionName: string, options?: GalleryApplicationVersionsGetOptionalParams): Promise<GalleryApplicationVersionsGetResponse>;
    listByGalleryApplication(resourceGroupName: string, galleryName: string, galleryApplicationName: string, options?: GalleryApplicationVersionsListByGalleryApplicationOptionalParams): PagedAsyncIterableIterator<GalleryApplicationVersion>;
}

// @public
export interface GalleryApplicationVersionSafetyProfile extends GalleryArtifactSafetyProfileBase {
}

// @public
export interface GalleryApplicationVersionsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type GalleryApplicationVersionsCreateOrUpdateResponse = GalleryApplicationVersion;

// @public
export interface GalleryApplicationVersionsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface GalleryApplicationVersionsGetOptionalParams extends coreClient.OperationOptions {
    expand?: ReplicationStatusTypes;
}

// @public
export type GalleryApplicationVersionsGetResponse = GalleryApplicationVersion;

// @public
export interface GalleryApplicationVersionsListByGalleryApplicationNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleryApplicationVersionsListByGalleryApplicationNextResponse = GalleryApplicationVersionList;

// @public
export interface GalleryApplicationVersionsListByGalleryApplicationOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleryApplicationVersionsListByGalleryApplicationResponse = GalleryApplicationVersionList;

// @public
export interface GalleryApplicationVersionsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type GalleryApplicationVersionsUpdateResponse = GalleryApplicationVersion;

// @public
export interface GalleryApplicationVersionUpdate extends UpdateResourceDefinition {
    readonly provisioningState?: GalleryProvisioningState;
    publishingProfile?: GalleryApplicationVersionPublishingProfile;
    readonly replicationStatus?: ReplicationStatus;
    safetyProfile?: GalleryApplicationVersionSafetyProfile;
}

// @public
export interface GalleryArtifactPublishingProfileBase {
    endOfLifeDate?: Date;
    excludeFromLatest?: boolean;
    readonly publishedDate?: Date;
    replicaCount?: number;
    replicationMode?: ReplicationMode;
    storageAccountType?: StorageAccountType;
    targetExtendedLocations?: GalleryTargetExtendedLocation[];
    targetRegions?: TargetRegion[];
}

// @public
export interface GalleryArtifactSafetyProfileBase {
    allowDeletionOfReplicatedLocations?: boolean;
}

// @public
export interface GalleryArtifactSource {
    managedImage: ManagedArtifact;
}

// @public
export interface GalleryArtifactVersionFullSource extends GalleryArtifactVersionSource {
    communityGalleryImageId?: string;
}

// @public
export interface GalleryArtifactVersionSource {
    id?: string;
}

// @public
export interface GalleryDataDiskImage extends GalleryDiskImage {
    lun: number;
}

// @public
export interface GalleryDiskImage {
    hostCaching?: HostCaching;
    readonly sizeInGB?: number;
    source?: GalleryDiskImageSource;
}

// @public
export interface GalleryDiskImageSource extends GalleryArtifactVersionSource {
    storageAccountId?: string;
    uri?: string;
}

// @public
export type GalleryExpandParams = string;

// @public
export interface GalleryExtendedLocation {
    // (undocumented)
    name?: string;
    type?: GalleryExtendedLocationType;
}

// @public
export type GalleryExtendedLocationType = string;

// @public
export interface GalleryIdentifier {
    readonly uniqueName?: string;
}

// @public
export interface GalleryImage extends Resource {
    architecture?: Architecture;
    description?: string;
    disallowed?: Disallowed;
    endOfLifeDate?: Date;
    eula?: string;
    features?: GalleryImageFeature[];
    hyperVGeneration?: HyperVGeneration;
    identifier?: GalleryImageIdentifier;
    osState?: OperatingSystemStateTypes;
    osType?: OperatingSystemTypes;
    privacyStatementUri?: string;
    readonly provisioningState?: GalleryProvisioningState;
    purchasePlan?: ImagePurchasePlan;
    recommended?: RecommendedMachineConfiguration;
    releaseNoteUri?: string;
}

// @public
export interface GalleryImageFeature {
    name?: string;
    value?: string;
}

// @public
export interface GalleryImageIdentifier {
    offer: string;
    publisher: string;
    sku: string;
}

// @public
export interface GalleryImageList {
    nextLink?: string;
    value: GalleryImage[];
}

// @public
export interface GalleryImages {
    beginCreateOrUpdate(resourceGroupName: string, galleryName: string, galleryImageName: string, galleryImage: GalleryImage, options?: GalleryImagesCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<GalleryImagesCreateOrUpdateResponse>, GalleryImagesCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, galleryName: string, galleryImageName: string, galleryImage: GalleryImage, options?: GalleryImagesCreateOrUpdateOptionalParams): Promise<GalleryImagesCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, galleryName: string, galleryImageName: string, options?: GalleryImagesDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, galleryName: string, galleryImageName: string, options?: GalleryImagesDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, galleryName: string, galleryImageName: string, galleryImage: GalleryImageUpdate, options?: GalleryImagesUpdateOptionalParams): Promise<PollerLike<PollOperationState<GalleryImagesUpdateResponse>, GalleryImagesUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, galleryName: string, galleryImageName: string, galleryImage: GalleryImageUpdate, options?: GalleryImagesUpdateOptionalParams): Promise<GalleryImagesUpdateResponse>;
    get(resourceGroupName: string, galleryName: string, galleryImageName: string, options?: GalleryImagesGetOptionalParams): Promise<GalleryImagesGetResponse>;
    listByGallery(resourceGroupName: string, galleryName: string, options?: GalleryImagesListByGalleryOptionalParams): PagedAsyncIterableIterator<GalleryImage>;
}

// @public
export interface GalleryImagesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type GalleryImagesCreateOrUpdateResponse = GalleryImage;

// @public
export interface GalleryImagesDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface GalleryImagesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleryImagesGetResponse = GalleryImage;

// @public
export interface GalleryImagesListByGalleryNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleryImagesListByGalleryNextResponse = GalleryImageList;

// @public
export interface GalleryImagesListByGalleryOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleryImagesListByGalleryResponse = GalleryImageList;

// @public
export interface GalleryImagesUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type GalleryImagesUpdateResponse = GalleryImage;

// @public
export interface GalleryImageUpdate extends UpdateResourceDefinition {
    architecture?: Architecture;
    description?: string;
    disallowed?: Disallowed;
    endOfLifeDate?: Date;
    eula?: string;
    features?: GalleryImageFeature[];
    hyperVGeneration?: HyperVGeneration;
    identifier?: GalleryImageIdentifier;
    osState?: OperatingSystemStateTypes;
    osType?: OperatingSystemTypes;
    privacyStatementUri?: string;
    readonly provisioningState?: GalleryProvisioningState;
    purchasePlan?: ImagePurchasePlan;
    recommended?: RecommendedMachineConfiguration;
    releaseNoteUri?: string;
}

// @public
export interface GalleryImageVersion extends Resource {
    readonly provisioningState?: GalleryProvisioningState;
    publishingProfile?: GalleryImageVersionPublishingProfile;
    readonly replicationStatus?: ReplicationStatus;
    safetyProfile?: GalleryImageVersionSafetyProfile;
    storageProfile?: GalleryImageVersionStorageProfile;
}

// @public
export interface GalleryImageVersionList {
    nextLink?: string;
    value: GalleryImageVersion[];
}

// @public
export interface GalleryImageVersionPublishingProfile extends GalleryArtifactPublishingProfileBase {
}

// @public
export interface GalleryImageVersions {
    beginCreateOrUpdate(resourceGroupName: string, galleryName: string, galleryImageName: string, galleryImageVersionName: string, galleryImageVersion: GalleryImageVersion, options?: GalleryImageVersionsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<GalleryImageVersionsCreateOrUpdateResponse>, GalleryImageVersionsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, galleryName: string, galleryImageName: string, galleryImageVersionName: string, galleryImageVersion: GalleryImageVersion, options?: GalleryImageVersionsCreateOrUpdateOptionalParams): Promise<GalleryImageVersionsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, galleryName: string, galleryImageName: string, galleryImageVersionName: string, options?: GalleryImageVersionsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, galleryName: string, galleryImageName: string, galleryImageVersionName: string, options?: GalleryImageVersionsDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, galleryName: string, galleryImageName: string, galleryImageVersionName: string, galleryImageVersion: GalleryImageVersionUpdate, options?: GalleryImageVersionsUpdateOptionalParams): Promise<PollerLike<PollOperationState<GalleryImageVersionsUpdateResponse>, GalleryImageVersionsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, galleryName: string, galleryImageName: string, galleryImageVersionName: string, galleryImageVersion: GalleryImageVersionUpdate, options?: GalleryImageVersionsUpdateOptionalParams): Promise<GalleryImageVersionsUpdateResponse>;
    get(resourceGroupName: string, galleryName: string, galleryImageName: string, galleryImageVersionName: string, options?: GalleryImageVersionsGetOptionalParams): Promise<GalleryImageVersionsGetResponse>;
    listByGalleryImage(resourceGroupName: string, galleryName: string, galleryImageName: string, options?: GalleryImageVersionsListByGalleryImageOptionalParams): PagedAsyncIterableIterator<GalleryImageVersion>;
}

// @public
export interface GalleryImageVersionSafetyProfile extends GalleryArtifactSafetyProfileBase {
    readonly policyViolations?: PolicyViolation[];
    readonly reportedForPolicyViolation?: boolean;
}

// @public
export interface GalleryImageVersionsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type GalleryImageVersionsCreateOrUpdateResponse = GalleryImageVersion;

// @public
export interface GalleryImageVersionsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface GalleryImageVersionsGetOptionalParams extends coreClient.OperationOptions {
    expand?: ReplicationStatusTypes;
}

// @public
export type GalleryImageVersionsGetResponse = GalleryImageVersion;

// @public
export interface GalleryImageVersionsListByGalleryImageNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleryImageVersionsListByGalleryImageNextResponse = GalleryImageVersionList;

// @public
export interface GalleryImageVersionsListByGalleryImageOptionalParams extends coreClient.OperationOptions {
}

// @public
export type GalleryImageVersionsListByGalleryImageResponse = GalleryImageVersionList;

// @public
export interface GalleryImageVersionStorageProfile {
    dataDiskImages?: GalleryDataDiskImage[];
    osDiskImage?: GalleryOSDiskImage;
    source?: GalleryArtifactVersionFullSource;
}

// @public
export interface GalleryImageVersionsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type GalleryImageVersionsUpdateResponse = GalleryImageVersion;

// @public
export interface GalleryImageVersionUpdate extends UpdateResourceDefinition {
    readonly provisioningState?: GalleryProvisioningState;
    publishingProfile?: GalleryImageVersionPublishingProfile;
    readonly replicationStatus?: ReplicationStatus;
    safetyProfile?: GalleryImageVersionSafetyProfile;
    storageProfile?: GalleryImageVersionStorageProfile;
}

// @public
export interface GalleryList {
    nextLink?: string;
    value: Gallery[];
}

// @public
export interface GalleryOSDiskImage extends GalleryDiskImage {
}

// @public
export type GalleryProvisioningState = string;

// @public
export type GallerySharingPermissionTypes = string;

// @public
export interface GallerySharingProfile {
    beginUpdate(resourceGroupName: string, galleryName: string, sharingUpdate: SharingUpdate, options?: GallerySharingProfileUpdateOptionalParams): Promise<PollerLike<PollOperationState<GallerySharingProfileUpdateResponse>, GallerySharingProfileUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, galleryName: string, sharingUpdate: SharingUpdate, options?: GallerySharingProfileUpdateOptionalParams): Promise<GallerySharingProfileUpdateResponse>;
}

// @public
export interface GallerySharingProfileUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type GallerySharingProfileUpdateResponse = SharingUpdate;

// @public (undocumented)
export interface GalleryTargetExtendedLocation {
    encryption?: EncryptionImages;
    extendedLocation?: GalleryExtendedLocation;
    extendedLocationReplicaCount?: number;
    name?: string;
    storageAccountType?: StorageAccountType;
}

// @public
export interface GalleryUpdate extends UpdateResourceDefinition {
    description?: string;
    identifier?: GalleryIdentifier;
    readonly provisioningState?: GalleryProvisioningState;
    sharingProfile?: SharingProfile;
    readonly sharingStatus?: SharingStatus;
    softDeletePolicy?: SoftDeletePolicy;
}

// @public
export function getContinuationToken(page: unknown): string | undefined;

// @public
export interface GrantAccessData {
    // (undocumented)
    access: AccessLevel;
    durationInSeconds: number;
    getSecureVMGuestStateSAS?: boolean;
}

// @public
export interface HardwareProfile {
    vmSize?: VirtualMachineSizeTypes;
    vmSizeProperties?: VMSizeProperties;
}

// @public
export type HostCaching = "None" | "ReadOnly" | "ReadWrite";

// @public
export type HyperVGeneration = string;

// @public
export type HyperVGenerationType = string;

// @public
export type HyperVGenerationTypes = string;

// @public
interface Image_2 extends Resource {
    extendedLocation?: ExtendedLocation;
    hyperVGeneration?: HyperVGenerationTypes;
    readonly provisioningState?: string;
    sourceVirtualMachine?: SubResource;
    storageProfile?: ImageStorageProfile;
}
export { Image_2 as Image }

// @public
export interface ImageDataDisk extends ImageDisk {
    lun: number;
}

// @public
export interface ImageDeprecationStatus {
    alternativeOption?: AlternativeOption;
    imageState?: ImageState;
    scheduledDeprecationTime?: Date;
}

// @public
export interface ImageDisk {
    blobUri?: string;
    caching?: CachingTypes;
    diskEncryptionSet?: DiskEncryptionSetParameters;
    diskSizeGB?: number;
    managedDisk?: SubResource;
    snapshot?: SubResource;
    storageAccountType?: StorageAccountTypes;
}

// @public
export interface ImageDiskReference {
    communityGalleryImageId?: string;
    id?: string;
    lun?: number;
    sharedGalleryImageId?: string;
}

// @public
export interface ImageListResult {
    nextLink?: string;
    value: Image_2[];
}

// @public
export interface ImageOSDisk extends ImageDisk {
    osState: OperatingSystemStateTypes;
    osType: OperatingSystemTypes;
}

// @public
export interface ImagePurchasePlan {
    name?: string;
    product?: string;
    publisher?: string;
}

// @public
export interface ImageReference extends SubResource {
    communityGalleryImageId?: string;
    readonly exactVersion?: string;
    offer?: string;
    publisher?: string;
    sharedGalleryImageId?: string;
    sku?: string;
    version?: string;
}

// @public
export interface Images {
    beginCreateOrUpdate(resourceGroupName: string, imageName: string, parameters: Image_2, options?: ImagesCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<ImagesCreateOrUpdateResponse>, ImagesCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, imageName: string, parameters: Image_2, options?: ImagesCreateOrUpdateOptionalParams): Promise<ImagesCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, imageName: string, options?: ImagesDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, imageName: string, options?: ImagesDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, imageName: string, parameters: ImageUpdate, options?: ImagesUpdateOptionalParams): Promise<PollerLike<PollOperationState<ImagesUpdateResponse>, ImagesUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, imageName: string, parameters: ImageUpdate, options?: ImagesUpdateOptionalParams): Promise<ImagesUpdateResponse>;
    get(resourceGroupName: string, imageName: string, options?: ImagesGetOptionalParams): Promise<ImagesGetResponse>;
    list(options?: ImagesListOptionalParams): PagedAsyncIterableIterator<Image_2>;
    listByResourceGroup(resourceGroupName: string, options?: ImagesListByResourceGroupOptionalParams): PagedAsyncIterableIterator<Image_2>;
}

// @public
export interface ImagesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type ImagesCreateOrUpdateResponse = Image_2;

// @public
export interface ImagesDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface ImagesGetOptionalParams extends coreClient.OperationOptions {
    expand?: string;
}

// @public
export type ImagesGetResponse = Image_2;

// @public
export interface ImagesListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ImagesListByResourceGroupNextResponse = ImageListResult;

// @public
export interface ImagesListByResourceGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ImagesListByResourceGroupResponse = ImageListResult;

// @public
export interface ImagesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ImagesListNextResponse = ImageListResult;

// @public
export interface ImagesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ImagesListResponse = ImageListResult;

// @public
export type ImageState = string;

// @public
export interface ImageStorageProfile {
    dataDisks?: ImageDataDisk[];
    osDisk?: ImageOSDisk;
    zoneResilient?: boolean;
}

// @public
export interface ImagesUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type ImagesUpdateResponse = Image_2;

// @public
export interface ImageUpdate extends UpdateResource {
    hyperVGeneration?: HyperVGenerationTypes;
    readonly provisioningState?: string;
    sourceVirtualMachine?: SubResource;
    storageProfile?: ImageStorageProfile;
}

// @public
export interface InnerError {
    errordetail?: string;
    exceptiontype?: string;
}

// @public
export interface InstanceSku {
    readonly name?: string;
    readonly tier?: string;
}

// @public
export interface InstanceViewStatus {
    code?: string;
    displayStatus?: string;
    level?: StatusLevelTypes;
    message?: string;
    time?: Date;
}

// @public
export interface InstanceViewStatusesSummary {
    readonly statusesSummary?: StatusCodeCount[];
}

// @public
export type InstanceViewTypes = "instanceView" | "userData";

// @public
export type IntervalInMins = "ThreeMins" | "FiveMins" | "ThirtyMins" | "SixtyMins";

// @public
export type IPVersion = string;

// @public
export type IPVersions = string;

// @public
export interface KeyForDiskEncryptionSet {
    keyUrl: string;
    sourceVault?: SourceVault;
}

// @public
export interface KeyVaultAndKeyReference {
    keyUrl: string;
    sourceVault: SourceVault;
}

// @public
export interface KeyVaultAndSecretReference {
    secretUrl: string;
    sourceVault: SourceVault;
}

// @public
export interface KeyVaultKeyReference {
    keyUrl: string;
    sourceVault: SubResource;
}

// @public
export interface KeyVaultSecretReference {
    secretUrl: string;
    sourceVault: SubResource;
}

// @public
export enum KnownAccessLevel {
    None = "None",
    Read = "Read",
    Write = "Write"
}

// @public
export enum KnownAggregatedReplicationState {
    Completed = "Completed",
    Failed = "Failed",
    InProgress = "InProgress",
    Unknown = "Unknown"
}

// @public
export enum KnownAlternativeType {
    None = "None",
    Offer = "Offer",
    Plan = "Plan"
}

// @public
export enum KnownArchitecture {
    Arm64 = "Arm64",
    X64 = "x64"
}

// @public
export enum KnownArchitectureTypes {
    Arm64 = "Arm64",
    X64 = "x64"
}

// @public
export enum KnownAvailabilitySetSkuTypes {
    Aligned = "Aligned",
    Classic = "Classic"
}

// @public
export enum KnownCapacityReservationGroupInstanceViewTypes {
    InstanceView = "instanceView"
}

// @public
export enum KnownCapacityReservationInstanceViewTypes {
    InstanceView = "instanceView"
}

// @public
export enum KnownCloudServiceSlotType {
    Production = "Production",
    Staging = "Staging"
}

// @public
export enum KnownCloudServiceUpgradeMode {
    Auto = "Auto",
    Manual = "Manual",
    Simultaneous = "Simultaneous"
}

// @public
export enum KnownConfidentialVMEncryptionType {
    EncryptedVMGuestStateOnlyWithPmk = "EncryptedVMGuestStateOnlyWithPmk",
    EncryptedWithCmk = "EncryptedWithCmk",
    EncryptedWithPmk = "EncryptedWithPmk"
}

// @public
export enum KnownConsistencyModeTypes {
    ApplicationConsistent = "ApplicationConsistent",
    CrashConsistent = "CrashConsistent",
    FileSystemConsistent = "FileSystemConsistent"
}

// @public
export enum KnownCopyCompletionErrorReason {
    CopySourceNotFound = "CopySourceNotFound"
}

// @public
export enum KnownDataAccessAuthMode {
    AzureActiveDirectory = "AzureActiveDirectory",
    None = "None"
}

// @public
export enum KnownDeleteOptions {
    Delete = "Delete",
    Detach = "Detach"
}

// @public
export enum KnownDiffDiskOptions {
    Local = "Local"
}

// @public
export enum KnownDiffDiskPlacement {
    CacheDisk = "CacheDisk",
    ResourceDisk = "ResourceDisk"
}

// @public
export enum KnownDiskControllerTypes {
    NVMe = "NVMe",
    Scsi = "SCSI"
}

// @public
export enum KnownDiskCreateOption {
    Attach = "Attach",
    Copy = "Copy",
    CopyStart = "CopyStart",
    Empty = "Empty",
    FromImage = "FromImage",
    Import = "Import",
    ImportSecure = "ImportSecure",
    Restore = "Restore",
    Upload = "Upload",
    UploadPreparedSecure = "UploadPreparedSecure"
}

// @public
export enum KnownDiskCreateOptionTypes {
    Attach = "Attach",
    Empty = "Empty",
    FromImage = "FromImage"
}

// @public
export enum KnownDiskDeleteOptionTypes {
    Delete = "Delete",
    Detach = "Detach"
}

// @public
export enum KnownDiskDetachOptionTypes {
    ForceDetach = "ForceDetach"
}

// @public
export enum KnownDiskEncryptionSetIdentityType {
    None = "None",
    SystemAssigned = "SystemAssigned",
    SystemAssignedUserAssigned = "SystemAssigned, UserAssigned",
    UserAssigned = "UserAssigned"
}

// @public
export enum KnownDiskEncryptionSetType {
    ConfidentialVmEncryptedWithCustomerKey = "ConfidentialVmEncryptedWithCustomerKey",
    EncryptionAtRestWithCustomerKey = "EncryptionAtRestWithCustomerKey",
    EncryptionAtRestWithPlatformAndCustomerKeys = "EncryptionAtRestWithPlatformAndCustomerKeys"
}

// @public
export enum KnownDiskSecurityTypes {
    ConfidentialVMDiskEncryptedWithCustomerKey = "ConfidentialVM_DiskEncryptedWithCustomerKey",
    ConfidentialVMDiskEncryptedWithPlatformKey = "ConfidentialVM_DiskEncryptedWithPlatformKey",
    ConfidentialVMVmguestStateOnlyEncryptedWithPlatformKey = "ConfidentialVM_VMGuestStateOnlyEncryptedWithPlatformKey",
    TrustedLaunch = "TrustedLaunch"
}

// @public
export enum KnownDiskState {
    ActiveSAS = "ActiveSAS",
    ActiveSASFrozen = "ActiveSASFrozen",
    ActiveUpload = "ActiveUpload",
    Attached = "Attached",
    Frozen = "Frozen",
    ReadyToUpload = "ReadyToUpload",
    Reserved = "Reserved",
    Unattached = "Unattached"
}

// @public
export enum KnownDiskStorageAccountTypes {
    PremiumLRS = "Premium_LRS",
    PremiumV2LRS = "PremiumV2_LRS",
    PremiumZRS = "Premium_ZRS",
    StandardLRS = "Standard_LRS",
    StandardSSDLRS = "StandardSSD_LRS",
    StandardSSDZRS = "StandardSSD_ZRS",
    UltraSSDLRS = "UltraSSD_LRS"
}

// @public
export enum KnownEncryptionType {
    EncryptionAtRestWithCustomerKey = "EncryptionAtRestWithCustomerKey",
    EncryptionAtRestWithPlatformAndCustomerKeys = "EncryptionAtRestWithPlatformAndCustomerKeys",
    EncryptionAtRestWithPlatformKey = "EncryptionAtRestWithPlatformKey"
}

// @public
export enum KnownExecutionState {
    Canceled = "Canceled",
    Failed = "Failed",
    Pending = "Pending",
    Running = "Running",
    Succeeded = "Succeeded",
    TimedOut = "TimedOut",
    Unknown = "Unknown"
}

// @public
export enum KnownExpandTypesForGetCapacityReservationGroups {
    VirtualMachineScaleSetVMsRef = "virtualMachineScaleSetVMs/$ref",
    VirtualMachinesRef = "virtualMachines/$ref"
}

// @public
export enum KnownExpandTypesForGetVMScaleSets {
    UserData = "userData"
}

// @public
export enum KnownExtendedLocationType {
    EdgeZone = "EdgeZone"
}

// @public
export enum KnownExtendedLocationTypes {
    EdgeZone = "EdgeZone"
}

// @public
export enum KnownGalleryExpandParams {
    SharingProfileGroups = "SharingProfile/Groups"
}

// @public
export enum KnownGalleryExtendedLocationType {
    EdgeZone = "EdgeZone",
    Unknown = "Unknown"
}

// @public
export enum KnownGalleryProvisioningState {
    Creating = "Creating",
    Deleting = "Deleting",
    Failed = "Failed",
    Migrating = "Migrating",
    Succeeded = "Succeeded",
    Updating = "Updating"
}

// @public
export enum KnownGallerySharingPermissionTypes {
    Community = "Community",
    Groups = "Groups",
    Private = "Private"
}

// @public
export enum KnownHyperVGeneration {
    V1 = "V1",
    V2 = "V2"
}

// @public
export enum KnownHyperVGenerationType {
    V1 = "V1",
    V2 = "V2"
}

// @public
export enum KnownHyperVGenerationTypes {
    V1 = "V1",
    V2 = "V2"
}

// @public
export enum KnownImageState {
    Active = "Active",
    Deprecated = "Deprecated",
    ScheduledForDeprecation = "ScheduledForDeprecation"
}

// @public
export enum KnownIPVersion {
    IPv4 = "IPv4",
    IPv6 = "IPv6"
}

// @public
export enum KnownIPVersions {
    IPv4 = "IPv4",
    IPv6 = "IPv6"
}

// @public
export enum KnownLinuxPatchAssessmentMode {
    AutomaticByPlatform = "AutomaticByPlatform",
    ImageDefault = "ImageDefault"
}

// @public
export enum KnownLinuxVMGuestPatchAutomaticByPlatformRebootSetting {
    Always = "Always",
    IfRequired = "IfRequired",
    Never = "Never",
    Unknown = "Unknown"
}

// @public
export enum KnownLinuxVMGuestPatchMode {
    AutomaticByPlatform = "AutomaticByPlatform",
    ImageDefault = "ImageDefault"
}

// @public
export enum KnownNetworkAccessPolicy {
    AllowAll = "AllowAll",
    AllowPrivate = "AllowPrivate",
    DenyAll = "DenyAll"
}

// @public
export enum KnownNetworkApiVersion {
    TwoThousandTwenty1101 = "2020-11-01"
}

// @public
export enum KnownOperatingSystemType {
    Linux = "Linux",
    Windows = "Windows"
}

// @public
export enum KnownOrchestrationMode {
    Flexible = "Flexible",
    Uniform = "Uniform"
}

// @public
export enum KnownOrchestrationServiceNames {
    AutomaticRepairs = "AutomaticRepairs",
    DummyOrchestrationServiceName = "DummyOrchestrationServiceName"
}

// @public
export enum KnownOrchestrationServiceState {
    NotRunning = "NotRunning",
    Running = "Running",
    Suspended = "Suspended"
}

// @public
export enum KnownOrchestrationServiceStateAction {
    Resume = "Resume",
    Suspend = "Suspend"
}

// @public
export enum KnownPatchAssessmentState {
    Available = "Available",
    Unknown = "Unknown"
}

// @public
export enum KnownPatchInstallationState {
    Excluded = "Excluded",
    Failed = "Failed",
    Installed = "Installed",
    NotSelected = "NotSelected",
    Pending = "Pending",
    Unknown = "Unknown"
}

// @public
export enum KnownPatchOperationStatus {
    CompletedWithWarnings = "CompletedWithWarnings",
    Failed = "Failed",
    InProgress = "InProgress",
    Succeeded = "Succeeded",
    Unknown = "Unknown"
}

// @public
export enum KnownPolicyViolationCategory {
    CopyrightValidation = "CopyrightValidation",
    ImageFlaggedUnsafe = "ImageFlaggedUnsafe",
    IpTheft = "IpTheft",
    Other = "Other"
}

// @public
export enum KnownPrivateEndpointConnectionProvisioningState {
    Creating = "Creating",
    Deleting = "Deleting",
    Failed = "Failed",
    Succeeded = "Succeeded"
}

// @public
export enum KnownPrivateEndpointServiceConnectionStatus {
    Approved = "Approved",
    Pending = "Pending",
    Rejected = "Rejected"
}

// @public
export enum KnownProximityPlacementGroupType {
    Standard = "Standard",
    Ultra = "Ultra"
}

// @public
export enum KnownPublicIPAddressSkuName {
    Basic = "Basic",
    Standard = "Standard"
}

// @public
export enum KnownPublicIPAddressSkuTier {
    Global = "Global",
    Regional = "Regional"
}

// @public
export enum KnownPublicIPAllocationMethod {
    Dynamic = "Dynamic",
    Static = "Static"
}

// @public
export enum KnownPublicNetworkAccess {
    Disabled = "Disabled",
    Enabled = "Enabled"
}

// @public
export enum KnownRepairAction {
    Reimage = "Reimage",
    Replace = "Replace",
    Restart = "Restart"
}

// @public
export enum KnownReplicationMode {
    Full = "Full",
    Shallow = "Shallow"
}

// @public
export enum KnownReplicationState {
    Completed = "Completed",
    Failed = "Failed",
    Replicating = "Replicating",
    Unknown = "Unknown"
}

// @public
export enum KnownReplicationStatusTypes {
    ReplicationStatus = "ReplicationStatus"
}

// @public
export enum KnownRestorePointCollectionExpandOptions {
    RestorePoints = "restorePoints"
}

// @public
export enum KnownRestorePointExpandOptions {
    InstanceView = "instanceView"
}

// @public
export enum KnownSecurityEncryptionTypes {
    DiskWithVMGuestState = "DiskWithVMGuestState",
    VMGuestStateOnly = "VMGuestStateOnly"
}

// @public
export enum KnownSecurityTypes {
    ConfidentialVM = "ConfidentialVM",
    TrustedLaunch = "TrustedLaunch"
}

// @public
export enum KnownSelectPermissions {
    Permissions = "Permissions"
}

// @public
export enum KnownSharedGalleryHostCaching {
    None = "None",
    ReadOnly = "ReadOnly",
    ReadWrite = "ReadWrite"
}

// @public
export enum KnownSharedToValues {
    Tenant = "tenant"
}

// @public
export enum KnownSharingProfileGroupTypes {
    AADTenants = "AADTenants",
    Subscriptions = "Subscriptions"
}

// @public
export enum KnownSharingState {
    Failed = "Failed",
    InProgress = "InProgress",
    Succeeded = "Succeeded",
    Unknown = "Unknown"
}

// @public
export enum KnownSharingUpdateOperationTypes {
    Add = "Add",
    EnableCommunity = "EnableCommunity",
    Remove = "Remove",
    Reset = "Reset"
}

// @public
export enum KnownSnapshotStorageAccountTypes {
    PremiumLRS = "Premium_LRS",
    StandardLRS = "Standard_LRS",
    StandardZRS = "Standard_ZRS"
}

// @public
export enum KnownStorageAccountType {
    PremiumLRS = "Premium_LRS",
    StandardLRS = "Standard_LRS",
    StandardZRS = "Standard_ZRS"
}

// @public
export enum KnownStorageAccountTypes {
    PremiumLRS = "Premium_LRS",
    PremiumV2LRS = "PremiumV2_LRS",
    PremiumZRS = "Premium_ZRS",
    StandardLRS = "Standard_LRS",
    StandardSSDLRS = "StandardSSD_LRS",
    StandardSSDZRS = "StandardSSD_ZRS",
    UltraSSDLRS = "UltraSSD_LRS"
}

// @public
export enum KnownVirtualMachineEvictionPolicyTypes {
    Deallocate = "Deallocate",
    Delete = "Delete"
}

// @public
export enum KnownVirtualMachinePriorityTypes {
    Low = "Low",
    Regular = "Regular",
    Spot = "Spot"
}

// @public
export enum KnownVirtualMachineScaleSetScaleInRules {
    Default = "Default",
    NewestVM = "NewestVM",
    OldestVM = "OldestVM"
}

// @public
export enum KnownVirtualMachineSizeTypes {
    BasicA0 = "Basic_A0",
    BasicA1 = "Basic_A1",
    BasicA2 = "Basic_A2",
    BasicA3 = "Basic_A3",
    BasicA4 = "Basic_A4",
    StandardA0 = "Standard_A0",
    StandardA1 = "Standard_A1",
    StandardA10 = "Standard_A10",
    StandardA11 = "Standard_A11",
    StandardA1V2 = "Standard_A1_v2",
    StandardA2 = "Standard_A2",
    StandardA2MV2 = "Standard_A2m_v2",
    StandardA2V2 = "Standard_A2_v2",
    StandardA3 = "Standard_A3",
    StandardA4 = "Standard_A4",
    StandardA4MV2 = "Standard_A4m_v2",
    StandardA4V2 = "Standard_A4_v2",
    StandardA5 = "Standard_A5",
    StandardA6 = "Standard_A6",
    StandardA7 = "Standard_A7",
    StandardA8 = "Standard_A8",
    StandardA8MV2 = "Standard_A8m_v2",
    StandardA8V2 = "Standard_A8_v2",
    StandardA9 = "Standard_A9",
    StandardB1Ms = "Standard_B1ms",
    StandardB1S = "Standard_B1s",
    StandardB2Ms = "Standard_B2ms",
    StandardB2S = "Standard_B2s",
    StandardB4Ms = "Standard_B4ms",
    StandardB8Ms = "Standard_B8ms",
    StandardD1 = "Standard_D1",
    StandardD11 = "Standard_D11",
    StandardD11V2 = "Standard_D11_v2",
    StandardD12 = "Standard_D12",
    StandardD12V2 = "Standard_D12_v2",
    StandardD13 = "Standard_D13",
    StandardD13V2 = "Standard_D13_v2",
    StandardD14 = "Standard_D14",
    StandardD14V2 = "Standard_D14_v2",
    StandardD15V2 = "Standard_D15_v2",
    StandardD16SV3 = "Standard_D16s_v3",
    StandardD16V3 = "Standard_D16_v3",
    StandardD1V2 = "Standard_D1_v2",
    StandardD2 = "Standard_D2",
    StandardD2SV3 = "Standard_D2s_v3",
    StandardD2V2 = "Standard_D2_v2",
    StandardD2V3 = "Standard_D2_v3",
    StandardD3 = "Standard_D3",
    StandardD32SV3 = "Standard_D32s_v3",
    StandardD32V3 = "Standard_D32_v3",
    StandardD3V2 = "Standard_D3_v2",
    StandardD4 = "Standard_D4",
    StandardD4SV3 = "Standard_D4s_v3",
    StandardD4V2 = "Standard_D4_v2",
    StandardD4V3 = "Standard_D4_v3",
    StandardD5V2 = "Standard_D5_v2",
    StandardD64SV3 = "Standard_D64s_v3",
    StandardD64V3 = "Standard_D64_v3",
    StandardD8SV3 = "Standard_D8s_v3",
    StandardD8V3 = "Standard_D8_v3",
    StandardDS1 = "Standard_DS1",
    StandardDS11 = "Standard_DS11",
    StandardDS11V2 = "Standard_DS11_v2",
    StandardDS12 = "Standard_DS12",
    StandardDS12V2 = "Standard_DS12_v2",
    StandardDS13 = "Standard_DS13",
    StandardDS132V2 = "Standard_DS13-2_v2",
    StandardDS134V2 = "Standard_DS13-4_v2",
    StandardDS13V2 = "Standard_DS13_v2",
    StandardDS14 = "Standard_DS14",
    StandardDS144V2 = "Standard_DS14-4_v2",
    StandardDS148V2 = "Standard_DS14-8_v2",
    StandardDS14V2 = "Standard_DS14_v2",
    StandardDS15V2 = "Standard_DS15_v2",
    StandardDS1V2 = "Standard_DS1_v2",
    StandardDS2 = "Standard_DS2",
    StandardDS2V2 = "Standard_DS2_v2",
    StandardDS3 = "Standard_DS3",
    StandardDS3V2 = "Standard_DS3_v2",
    StandardDS4 = "Standard_DS4",
    StandardDS4V2 = "Standard_DS4_v2",
    StandardDS5V2 = "Standard_DS5_v2",
    StandardE16SV3 = "Standard_E16s_v3",
    StandardE16V3 = "Standard_E16_v3",
    StandardE2SV3 = "Standard_E2s_v3",
    StandardE2V3 = "Standard_E2_v3",
    StandardE3216V3 = "Standard_E32-16_v3",
    StandardE328SV3 = "Standard_E32-8s_v3",
    StandardE32SV3 = "Standard_E32s_v3",
    StandardE32V3 = "Standard_E32_v3",
    StandardE4SV3 = "Standard_E4s_v3",
    StandardE4V3 = "Standard_E4_v3",
    StandardE6416SV3 = "Standard_E64-16s_v3",
    StandardE6432SV3 = "Standard_E64-32s_v3",
    StandardE64SV3 = "Standard_E64s_v3",
    StandardE64V3 = "Standard_E64_v3",
    StandardE8SV3 = "Standard_E8s_v3",
    StandardE8V3 = "Standard_E8_v3",
    StandardF1 = "Standard_F1",
    StandardF16 = "Standard_F16",
    StandardF16S = "Standard_F16s",
    StandardF16SV2 = "Standard_F16s_v2",
    StandardF1S = "Standard_F1s",
    StandardF2 = "Standard_F2",
    StandardF2S = "Standard_F2s",
    StandardF2SV2 = "Standard_F2s_v2",
    StandardF32SV2 = "Standard_F32s_v2",
    StandardF4 = "Standard_F4",
    StandardF4S = "Standard_F4s",
    StandardF4SV2 = "Standard_F4s_v2",
    StandardF64SV2 = "Standard_F64s_v2",
    StandardF72SV2 = "Standard_F72s_v2",
    StandardF8 = "Standard_F8",
    StandardF8S = "Standard_F8s",
    StandardF8SV2 = "Standard_F8s_v2",
    StandardG1 = "Standard_G1",
    StandardG2 = "Standard_G2",
    StandardG3 = "Standard_G3",
    StandardG4 = "Standard_G4",
    StandardG5 = "Standard_G5",
    StandardGS1 = "Standard_GS1",
    StandardGS2 = "Standard_GS2",
    StandardGS3 = "Standard_GS3",
    StandardGS4 = "Standard_GS4",
    StandardGS44 = "Standard_GS4-4",
    StandardGS48 = "Standard_GS4-8",
    StandardGS5 = "Standard_GS5",
    StandardGS516 = "Standard_GS5-16",
    StandardGS58 = "Standard_GS5-8",
    StandardH16 = "Standard_H16",
    StandardH16M = "Standard_H16m",
    StandardH16Mr = "Standard_H16mr",
    StandardH16R = "Standard_H16r",
    StandardH8 = "Standard_H8",
    StandardH8M = "Standard_H8m",
    StandardL16S = "Standard_L16s",
    StandardL32S = "Standard_L32s",
    StandardL4S = "Standard_L4s",
    StandardL8S = "Standard_L8s",
    StandardM12832Ms = "Standard_M128-32ms",
    StandardM12864Ms = "Standard_M128-64ms",
    StandardM128Ms = "Standard_M128ms",
    StandardM128S = "Standard_M128s",
    StandardM6416Ms = "Standard_M64-16ms",
    StandardM6432Ms = "Standard_M64-32ms",
    StandardM64Ms = "Standard_M64ms",
    StandardM64S = "Standard_M64s",
    StandardNC12 = "Standard_NC12",
    StandardNC12SV2 = "Standard_NC12s_v2",
    StandardNC12SV3 = "Standard_NC12s_v3",
    StandardNC24 = "Standard_NC24",
    StandardNC24R = "Standard_NC24r",
    StandardNC24RsV2 = "Standard_NC24rs_v2",
    StandardNC24RsV3 = "Standard_NC24rs_v3",
    StandardNC24SV2 = "Standard_NC24s_v2",
    StandardNC24SV3 = "Standard_NC24s_v3",
    StandardNC6 = "Standard_NC6",
    StandardNC6SV2 = "Standard_NC6s_v2",
    StandardNC6SV3 = "Standard_NC6s_v3",
    StandardND12S = "Standard_ND12s",
    StandardND24Rs = "Standard_ND24rs",
    StandardND24S = "Standard_ND24s",
    StandardND6S = "Standard_ND6s",
    StandardNV12 = "Standard_NV12",
    StandardNV24 = "Standard_NV24",
    StandardNV6 = "Standard_NV6"
}

// @public
export enum KnownVmDiskTypes {
    None = "None",
    Unmanaged = "Unmanaged"
}

// @public
export enum KnownVMGuestPatchClassificationLinux {
    Critical = "Critical",
    Other = "Other",
    Security = "Security"
}

// @public
export enum KnownVMGuestPatchClassificationWindows {
    Critical = "Critical",
    Definition = "Definition",
    FeaturePack = "FeaturePack",
    Security = "Security",
    ServicePack = "ServicePack",
    Tools = "Tools",
    UpdateRollUp = "UpdateRollUp",
    Updates = "Updates"
}

// @public
export enum KnownVMGuestPatchRebootBehavior {
    AlwaysRequiresReboot = "AlwaysRequiresReboot",
    CanRequestReboot = "CanRequestReboot",
    NeverReboots = "NeverReboots",
    Unknown = "Unknown"
}

// @public
export enum KnownVMGuestPatchRebootSetting {
    Always = "Always",
    IfRequired = "IfRequired",
    Never = "Never"
}

// @public
export enum KnownVMGuestPatchRebootStatus {
    Completed = "Completed",
    Failed = "Failed",
    NotNeeded = "NotNeeded",
    Required = "Required",
    Started = "Started",
    Unknown = "Unknown"
}

// @public
export enum KnownWindowsPatchAssessmentMode {
    AutomaticByPlatform = "AutomaticByPlatform",
    ImageDefault = "ImageDefault"
}

// @public
export enum KnownWindowsVMGuestPatchAutomaticByPlatformRebootSetting {
    Always = "Always",
    IfRequired = "IfRequired",
    Never = "Never",
    Unknown = "Unknown"
}

// @public
export enum KnownWindowsVMGuestPatchMode {
    AutomaticByOS = "AutomaticByOS",
    AutomaticByPlatform = "AutomaticByPlatform",
    Manual = "Manual"
}

// @public
export interface LastPatchInstallationSummary {
    readonly error?: ApiError;
    readonly excludedPatchCount?: number;
    readonly failedPatchCount?: number;
    readonly installationActivityId?: string;
    readonly installedPatchCount?: number;
    readonly lastModifiedTime?: Date;
    readonly maintenanceWindowExceeded?: boolean;
    readonly notSelectedPatchCount?: number;
    readonly pendingPatchCount?: number;
    readonly startTime?: Date;
    readonly status?: PatchOperationStatus;
}

// @public
export interface LatestGalleryImageVersion {
    latestVersionName?: string;
    location?: string;
}

// @public
export interface LinuxConfiguration {
    disablePasswordAuthentication?: boolean;
    enableVMAgentPlatformUpdates?: boolean;
    patchSettings?: LinuxPatchSettings;
    provisionVMAgent?: boolean;
    ssh?: SshConfiguration;
}

// @public
export interface LinuxParameters {
    classificationsToInclude?: VMGuestPatchClassificationLinux[];
    maintenanceRunId?: string;
    packageNameMasksToExclude?: string[];
    packageNameMasksToInclude?: string[];
}

// @public
export type LinuxPatchAssessmentMode = string;

// @public
export interface LinuxPatchSettings {
    assessmentMode?: LinuxPatchAssessmentMode;
    automaticByPlatformSettings?: LinuxVMGuestPatchAutomaticByPlatformSettings;
    patchMode?: LinuxVMGuestPatchMode;
}

// @public
export type LinuxVMGuestPatchAutomaticByPlatformRebootSetting = string;

// @public
export interface LinuxVMGuestPatchAutomaticByPlatformSettings {
    rebootSetting?: LinuxVMGuestPatchAutomaticByPlatformRebootSetting;
}

// @public
export type LinuxVMGuestPatchMode = string;

// @public
export interface ListUsagesResult {
    nextLink?: string;
    value: Usage[];
}

// @public
export interface LoadBalancerConfiguration {
    id?: string;
    name: string;
    properties: LoadBalancerConfigurationProperties;
}

// @public
export interface LoadBalancerConfigurationProperties {
    frontendIpConfigurations: LoadBalancerFrontendIpConfiguration[];
}

// @public
export interface LoadBalancerFrontendIpConfiguration {
    name: string;
    properties: LoadBalancerFrontendIpConfigurationProperties;
}

// @public
export interface LoadBalancerFrontendIpConfigurationProperties {
    privateIPAddress?: string;
    publicIPAddress?: SubResource;
    subnet?: SubResource;
}

// @public
export interface LogAnalytics {
    beginExportRequestRateByInterval(location: string, parameters: RequestRateByIntervalInput, options?: LogAnalyticsExportRequestRateByIntervalOptionalParams): Promise<PollerLike<PollOperationState<LogAnalyticsExportRequestRateByIntervalResponse>, LogAnalyticsExportRequestRateByIntervalResponse>>;
    beginExportRequestRateByIntervalAndWait(location: string, parameters: RequestRateByIntervalInput, options?: LogAnalyticsExportRequestRateByIntervalOptionalParams): Promise<LogAnalyticsExportRequestRateByIntervalResponse>;
    beginExportThrottledRequests(location: string, parameters: ThrottledRequestsInput, options?: LogAnalyticsExportThrottledRequestsOptionalParams): Promise<PollerLike<PollOperationState<LogAnalyticsExportThrottledRequestsResponse>, LogAnalyticsExportThrottledRequestsResponse>>;
    beginExportThrottledRequestsAndWait(location: string, parameters: ThrottledRequestsInput, options?: LogAnalyticsExportThrottledRequestsOptionalParams): Promise<LogAnalyticsExportThrottledRequestsResponse>;
}

// @public
export interface LogAnalyticsExportRequestRateByIntervalOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type LogAnalyticsExportRequestRateByIntervalResponse = LogAnalyticsOperationResult;

// @public
export interface LogAnalyticsExportThrottledRequestsOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type LogAnalyticsExportThrottledRequestsResponse = LogAnalyticsOperationResult;

// @public
export interface LogAnalyticsInputBase {
    blobContainerSasUri: string;
    fromTime: Date;
    groupByClientApplicationId?: boolean;
    groupByOperationName?: boolean;
    groupByResourceName?: boolean;
    groupByThrottlePolicy?: boolean;
    groupByUserAgent?: boolean;
    toTime: Date;
}

// @public
export interface LogAnalyticsOperationResult {
    readonly properties?: LogAnalyticsOutput;
}

// @public
export interface LogAnalyticsOutput {
    readonly output?: string;
}

// @public
export type MaintenanceOperationResultCodeTypes = "None" | "RetryLater" | "MaintenanceAborted" | "MaintenanceCompleted";

// @public
export interface MaintenanceRedeployStatus {
    isCustomerInitiatedMaintenanceAllowed?: boolean;
    lastOperationMessage?: string;
    lastOperationResultCode?: MaintenanceOperationResultCodeTypes;
    maintenanceWindowEndTime?: Date;
    maintenanceWindowStartTime?: Date;
    preMaintenanceWindowEndTime?: Date;
    preMaintenanceWindowStartTime?: Date;
}

// @public
export interface ManagedArtifact {
    id: string;
}

// @public
export interface ManagedDiskParameters extends SubResource {
    diskEncryptionSet?: DiskEncryptionSetParameters;
    securityProfile?: VMDiskSecurityProfile;
    storageAccountType?: StorageAccountTypes;
}

// @public
export type NetworkAccessPolicy = string;

// @public
export type NetworkApiVersion = string;

// @public
export interface NetworkInterfaceReference extends SubResource {
    deleteOption?: DeleteOptions;
    primary?: boolean;
}

// @public
export interface NetworkProfile {
    networkApiVersion?: NetworkApiVersion;
    networkInterfaceConfigurations?: VirtualMachineNetworkInterfaceConfiguration[];
    networkInterfaces?: NetworkInterfaceReference[];
}

// @public
export type OperatingSystemStateTypes = "Generalized" | "Specialized";

// @public
export type OperatingSystemType = string;

// @public
export type OperatingSystemTypes = "Windows" | "Linux";

// @public
export interface Operations {
    list(options?: OperationsListOptionalParams): PagedAsyncIterableIterator<ComputeOperationValue>;
}

// @public
export interface OperationsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type OperationsListResponse = ComputeOperationListResult;

// @public
export type OrchestrationMode = string;

// @public
export type OrchestrationServiceNames = string;

// @public
export type OrchestrationServiceState = string;

// @public
export type OrchestrationServiceStateAction = string;

// @public
export interface OrchestrationServiceStateInput {
    action: OrchestrationServiceStateAction;
    serviceName: OrchestrationServiceNames;
}

// @public
export interface OrchestrationServiceSummary {
    readonly serviceName?: OrchestrationServiceNames;
    readonly serviceState?: OrchestrationServiceState;
}

// @public
export interface OSDisk {
    caching?: CachingTypes;
    createOption: DiskCreateOptionTypes;
    deleteOption?: DiskDeleteOptionTypes;
    diffDiskSettings?: DiffDiskSettings;
    diskSizeGB?: number;
    encryptionSettings?: DiskEncryptionSettings;
    image?: VirtualHardDisk;
    managedDisk?: ManagedDiskParameters;
    name?: string;
    osType?: OperatingSystemTypes;
    vhd?: VirtualHardDisk;
    writeAcceleratorEnabled?: boolean;
}

// @public
export interface OSDiskImage {
    operatingSystem: OperatingSystemTypes;
}

// @public
export interface OSDiskImageEncryption extends DiskImageEncryption {
    securityProfile?: OSDiskImageSecurityProfile;
}

// @public
export interface OSDiskImageSecurityProfile {
    confidentialVMEncryptionType?: ConfidentialVMEncryptionType;
    secureVMDiskEncryptionSetId?: string;
}

// @public
export interface OSFamily {
    readonly id?: string;
    readonly location?: string;
    readonly name?: string;
    properties?: OSFamilyProperties;
    readonly type?: string;
}

// @public
export interface OSFamilyListResult {
    nextLink?: string;
    value: OSFamily[];
}

// @public
export interface OSFamilyProperties {
    readonly label?: string;
    readonly name?: string;
    readonly versions?: OSVersionPropertiesBase[];
}

// @public (undocumented)
export interface OSImageNotificationProfile {
    enable?: boolean;
    notBeforeTimeout?: string;
}

// @public
export interface OSProfile {
    adminPassword?: string;
    adminUsername?: string;
    allowExtensionOperations?: boolean;
    computerName?: string;
    customData?: string;
    linuxConfiguration?: LinuxConfiguration;
    requireGuestProvisionSignal?: boolean;
    secrets?: VaultSecretGroup[];
    windowsConfiguration?: WindowsConfiguration;
}

// @public
export interface OSProfileProvisioningData {
    adminPassword?: string;
    customData?: string;
}

// @public
export interface OSVersion {
    readonly id?: string;
    readonly location?: string;
    readonly name?: string;
    properties?: OSVersionProperties;
    readonly type?: string;
}

// @public
export interface OSVersionListResult {
    nextLink?: string;
    value: OSVersion[];
}

// @public
export interface OSVersionProperties {
    readonly family?: string;
    readonly familyLabel?: string;
    readonly isActive?: boolean;
    readonly isDefault?: boolean;
    readonly label?: string;
    readonly version?: string;
}

// @public
export interface OSVersionPropertiesBase {
    readonly isActive?: boolean;
    readonly isDefault?: boolean;
    readonly label?: string;
    readonly version?: string;
}

// @public
export type PatchAssessmentState = string;

// @public
export interface PatchInstallationDetail {
    readonly classifications?: string[];
    readonly installationState?: PatchInstallationState;
    readonly kbId?: string;
    readonly name?: string;
    readonly patchId?: string;
    readonly version?: string;
}

// @public
export type PatchInstallationState = string;

// @public
export type PatchOperationStatus = string;

// @public
export interface PatchSettings {
    assessmentMode?: WindowsPatchAssessmentMode;
    automaticByPlatformSettings?: WindowsVMGuestPatchAutomaticByPlatformSettings;
    enableHotpatching?: boolean;
    patchMode?: WindowsVMGuestPatchMode;
}

// @public
export interface PirCommunityGalleryResource {
    readonly location?: string;
    readonly name?: string;
    readonly type?: string;
    uniqueId?: string;
}

// @public
export interface PirResource {
    readonly location?: string;
    readonly name?: string;
}

// @public
export interface PirSharedGalleryResource extends PirResource {
    uniqueId?: string;
}

// @public
export interface Plan {
    name?: string;
    product?: string;
    promotionCode?: string;
    publisher?: string;
}

// @public
export interface PolicyViolation {
    category?: PolicyViolationCategory;
    details?: string;
}

// @public
export type PolicyViolationCategory = string;

// @public
export interface PriorityMixPolicy {
    baseRegularPriorityCount?: number;
    regularPriorityPercentageAboveBase?: number;
}

// @public
export interface PrivateEndpoint {
    readonly id?: string;
}

// @public
export interface PrivateEndpointConnection {
    readonly id?: string;
    readonly name?: string;
    readonly privateEndpoint?: PrivateEndpoint;
    privateLinkServiceConnectionState?: PrivateLinkServiceConnectionState;
    readonly provisioningState?: PrivateEndpointConnectionProvisioningState;
    readonly type?: string;
}

// @public
export interface PrivateEndpointConnectionListResult {
    nextLink?: string;
    value?: PrivateEndpointConnection[];
}

// @public
export type PrivateEndpointConnectionProvisioningState = string;

// @public
export type PrivateEndpointServiceConnectionStatus = string;

// @public
export interface PrivateLinkResource {
    readonly groupId?: string;
    readonly id?: string;
    readonly name?: string;
    readonly requiredMembers?: string[];
    requiredZoneNames?: string[];
    readonly type?: string;
}

// @public
export interface PrivateLinkResourceListResult {
    value?: PrivateLinkResource[];
}

// @public
export interface PrivateLinkServiceConnectionState {
    actionsRequired?: string;
    description?: string;
    status?: PrivateEndpointServiceConnectionStatus;
}

// @public
export interface PropertyUpdatesInProgress {
    targetTier?: string;
}

// @public
export type ProtocolTypes = "Http" | "Https";

// @public
export interface ProximityPlacementGroup extends Resource {
    readonly availabilitySets?: SubResourceWithColocationStatus[];
    colocationStatus?: InstanceViewStatus;
    intent?: ProximityPlacementGroupPropertiesIntent;
    proximityPlacementGroupType?: ProximityPlacementGroupType;
    readonly virtualMachines?: SubResourceWithColocationStatus[];
    readonly virtualMachineScaleSets?: SubResourceWithColocationStatus[];
    zones?: string[];
}

// @public
export interface ProximityPlacementGroupListResult {
    nextLink?: string;
    value: ProximityPlacementGroup[];
}

// @public
export interface ProximityPlacementGroupPropertiesIntent {
    vmSizes?: string[];
}

// @public
export interface ProximityPlacementGroups {
    createOrUpdate(resourceGroupName: string, proximityPlacementGroupName: string, parameters: ProximityPlacementGroup, options?: ProximityPlacementGroupsCreateOrUpdateOptionalParams): Promise<ProximityPlacementGroupsCreateOrUpdateResponse>;
    delete(resourceGroupName: string, proximityPlacementGroupName: string, options?: ProximityPlacementGroupsDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, proximityPlacementGroupName: string, options?: ProximityPlacementGroupsGetOptionalParams): Promise<ProximityPlacementGroupsGetResponse>;
    listByResourceGroup(resourceGroupName: string, options?: ProximityPlacementGroupsListByResourceGroupOptionalParams): PagedAsyncIterableIterator<ProximityPlacementGroup>;
    listBySubscription(options?: ProximityPlacementGroupsListBySubscriptionOptionalParams): PagedAsyncIterableIterator<ProximityPlacementGroup>;
    update(resourceGroupName: string, proximityPlacementGroupName: string, parameters: ProximityPlacementGroupUpdate, options?: ProximityPlacementGroupsUpdateOptionalParams): Promise<ProximityPlacementGroupsUpdateResponse>;
}

// @public
export interface ProximityPlacementGroupsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ProximityPlacementGroupsCreateOrUpdateResponse = ProximityPlacementGroup;

// @public
export interface ProximityPlacementGroupsDeleteOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface ProximityPlacementGroupsGetOptionalParams extends coreClient.OperationOptions {
    includeColocationStatus?: string;
}

// @public
export type ProximityPlacementGroupsGetResponse = ProximityPlacementGroup;

// @public
export interface ProximityPlacementGroupsListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ProximityPlacementGroupsListByResourceGroupNextResponse = ProximityPlacementGroupListResult;

// @public
export interface ProximityPlacementGroupsListByResourceGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ProximityPlacementGroupsListByResourceGroupResponse = ProximityPlacementGroupListResult;

// @public
export interface ProximityPlacementGroupsListBySubscriptionNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ProximityPlacementGroupsListBySubscriptionNextResponse = ProximityPlacementGroupListResult;

// @public
export interface ProximityPlacementGroupsListBySubscriptionOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ProximityPlacementGroupsListBySubscriptionResponse = ProximityPlacementGroupListResult;

// @public
export interface ProximityPlacementGroupsUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ProximityPlacementGroupsUpdateResponse = ProximityPlacementGroup;

// @public
export type ProximityPlacementGroupType = string;

// @public
export interface ProximityPlacementGroupUpdate extends UpdateResource {
}

// @public
export interface ProxyOnlyResource {
    readonly id?: string;
    readonly name?: string;
    readonly type?: string;
}

// @public
export interface ProxyResource {
    readonly id?: string;
    readonly name?: string;
    readonly type?: string;
}

// @public
export interface PublicIPAddressSku {
    name?: PublicIPAddressSkuName;
    tier?: PublicIPAddressSkuTier;
}

// @public
export type PublicIPAddressSkuName = string;

// @public
export type PublicIPAddressSkuTier = string;

// @public
export type PublicIPAllocationMethod = string;

// @public
export type PublicNetworkAccess = string;

// @public
export interface PurchasePlan {
    name: string;
    product: string;
    publisher: string;
}

// @public
export interface PurchasePlanAutoGenerated {
    name: string;
    product: string;
    promotionCode?: string;
    publisher: string;
}

// @public
export interface RecommendedMachineConfiguration {
    memory?: ResourceRange;
    vCPUs?: ResourceRange;
}

// @public
export interface RecoveryWalkResponse {
    readonly nextPlatformUpdateDomain?: number;
    readonly walkPerformed?: boolean;
}

// @public
export interface RegionalReplicationStatus {
    readonly details?: string;
    readonly progress?: number;
    readonly region?: string;
    readonly state?: ReplicationState;
}

// @public
export interface RegionalSharingStatus {
    details?: string;
    region?: string;
    readonly state?: SharingState;
}

// @public
export type RepairAction = string;

// @public
export type ReplicationMode = string;

// @public
export type ReplicationState = string;

// @public
export interface ReplicationStatus {
    readonly aggregatedState?: AggregatedReplicationState;
    readonly summary?: RegionalReplicationStatus[];
}

// @public
export type ReplicationStatusTypes = string;

// @public
export interface RequestRateByIntervalInput extends LogAnalyticsInputBase {
    intervalLength: IntervalInMins;
}

// @public
export interface Resource {
    readonly id?: string;
    location: string;
    readonly name?: string;
    tags?: {
        [propertyName: string]: string;
    };
    readonly type?: string;
}

// @public
export type ResourceIdentityType = "SystemAssigned" | "UserAssigned" | "SystemAssigned, UserAssigned" | "None";

// @public
export interface ResourceInstanceViewStatus {
    readonly code?: string;
    readonly displayStatus?: string;
    level?: StatusLevelTypes;
    readonly message?: string;
    readonly time?: Date;
}

// @public
export interface ResourceRange {
    max?: number;
    min?: number;
}

// @public
export interface ResourceSku {
    readonly apiVersions?: string[];
    readonly capabilities?: ResourceSkuCapabilities[];
    readonly capacity?: ResourceSkuCapacity;
    readonly costs?: ResourceSkuCosts[];
    readonly family?: string;
    readonly kind?: string;
    readonly locationInfo?: ResourceSkuLocationInfo[];
    readonly locations?: string[];
    readonly name?: string;
    readonly resourceType?: string;
    readonly restrictions?: ResourceSkuRestrictions[];
    readonly size?: string;
    readonly tier?: string;
}

// @public
export interface ResourceSkuCapabilities {
    readonly name?: string;
    readonly value?: string;
}

// @public
export interface ResourceSkuCapacity {
    readonly default?: number;
    readonly maximum?: number;
    readonly minimum?: number;
    readonly scaleType?: ResourceSkuCapacityScaleType;
}

// @public
export type ResourceSkuCapacityScaleType = "Automatic" | "Manual" | "None";

// @public
export interface ResourceSkuCosts {
    readonly extendedUnit?: string;
    readonly meterID?: string;
    readonly quantity?: number;
}

// @public
export interface ResourceSkuLocationInfo {
    readonly extendedLocations?: string[];
    readonly location?: string;
    readonly type?: ExtendedLocationType;
    readonly zoneDetails?: ResourceSkuZoneDetails[];
    readonly zones?: string[];
}

// @public
export interface ResourceSkuRestrictionInfo {
    readonly locations?: string[];
    readonly zones?: string[];
}

// @public
export interface ResourceSkuRestrictions {
    readonly reasonCode?: ResourceSkuRestrictionsReasonCode;
    readonly restrictionInfo?: ResourceSkuRestrictionInfo;
    readonly type?: ResourceSkuRestrictionsType;
    readonly values?: string[];
}

// @public
export type ResourceSkuRestrictionsReasonCode = "QuotaId" | "NotAvailableForSubscription";

// @public
export type ResourceSkuRestrictionsType = "Location" | "Zone";

// @public
export interface ResourceSkus {
    list(options?: ResourceSkusListOptionalParams): PagedAsyncIterableIterator<ResourceSku>;
}

// @public
export interface ResourceSkusListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ResourceSkusListNextResponse = ResourceSkusResult;

// @public
export interface ResourceSkusListOptionalParams extends coreClient.OperationOptions {
    filter?: string;
    includeExtendedLocations?: string;
}

// @public
export type ResourceSkusListResponse = ResourceSkusResult;

// @public
export interface ResourceSkusResult {
    nextLink?: string;
    value: ResourceSku[];
}

// @public
export interface ResourceSkuZoneDetails {
    readonly capabilities?: ResourceSkuCapabilities[];
    readonly name?: string[];
}

// @public
export interface ResourceUriList {
    nextLink?: string;
    value: string[];
}

// @public
export interface ResourceWithOptionalLocation {
    readonly id?: string;
    location?: string;
    readonly name?: string;
    tags?: {
        [propertyName: string]: string;
    };
    readonly type?: string;
}

// @public
export interface RestorePoint extends ProxyResource {
    consistencyMode?: ConsistencyModeTypes;
    excludeDisks?: ApiEntityReference[];
    readonly instanceView?: RestorePointInstanceView;
    readonly provisioningState?: string;
    readonly sourceMetadata?: RestorePointSourceMetadata;
    sourceRestorePoint?: ApiEntityReference;
    timeCreated?: Date;
}

// @public
export interface RestorePointCollection extends Resource {
    readonly provisioningState?: string;
    readonly restorePointCollectionId?: string;
    readonly restorePoints?: RestorePoint[];
    source?: RestorePointCollectionSourceProperties;
}

// @public
export type RestorePointCollectionExpandOptions = string;

// @public
export interface RestorePointCollectionListResult {
    nextLink?: string;
    value?: RestorePointCollection[];
}

// @public
export interface RestorePointCollections {
    beginDelete(resourceGroupName: string, restorePointCollectionName: string, options?: RestorePointCollectionsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, restorePointCollectionName: string, options?: RestorePointCollectionsDeleteOptionalParams): Promise<void>;
    createOrUpdate(resourceGroupName: string, restorePointCollectionName: string, parameters: RestorePointCollection, options?: RestorePointCollectionsCreateOrUpdateOptionalParams): Promise<RestorePointCollectionsCreateOrUpdateResponse>;
    get(resourceGroupName: string, restorePointCollectionName: string, options?: RestorePointCollectionsGetOptionalParams): Promise<RestorePointCollectionsGetResponse>;
    list(resourceGroupName: string, options?: RestorePointCollectionsListOptionalParams): PagedAsyncIterableIterator<RestorePointCollection>;
    listAll(options?: RestorePointCollectionsListAllOptionalParams): PagedAsyncIterableIterator<RestorePointCollection>;
    update(resourceGroupName: string, restorePointCollectionName: string, parameters: RestorePointCollectionUpdate, options?: RestorePointCollectionsUpdateOptionalParams): Promise<RestorePointCollectionsUpdateResponse>;
}

// @public
export interface RestorePointCollectionsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type RestorePointCollectionsCreateOrUpdateResponse = RestorePointCollection;

// @public
export interface RestorePointCollectionsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface RestorePointCollectionsGetOptionalParams extends coreClient.OperationOptions {
    expand?: RestorePointCollectionExpandOptions;
}

// @public
export type RestorePointCollectionsGetResponse = RestorePointCollection;

// @public
export interface RestorePointCollectionsListAllNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type RestorePointCollectionsListAllNextResponse = RestorePointCollectionListResult;

// @public
export interface RestorePointCollectionsListAllOptionalParams extends coreClient.OperationOptions {
}

// @public
export type RestorePointCollectionsListAllResponse = RestorePointCollectionListResult;

// @public
export interface RestorePointCollectionsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type RestorePointCollectionsListNextResponse = RestorePointCollectionListResult;

// @public
export interface RestorePointCollectionsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type RestorePointCollectionsListResponse = RestorePointCollectionListResult;

// @public
export interface RestorePointCollectionSourceProperties {
    id?: string;
    readonly location?: string;
}

// @public
export interface RestorePointCollectionsUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type RestorePointCollectionsUpdateResponse = RestorePointCollection;

// @public
export interface RestorePointCollectionUpdate extends UpdateResource {
    readonly provisioningState?: string;
    readonly restorePointCollectionId?: string;
    readonly restorePoints?: RestorePoint[];
    source?: RestorePointCollectionSourceProperties;
}

// @public
export type RestorePointExpandOptions = string;

// @public
export interface RestorePointInstanceView {
    diskRestorePoints?: DiskRestorePointInstanceView[];
    statuses?: InstanceViewStatus[];
}

// @public
export interface RestorePoints {
    beginCreate(resourceGroupName: string, restorePointCollectionName: string, restorePointName: string, parameters: RestorePoint, options?: RestorePointsCreateOptionalParams): Promise<PollerLike<PollOperationState<RestorePointsCreateResponse>, RestorePointsCreateResponse>>;
    beginCreateAndWait(resourceGroupName: string, restorePointCollectionName: string, restorePointName: string, parameters: RestorePoint, options?: RestorePointsCreateOptionalParams): Promise<RestorePointsCreateResponse>;
    beginDelete(resourceGroupName: string, restorePointCollectionName: string, restorePointName: string, options?: RestorePointsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, restorePointCollectionName: string, restorePointName: string, options?: RestorePointsDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, restorePointCollectionName: string, restorePointName: string, options?: RestorePointsGetOptionalParams): Promise<RestorePointsGetResponse>;
}

// @public
export interface RestorePointsCreateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type RestorePointsCreateResponse = RestorePoint;

// @public
export interface RestorePointsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface RestorePointsGetOptionalParams extends coreClient.OperationOptions {
    expand?: RestorePointExpandOptions;
}

// @public
export type RestorePointsGetResponse = RestorePoint;

// @public
export interface RestorePointSourceMetadata {
    diagnosticsProfile?: DiagnosticsProfile;
    hardwareProfile?: HardwareProfile;
    licenseType?: string;
    location?: string;
    osProfile?: OSProfile;
    securityProfile?: SecurityProfile;
    storageProfile?: RestorePointSourceVMStorageProfile;
    userData?: string;
    vmId?: string;
}

// @public
export interface RestorePointSourceVMDataDisk {
    caching?: CachingTypes;
    diskRestorePoint?: ApiEntityReference;
    diskSizeGB?: number;
    lun?: number;
    managedDisk?: ManagedDiskParameters;
    name?: string;
}

// @public
export interface RestorePointSourceVmosDisk {
    caching?: CachingTypes;
    diskRestorePoint?: ApiEntityReference;
    diskSizeGB?: number;
    encryptionSettings?: DiskEncryptionSettings;
    managedDisk?: ManagedDiskParameters;
    name?: string;
    osType?: OperatingSystemType;
}

// @public
export interface RestorePointSourceVMStorageProfile {
    dataDisks?: RestorePointSourceVMDataDisk[];
    osDisk?: RestorePointSourceVmosDisk;
}

// @public
export interface RetrieveBootDiagnosticsDataResult {
    readonly consoleScreenshotBlobUri?: string;
    readonly serialConsoleLogBlobUri?: string;
}

// @public
export interface RoleInstance {
    readonly id?: string;
    readonly location?: string;
    readonly name?: string;
    properties?: RoleInstanceProperties;
    sku?: InstanceSku;
    readonly tags?: {
        [propertyName: string]: string;
    };
    readonly type?: string;
}

// @public
export interface RoleInstanceListResult {
    nextLink?: string;
    value: RoleInstance[];
}

// @public
export interface RoleInstanceNetworkProfile {
    readonly networkInterfaces?: SubResource[];
}

// @public
export interface RoleInstanceProperties {
    instanceView?: RoleInstanceView;
    networkProfile?: RoleInstanceNetworkProfile;
}

// @public
export interface RoleInstances {
    roleInstances: string[];
}

// @public
export interface RoleInstanceView {
    readonly platformFaultDomain?: number;
    readonly platformUpdateDomain?: number;
    readonly privateId?: string;
    readonly statuses?: ResourceInstanceViewStatus[];
}

// @public
export interface RollbackStatusInfo {
    readonly failedRolledbackInstanceCount?: number;
    readonly rollbackError?: ApiError;
    readonly successfullyRolledbackInstanceCount?: number;
}

// @public
export type RollingUpgradeActionType = "Start" | "Cancel";

// @public
export interface RollingUpgradePolicy {
    enableCrossZoneUpgrade?: boolean;
    maxBatchInstancePercent?: number;
    maxSurge?: boolean;
    maxUnhealthyInstancePercent?: number;
    maxUnhealthyUpgradedInstancePercent?: number;
    pauseTimeBetweenBatches?: string;
    prioritizeUnhealthyInstances?: boolean;
    rollbackFailedInstancesOnPolicyBreach?: boolean;
}

// @public
export interface RollingUpgradeProgressInfo {
    readonly failedInstanceCount?: number;
    readonly inProgressInstanceCount?: number;
    readonly pendingInstanceCount?: number;
    readonly successfulInstanceCount?: number;
}

// @public
export interface RollingUpgradeRunningStatus {
    readonly code?: RollingUpgradeStatusCode;
    readonly lastAction?: RollingUpgradeActionType;
    readonly lastActionTime?: Date;
    readonly startTime?: Date;
}

// @public
export type RollingUpgradeStatusCode = "RollingForward" | "Cancelled" | "Completed" | "Faulted";

// @public
export interface RollingUpgradeStatusInfo extends Resource {
    readonly error?: ApiError;
    readonly policy?: RollingUpgradePolicy;
    readonly progress?: RollingUpgradeProgressInfo;
    readonly runningStatus?: RollingUpgradeRunningStatus;
}

// @public
export interface RunCommandDocument extends RunCommandDocumentBase {
    parameters?: RunCommandParameterDefinition[];
    script: string[];
}

// @public
export interface RunCommandDocumentBase {
    description: string;
    id: string;
    label: string;
    osType: OperatingSystemTypes;
    schema: string;
}

// @public
export interface RunCommandInput {
    commandId: string;
    parameters?: RunCommandInputParameter[];
    script?: string[];
}

// @public
export interface RunCommandInputParameter {
    name: string;
    value: string;
}

// @public
export interface RunCommandListResult {
    nextLink?: string;
    value: RunCommandDocumentBase[];
}

// @public
export interface RunCommandParameterDefinition {
    defaultValue?: string;
    name: string;
    required?: boolean;
    type: string;
}

// @public (undocumented)
export interface RunCommandResult {
    value?: InstanceViewStatus[];
}

// @public
export interface ScaleInPolicy {
    forceDeletion?: boolean;
    rules?: VirtualMachineScaleSetScaleInRules[];
}

// @public (undocumented)
export interface ScheduledEventsProfile {
    osImageNotificationProfile?: OSImageNotificationProfile;
    terminateNotificationProfile?: TerminateNotificationProfile;
}

// @public
export type SecurityEncryptionTypes = string;

// @public
export interface SecurityProfile {
    encryptionAtHost?: boolean;
    securityType?: SecurityTypes;
    uefiSettings?: UefiSettings;
}

// @public
export type SecurityTypes = string;

// @public
export type SelectPermissions = string;

// @public
export interface ServiceArtifactReference {
    id?: string;
}

// @public
export type SettingNames = "AutoLogon" | "FirstLogonCommands";

// @public
export interface SharedGalleries {
    get(location: string, galleryUniqueName: string, options?: SharedGalleriesGetOptionalParams): Promise<SharedGalleriesGetResponse>;
    list(location: string, options?: SharedGalleriesListOptionalParams): PagedAsyncIterableIterator<SharedGallery>;
}

// @public
export interface SharedGalleriesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SharedGalleriesGetResponse = SharedGallery;

// @public
export interface SharedGalleriesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SharedGalleriesListNextResponse = SharedGalleryList;

// @public
export interface SharedGalleriesListOptionalParams extends coreClient.OperationOptions {
    sharedTo?: SharedToValues;
}

// @public
export type SharedGalleriesListResponse = SharedGalleryList;

// @public
export interface SharedGallery extends PirSharedGalleryResource {
}

// @public
export interface SharedGalleryDataDiskImage extends SharedGalleryDiskImage {
    lun: number;
}

// @public
export interface SharedGalleryDiskImage {
    readonly diskSizeGB?: number;
    hostCaching?: SharedGalleryHostCaching;
}

// @public
export type SharedGalleryHostCaching = string;

// @public
export interface SharedGalleryImage extends PirSharedGalleryResource {
    architecture?: Architecture;
    disallowed?: Disallowed;
    endOfLifeDate?: Date;
    eula?: string;
    features?: GalleryImageFeature[];
    hyperVGeneration?: HyperVGeneration;
    identifier?: GalleryImageIdentifier;
    osState?: OperatingSystemStateTypes;
    osType?: OperatingSystemTypes;
    privacyStatementUri?: string;
    purchasePlan?: ImagePurchasePlan;
    recommended?: RecommendedMachineConfiguration;
}

// @public
export interface SharedGalleryImageList {
    nextLink?: string;
    value: SharedGalleryImage[];
}

// @public
export interface SharedGalleryImages {
    get(location: string, galleryUniqueName: string, galleryImageName: string, options?: SharedGalleryImagesGetOptionalParams): Promise<SharedGalleryImagesGetResponse>;
    list(location: string, galleryUniqueName: string, options?: SharedGalleryImagesListOptionalParams): PagedAsyncIterableIterator<SharedGalleryImage>;
}

// @public
export interface SharedGalleryImagesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SharedGalleryImagesGetResponse = SharedGalleryImage;

// @public
export interface SharedGalleryImagesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SharedGalleryImagesListNextResponse = SharedGalleryImageList;

// @public
export interface SharedGalleryImagesListOptionalParams extends coreClient.OperationOptions {
    sharedTo?: SharedToValues;
}

// @public
export type SharedGalleryImagesListResponse = SharedGalleryImageList;

// @public
export interface SharedGalleryImageVersion extends PirSharedGalleryResource {
    endOfLifeDate?: Date;
    excludeFromLatest?: boolean;
    publishedDate?: Date;
    storageProfile?: SharedGalleryImageVersionStorageProfile;
}

// @public
export interface SharedGalleryImageVersionList {
    nextLink?: string;
    value: SharedGalleryImageVersion[];
}

// @public
export interface SharedGalleryImageVersions {
    get(location: string, galleryUniqueName: string, galleryImageName: string, galleryImageVersionName: string, options?: SharedGalleryImageVersionsGetOptionalParams): Promise<SharedGalleryImageVersionsGetResponse>;
    list(location: string, galleryUniqueName: string, galleryImageName: string, options?: SharedGalleryImageVersionsListOptionalParams): PagedAsyncIterableIterator<SharedGalleryImageVersion>;
}

// @public
export interface SharedGalleryImageVersionsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SharedGalleryImageVersionsGetResponse = SharedGalleryImageVersion;

// @public
export interface SharedGalleryImageVersionsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SharedGalleryImageVersionsListNextResponse = SharedGalleryImageVersionList;

// @public
export interface SharedGalleryImageVersionsListOptionalParams extends coreClient.OperationOptions {
    sharedTo?: SharedToValues;
}

// @public
export type SharedGalleryImageVersionsListResponse = SharedGalleryImageVersionList;

// @public
export interface SharedGalleryImageVersionStorageProfile {
    dataDiskImages?: SharedGalleryDataDiskImage[];
    osDiskImage?: SharedGalleryOSDiskImage;
}

// @public
export interface SharedGalleryList {
    nextLink?: string;
    value: SharedGallery[];
}

// @public
export interface SharedGalleryOSDiskImage extends SharedGalleryDiskImage {
}

// @public
export type SharedToValues = string;

// @public (undocumented)
export interface ShareInfoElement {
    readonly vmUri?: string;
}

// @public
export interface SharingProfile {
    communityGalleryInfo?: CommunityGalleryInfo;
    readonly groups?: SharingProfileGroup[];
    permissions?: GallerySharingPermissionTypes;
}

// @public
export interface SharingProfileGroup {
    ids?: string[];
    type?: SharingProfileGroupTypes;
}

// @public
export type SharingProfileGroupTypes = string;

// @public
export type SharingState = string;

// @public
export interface SharingStatus {
    readonly aggregatedState?: SharingState;
    summary?: RegionalSharingStatus[];
}

// @public
export interface SharingUpdate {
    groups?: SharingProfileGroup[];
    operationType: SharingUpdateOperationTypes;
}

// @public
export type SharingUpdateOperationTypes = string;

// @public
export interface Sku {
    capacity?: number;
    name?: string;
    tier?: string;
}

// @public
export interface Snapshot extends Resource {
    completionPercent?: number;
    copyCompletionError?: CopyCompletionError;
    creationData?: CreationData;
    dataAccessAuthMode?: DataAccessAuthMode;
    diskAccessId?: string;
    readonly diskSizeBytes?: number;
    diskSizeGB?: number;
    readonly diskState?: DiskState;
    encryption?: Encryption;
    encryptionSettingsCollection?: EncryptionSettingsCollection;
    extendedLocation?: ExtendedLocation;
    hyperVGeneration?: HyperVGeneration;
    incremental?: boolean;
    readonly incrementalSnapshotFamilyId?: string;
    readonly managedBy?: string;
    networkAccessPolicy?: NetworkAccessPolicy;
    osType?: OperatingSystemTypes;
    readonly provisioningState?: string;
    publicNetworkAccess?: PublicNetworkAccess;
    purchasePlan?: PurchasePlanAutoGenerated;
    securityProfile?: DiskSecurityProfile;
    sku?: SnapshotSku;
    supportedCapabilities?: SupportedCapabilities;
    supportsHibernation?: boolean;
    readonly timeCreated?: Date;
    readonly uniqueId?: string;
}

// @public
export interface SnapshotList {
    nextLink?: string;
    value: Snapshot[];
}

// @public
export interface Snapshots {
    beginCreateOrUpdate(resourceGroupName: string, snapshotName: string, snapshot: Snapshot, options?: SnapshotsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<SnapshotsCreateOrUpdateResponse>, SnapshotsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, snapshotName: string, snapshot: Snapshot, options?: SnapshotsCreateOrUpdateOptionalParams): Promise<SnapshotsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, snapshotName: string, options?: SnapshotsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, snapshotName: string, options?: SnapshotsDeleteOptionalParams): Promise<void>;
    beginGrantAccess(resourceGroupName: string, snapshotName: string, grantAccessData: GrantAccessData, options?: SnapshotsGrantAccessOptionalParams): Promise<PollerLike<PollOperationState<SnapshotsGrantAccessResponse>, SnapshotsGrantAccessResponse>>;
    beginGrantAccessAndWait(resourceGroupName: string, snapshotName: string, grantAccessData: GrantAccessData, options?: SnapshotsGrantAccessOptionalParams): Promise<SnapshotsGrantAccessResponse>;
    beginRevokeAccess(resourceGroupName: string, snapshotName: string, options?: SnapshotsRevokeAccessOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRevokeAccessAndWait(resourceGroupName: string, snapshotName: string, options?: SnapshotsRevokeAccessOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, snapshotName: string, snapshot: SnapshotUpdate, options?: SnapshotsUpdateOptionalParams): Promise<PollerLike<PollOperationState<SnapshotsUpdateResponse>, SnapshotsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, snapshotName: string, snapshot: SnapshotUpdate, options?: SnapshotsUpdateOptionalParams): Promise<SnapshotsUpdateResponse>;
    get(resourceGroupName: string, snapshotName: string, options?: SnapshotsGetOptionalParams): Promise<SnapshotsGetResponse>;
    list(options?: SnapshotsListOptionalParams): PagedAsyncIterableIterator<Snapshot>;
    listByResourceGroup(resourceGroupName: string, options?: SnapshotsListByResourceGroupOptionalParams): PagedAsyncIterableIterator<Snapshot>;
}

// @public
export interface SnapshotsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type SnapshotsCreateOrUpdateResponse = Snapshot;

// @public
export interface SnapshotsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface SnapshotsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SnapshotsGetResponse = Snapshot;

// @public
export interface SnapshotsGrantAccessOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type SnapshotsGrantAccessResponse = AccessUri;

// @public
export interface SnapshotSku {
    name?: SnapshotStorageAccountTypes;
    readonly tier?: string;
}

// @public
export interface SnapshotsListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SnapshotsListByResourceGroupNextResponse = SnapshotList;

// @public
export interface SnapshotsListByResourceGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SnapshotsListByResourceGroupResponse = SnapshotList;

// @public
export interface SnapshotsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SnapshotsListNextResponse = SnapshotList;

// @public
export interface SnapshotsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SnapshotsListResponse = SnapshotList;

// @public
export interface SnapshotsRevokeAccessOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type SnapshotStorageAccountTypes = string;

// @public
export interface SnapshotsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type SnapshotsUpdateResponse = Snapshot;

// @public
export interface SnapshotUpdate {
    dataAccessAuthMode?: DataAccessAuthMode;
    diskAccessId?: string;
    diskSizeGB?: number;
    encryption?: Encryption;
    encryptionSettingsCollection?: EncryptionSettingsCollection;
    networkAccessPolicy?: NetworkAccessPolicy;
    osType?: OperatingSystemTypes;
    publicNetworkAccess?: PublicNetworkAccess;
    sku?: SnapshotSku;
    supportedCapabilities?: SupportedCapabilities;
    supportsHibernation?: boolean;
    tags?: {
        [propertyName: string]: string;
    };
}

// @public
export interface SoftDeletePolicy {
    isSoftDeleteEnabled?: boolean;
}

// @public
export interface SourceVault {
    id?: string;
}

// @public
export interface SpotRestorePolicy {
    enabled?: boolean;
    restoreTimeout?: string;
}

// @public
export interface SshConfiguration {
    publicKeys?: SshPublicKey[];
}

// @public
export interface SshPublicKey {
    keyData?: string;
    path?: string;
}

// @public
export interface SshPublicKeyGenerateKeyPairResult {
    id: string;
    privateKey: string;
    publicKey: string;
}

// @public
export interface SshPublicKeyResource extends Resource {
    publicKey?: string;
}

// @public
export interface SshPublicKeys {
    create(resourceGroupName: string, sshPublicKeyName: string, parameters: SshPublicKeyResource, options?: SshPublicKeysCreateOptionalParams): Promise<SshPublicKeysCreateResponse>;
    delete(resourceGroupName: string, sshPublicKeyName: string, options?: SshPublicKeysDeleteOptionalParams): Promise<void>;
    generateKeyPair(resourceGroupName: string, sshPublicKeyName: string, options?: SshPublicKeysGenerateKeyPairOptionalParams): Promise<SshPublicKeysGenerateKeyPairResponse>;
    get(resourceGroupName: string, sshPublicKeyName: string, options?: SshPublicKeysGetOptionalParams): Promise<SshPublicKeysGetResponse>;
    listByResourceGroup(resourceGroupName: string, options?: SshPublicKeysListByResourceGroupOptionalParams): PagedAsyncIterableIterator<SshPublicKeyResource>;
    listBySubscription(options?: SshPublicKeysListBySubscriptionOptionalParams): PagedAsyncIterableIterator<SshPublicKeyResource>;
    update(resourceGroupName: string, sshPublicKeyName: string, parameters: SshPublicKeyUpdateResource, options?: SshPublicKeysUpdateOptionalParams): Promise<SshPublicKeysUpdateResponse>;
}

// @public
export interface SshPublicKeysCreateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SshPublicKeysCreateResponse = SshPublicKeyResource;

// @public
export interface SshPublicKeysDeleteOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface SshPublicKeysGenerateKeyPairOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SshPublicKeysGenerateKeyPairResponse = SshPublicKeyGenerateKeyPairResult;

// @public
export interface SshPublicKeysGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SshPublicKeysGetResponse = SshPublicKeyResource;

// @public
export interface SshPublicKeysGroupListResult {
    nextLink?: string;
    value: SshPublicKeyResource[];
}

// @public
export interface SshPublicKeysListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SshPublicKeysListByResourceGroupNextResponse = SshPublicKeysGroupListResult;

// @public
export interface SshPublicKeysListByResourceGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SshPublicKeysListByResourceGroupResponse = SshPublicKeysGroupListResult;

// @public
export interface SshPublicKeysListBySubscriptionNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SshPublicKeysListBySubscriptionNextResponse = SshPublicKeysGroupListResult;

// @public
export interface SshPublicKeysListBySubscriptionOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SshPublicKeysListBySubscriptionResponse = SshPublicKeysGroupListResult;

// @public
export interface SshPublicKeysUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SshPublicKeysUpdateResponse = SshPublicKeyResource;

// @public
export interface SshPublicKeyUpdateResource extends UpdateResource {
    publicKey?: string;
}

// @public
export interface StatusCodeCount {
    readonly code?: string;
    readonly count?: number;
}

// @public
export type StatusLevelTypes = "Info" | "Warning" | "Error";

// @public
export type StorageAccountType = string;

// @public
export type StorageAccountTypes = string;

// @public
export interface StorageProfile {
    dataDisks?: DataDisk[];
    diskControllerType?: DiskControllerTypes;
    imageReference?: ImageReference;
    osDisk?: OSDisk;
}

// @public (undocumented)
export interface SubResource {
    id?: string;
}

// @public (undocumented)
export interface SubResourceReadOnly {
    readonly id?: string;
}

// @public (undocumented)
export interface SubResourceWithColocationStatus extends SubResource {
    colocationStatus?: InstanceViewStatus;
}

// @public
export interface SupportedCapabilities {
    acceleratedNetwork?: boolean;
    architecture?: Architecture;
    diskControllerTypes?: string;
}

// @public
export interface SystemData {
    readonly createdAt?: Date;
    readonly lastModifiedAt?: Date;
}

// @public
export interface TargetRegion {
    encryption?: EncryptionImages;
    excludeFromLatest?: boolean;
    name: string;
    regionalReplicaCount?: number;
    storageAccountType?: StorageAccountType;
}

// @public (undocumented)
export interface TerminateNotificationProfile {
    enable?: boolean;
    notBeforeTimeout?: string;
}

// @public
export interface ThrottledRequestsInput extends LogAnalyticsInputBase {
}

// @public
export interface UefiSettings {
    secureBootEnabled?: boolean;
    vTpmEnabled?: boolean;
}

// @public
export interface UpdateDomain {
    readonly id?: string;
    readonly name?: string;
}

// @public
export interface UpdateDomainListResult {
    nextLink?: string;
    value: UpdateDomain[];
}

// @public
export interface UpdateResource {
    tags?: {
        [propertyName: string]: string;
    };
}

// @public
export interface UpdateResourceDefinition {
    readonly id?: string;
    readonly name?: string;
    tags?: {
        [propertyName: string]: string;
    };
    readonly type?: string;
}

// @public
export type UpgradeMode = "Automatic" | "Manual" | "Rolling";

// @public
export interface UpgradeOperationHistoricalStatusInfo {
    readonly location?: string;
    readonly properties?: UpgradeOperationHistoricalStatusInfoProperties;
    readonly type?: string;
}

// @public
export interface UpgradeOperationHistoricalStatusInfoProperties {
    readonly error?: ApiError;
    readonly progress?: RollingUpgradeProgressInfo;
    readonly rollbackInfo?: RollbackStatusInfo;
    readonly runningStatus?: UpgradeOperationHistoryStatus;
    readonly startedBy?: UpgradeOperationInvoker;
    readonly targetImageReference?: ImageReference;
}

// @public
export interface UpgradeOperationHistoryStatus {
    readonly code?: UpgradeState;
    readonly endTime?: Date;
    readonly startTime?: Date;
}

// @public
export type UpgradeOperationInvoker = "Unknown" | "User" | "Platform";

// @public
export interface UpgradePolicy {
    automaticOSUpgradePolicy?: AutomaticOSUpgradePolicy;
    mode?: UpgradeMode;
    rollingUpgradePolicy?: RollingUpgradePolicy;
}

// @public
export type UpgradeState = "RollingForward" | "Cancelled" | "Completed" | "Faulted";

// @public
export interface Usage {
    currentValue: number;
    limit: number;
    name: UsageName;
    unit: "Count";
}

// @public
export interface UsageListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type UsageListNextResponse = ListUsagesResult;

// @public
export interface UsageListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type UsageListResponse = ListUsagesResult;

// @public
export interface UsageName {
    localizedValue?: string;
    value?: string;
}

// @public
export interface UsageOperations {
    list(location: string, options?: UsageListOptionalParams): PagedAsyncIterableIterator<Usage>;
}

// @public (undocumented)
export interface UserArtifactManage {
    install: string;
    remove: string;
    update?: string;
}

// @public
export interface UserArtifactSettings {
    configFileName?: string;
    packageFileName?: string;
}

// @public
export interface UserArtifactSource {
    defaultConfigurationLink?: string;
    mediaLink: string;
}

// @public (undocumented)
export interface UserAssignedIdentitiesValue {
    readonly clientId?: string;
    readonly principalId?: string;
}

// @public
export interface VaultCertificate {
    certificateStore?: string;
    certificateUrl?: string;
}

// @public
export interface VaultSecretGroup {
    sourceVault?: SubResource;
    vaultCertificates?: VaultCertificate[];
}

// @public
export interface VirtualHardDisk {
    uri?: string;
}

// @public
export interface VirtualMachine extends Resource {
    additionalCapabilities?: AdditionalCapabilities;
    applicationProfile?: ApplicationProfile;
    availabilitySet?: SubResource;
    billingProfile?: BillingProfile;
    capacityReservation?: CapacityReservationProfile;
    diagnosticsProfile?: DiagnosticsProfile;
    evictionPolicy?: VirtualMachineEvictionPolicyTypes;
    extendedLocation?: ExtendedLocation;
    extensionsTimeBudget?: string;
    hardwareProfile?: HardwareProfile;
    host?: SubResource;
    hostGroup?: SubResource;
    identity?: VirtualMachineIdentity;
    readonly instanceView?: VirtualMachineInstanceView;
    licenseType?: string;
    networkProfile?: NetworkProfile;
    osProfile?: OSProfile;
    plan?: Plan;
    platformFaultDomain?: number;
    priority?: VirtualMachinePriorityTypes;
    readonly provisioningState?: string;
    proximityPlacementGroup?: SubResource;
    readonly resources?: VirtualMachineExtension[];
    scheduledEventsProfile?: ScheduledEventsProfile;
    securityProfile?: SecurityProfile;
    storageProfile?: StorageProfile;
    readonly timeCreated?: Date;
    userData?: string;
    virtualMachineScaleSet?: SubResource;
    readonly vmId?: string;
    zones?: string[];
}

// @public
export interface VirtualMachineAgentInstanceView {
    extensionHandlers?: VirtualMachineExtensionHandlerInstanceView[];
    statuses?: InstanceViewStatus[];
    vmAgentVersion?: string;
}

// @public
export interface VirtualMachineAssessPatchesResult {
    readonly assessmentActivityId?: string;
    readonly availablePatches?: VirtualMachineSoftwarePatchProperties[];
    readonly criticalAndSecurityPatchCount?: number;
    readonly error?: ApiError;
    readonly otherPatchCount?: number;
    readonly rebootPending?: boolean;
    readonly startDateTime?: Date;
    readonly status?: PatchOperationStatus;
}

// @public
export interface VirtualMachineCaptureParameters {
    destinationContainerName: string;
    overwriteVhds: boolean;
    vhdPrefix: string;
}

// @public
export interface VirtualMachineCaptureResult extends SubResource {
    readonly contentVersion?: string;
    readonly parameters?: any;
    readonly resources?: any[];
    readonly schema?: string;
}

// @public
export type VirtualMachineEvictionPolicyTypes = string;

// @public
export interface VirtualMachineExtension extends ResourceWithOptionalLocation {
    autoUpgradeMinorVersion?: boolean;
    enableAutomaticUpgrade?: boolean;
    forceUpdateTag?: string;
    instanceView?: VirtualMachineExtensionInstanceView;
    protectedSettings?: any;
    protectedSettingsFromKeyVault?: KeyVaultSecretReference;
    readonly provisioningState?: string;
    publisher?: string;
    settings?: any;
    suppressFailures?: boolean;
    typeHandlerVersion?: string;
    typePropertiesType?: string;
}

// @public
export interface VirtualMachineExtensionHandlerInstanceView {
    status?: InstanceViewStatus;
    type?: string;
    typeHandlerVersion?: string;
}

// @public
export interface VirtualMachineExtensionImage extends Resource {
    computeRole?: string;
    handlerSchema?: string;
    operatingSystem?: string;
    supportsMultipleExtensions?: boolean;
    vmScaleSetEnabled?: boolean;
}

// @public
export interface VirtualMachineExtensionImages {
    get(location: string, publisherName: string, typeParam: string, version: string, options?: VirtualMachineExtensionImagesGetOptionalParams): Promise<VirtualMachineExtensionImagesGetResponse>;
    listTypes(location: string, publisherName: string, options?: VirtualMachineExtensionImagesListTypesOptionalParams): Promise<VirtualMachineExtensionImagesListTypesResponse>;
    listVersions(location: string, publisherName: string, typeParam: string, options?: VirtualMachineExtensionImagesListVersionsOptionalParams): Promise<VirtualMachineExtensionImagesListVersionsResponse>;
}

// @public
export interface VirtualMachineExtensionImagesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineExtensionImagesGetResponse = VirtualMachineExtensionImage;

// @public
export interface VirtualMachineExtensionImagesListTypesOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineExtensionImagesListTypesResponse = VirtualMachineExtensionImage[];

// @public
export interface VirtualMachineExtensionImagesListVersionsOptionalParams extends coreClient.OperationOptions {
    filter?: string;
    // (undocumented)
    orderby?: string;
    // (undocumented)
    top?: number;
}

// @public
export type VirtualMachineExtensionImagesListVersionsResponse = VirtualMachineExtensionImage[];

// @public
export interface VirtualMachineExtensionInstanceView {
    name?: string;
    statuses?: InstanceViewStatus[];
    substatuses?: InstanceViewStatus[];
    type?: string;
    typeHandlerVersion?: string;
}

// @public
export interface VirtualMachineExtensions {
    beginCreateOrUpdate(resourceGroupName: string, vmName: string, vmExtensionName: string, extensionParameters: VirtualMachineExtension, options?: VirtualMachineExtensionsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineExtensionsCreateOrUpdateResponse>, VirtualMachineExtensionsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, vmName: string, vmExtensionName: string, extensionParameters: VirtualMachineExtension, options?: VirtualMachineExtensionsCreateOrUpdateOptionalParams): Promise<VirtualMachineExtensionsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, vmName: string, vmExtensionName: string, options?: VirtualMachineExtensionsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, vmName: string, vmExtensionName: string, options?: VirtualMachineExtensionsDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, vmName: string, vmExtensionName: string, extensionParameters: VirtualMachineExtensionUpdate, options?: VirtualMachineExtensionsUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineExtensionsUpdateResponse>, VirtualMachineExtensionsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, vmName: string, vmExtensionName: string, extensionParameters: VirtualMachineExtensionUpdate, options?: VirtualMachineExtensionsUpdateOptionalParams): Promise<VirtualMachineExtensionsUpdateResponse>;
    get(resourceGroupName: string, vmName: string, vmExtensionName: string, options?: VirtualMachineExtensionsGetOptionalParams): Promise<VirtualMachineExtensionsGetResponse>;
    list(resourceGroupName: string, vmName: string, options?: VirtualMachineExtensionsListOptionalParams): Promise<VirtualMachineExtensionsListResponse>;
}

// @public
export interface VirtualMachineExtensionsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineExtensionsCreateOrUpdateResponse = VirtualMachineExtension;

// @public
export interface VirtualMachineExtensionsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineExtensionsGetOptionalParams extends coreClient.OperationOptions {
    expand?: string;
}

// @public
export type VirtualMachineExtensionsGetResponse = VirtualMachineExtension;

// @public
export interface VirtualMachineExtensionsListOptionalParams extends coreClient.OperationOptions {
    expand?: string;
}

// @public
export type VirtualMachineExtensionsListResponse = VirtualMachineExtensionsListResult;

// @public
export interface VirtualMachineExtensionsListResult {
    value?: VirtualMachineExtension[];
}

// @public
export interface VirtualMachineExtensionsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineExtensionsUpdateResponse = VirtualMachineExtension;

// @public
export interface VirtualMachineExtensionUpdate extends UpdateResource {
    autoUpgradeMinorVersion?: boolean;
    enableAutomaticUpgrade?: boolean;
    forceUpdateTag?: string;
    protectedSettings?: any;
    protectedSettingsFromKeyVault?: KeyVaultSecretReference;
    publisher?: string;
    settings?: any;
    suppressFailures?: boolean;
    type?: string;
    typeHandlerVersion?: string;
}

// @public
export interface VirtualMachineHealthStatus {
    readonly status?: InstanceViewStatus;
}

// @public
export interface VirtualMachineIdentity {
    readonly principalId?: string;
    readonly tenantId?: string;
    type?: ResourceIdentityType;
    userAssignedIdentities?: {
        [propertyName: string]: UserAssignedIdentitiesValue;
    };
}

// @public
export interface VirtualMachineImage extends VirtualMachineImageResource {
    architecture?: ArchitectureTypes;
    automaticOSUpgradeProperties?: AutomaticOSUpgradeProperties;
    // (undocumented)
    dataDiskImages?: DataDiskImage[];
    disallowed?: DisallowedConfiguration;
    // (undocumented)
    features?: VirtualMachineImageFeature[];
    hyperVGeneration?: HyperVGenerationTypes;
    imageDeprecationStatus?: ImageDeprecationStatus;
    osDiskImage?: OSDiskImage;
    plan?: PurchasePlan;
}

// @public
export interface VirtualMachineImageFeature {
    name?: string;
    value?: string;
}

// @public
export interface VirtualMachineImageResource extends SubResource {
    extendedLocation?: ExtendedLocation;
    location: string;
    name: string;
    tags?: {
        [propertyName: string]: string;
    };
}

// @public
export interface VirtualMachineImages {
    get(location: string, publisherName: string, offer: string, skus: string, version: string, options?: VirtualMachineImagesGetOptionalParams): Promise<VirtualMachineImagesGetResponse>;
    list(location: string, publisherName: string, offer: string, skus: string, options?: VirtualMachineImagesListOptionalParams): Promise<VirtualMachineImagesListResponse>;
    listByEdgeZone(location: string, edgeZone: string, options?: VirtualMachineImagesListByEdgeZoneOptionalParams): Promise<VirtualMachineImagesListByEdgeZoneResponse>;
    listOffers(location: string, publisherName: string, options?: VirtualMachineImagesListOffersOptionalParams): Promise<VirtualMachineImagesListOffersResponse>;
    listPublishers(location: string, options?: VirtualMachineImagesListPublishersOptionalParams): Promise<VirtualMachineImagesListPublishersResponse>;
    listSkus(location: string, publisherName: string, offer: string, options?: VirtualMachineImagesListSkusOptionalParams): Promise<VirtualMachineImagesListSkusResponse>;
}

// @public
export interface VirtualMachineImagesEdgeZone {
    get(location: string, edgeZone: string, publisherName: string, offer: string, skus: string, version: string, options?: VirtualMachineImagesEdgeZoneGetOptionalParams): Promise<VirtualMachineImagesEdgeZoneGetResponse>;
    list(location: string, edgeZone: string, publisherName: string, offer: string, skus: string, options?: VirtualMachineImagesEdgeZoneListOptionalParams): Promise<VirtualMachineImagesEdgeZoneListResponse>;
    listOffers(location: string, edgeZone: string, publisherName: string, options?: VirtualMachineImagesEdgeZoneListOffersOptionalParams): Promise<VirtualMachineImagesEdgeZoneListOffersResponse>;
    listPublishers(location: string, edgeZone: string, options?: VirtualMachineImagesEdgeZoneListPublishersOptionalParams): Promise<VirtualMachineImagesEdgeZoneListPublishersResponse>;
    listSkus(location: string, edgeZone: string, publisherName: string, offer: string, options?: VirtualMachineImagesEdgeZoneListSkusOptionalParams): Promise<VirtualMachineImagesEdgeZoneListSkusResponse>;
}

// @public
export interface VirtualMachineImagesEdgeZoneGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineImagesEdgeZoneGetResponse = VirtualMachineImage;

// @public
export interface VirtualMachineImagesEdgeZoneListOffersOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineImagesEdgeZoneListOffersResponse = VirtualMachineImageResource[];

// @public
export interface VirtualMachineImagesEdgeZoneListOptionalParams extends coreClient.OperationOptions {
    expand?: string;
    orderby?: string;
    top?: number;
}

// @public
export interface VirtualMachineImagesEdgeZoneListPublishersOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineImagesEdgeZoneListPublishersResponse = VirtualMachineImageResource[];

// @public
export type VirtualMachineImagesEdgeZoneListResponse = VirtualMachineImageResource[];

// @public
export interface VirtualMachineImagesEdgeZoneListSkusOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineImagesEdgeZoneListSkusResponse = VirtualMachineImageResource[];

// @public
export interface VirtualMachineImagesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineImagesGetResponse = VirtualMachineImage;

// @public
export interface VirtualMachineImagesListByEdgeZoneOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineImagesListByEdgeZoneResponse = VmImagesInEdgeZoneListResult;

// @public
export interface VirtualMachineImagesListOffersOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineImagesListOffersResponse = VirtualMachineImageResource[];

// @public
export interface VirtualMachineImagesListOptionalParams extends coreClient.OperationOptions {
    expand?: string;
    // (undocumented)
    orderby?: string;
    // (undocumented)
    top?: number;
}

// @public
export interface VirtualMachineImagesListPublishersOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineImagesListPublishersResponse = VirtualMachineImageResource[];

// @public
export type VirtualMachineImagesListResponse = VirtualMachineImageResource[];

// @public
export interface VirtualMachineImagesListSkusOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineImagesListSkusResponse = VirtualMachineImageResource[];

// @public
export interface VirtualMachineInstallPatchesParameters {
    linuxParameters?: LinuxParameters;
    maximumDuration?: string;
    rebootSetting: VMGuestPatchRebootSetting;
    windowsParameters?: WindowsParameters;
}

// @public
export interface VirtualMachineInstallPatchesResult {
    readonly error?: ApiError;
    readonly excludedPatchCount?: number;
    readonly failedPatchCount?: number;
    readonly installationActivityId?: string;
    readonly installedPatchCount?: number;
    readonly maintenanceWindowExceeded?: boolean;
    readonly notSelectedPatchCount?: number;
    readonly patches?: PatchInstallationDetail[];
    readonly pendingPatchCount?: number;
    readonly rebootStatus?: VMGuestPatchRebootStatus;
    readonly startDateTime?: Date;
    readonly status?: PatchOperationStatus;
}

// @public
export interface VirtualMachineInstanceView {
    readonly assignedHost?: string;
    bootDiagnostics?: BootDiagnosticsInstanceView;
    computerName?: string;
    disks?: DiskInstanceView[];
    extensions?: VirtualMachineExtensionInstanceView[];
    hyperVGeneration?: HyperVGenerationType;
    maintenanceRedeployStatus?: MaintenanceRedeployStatus;
    osName?: string;
    osVersion?: string;
    patchStatus?: VirtualMachinePatchStatus;
    platformFaultDomain?: number;
    platformUpdateDomain?: number;
    rdpThumbPrint?: string;
    statuses?: InstanceViewStatus[];
    vmAgent?: VirtualMachineAgentInstanceView;
    readonly vmHealth?: VirtualMachineHealthStatus;
}

// @public
export interface VirtualMachineIpTag {
    ipTagType?: string;
    tag?: string;
}

// @public
export interface VirtualMachineListResult {
    nextLink?: string;
    value: VirtualMachine[];
}

// @public
export interface VirtualMachineNetworkInterfaceConfiguration {
    deleteOption?: DeleteOptions;
    disableTcpStateTracking?: boolean;
    dnsSettings?: VirtualMachineNetworkInterfaceDnsSettingsConfiguration;
    // (undocumented)
    dscpConfiguration?: SubResource;
    enableAcceleratedNetworking?: boolean;
    enableFpga?: boolean;
    enableIPForwarding?: boolean;
    ipConfigurations?: VirtualMachineNetworkInterfaceIPConfiguration[];
    name: string;
    networkSecurityGroup?: SubResource;
    primary?: boolean;
}

// @public
export interface VirtualMachineNetworkInterfaceDnsSettingsConfiguration {
    dnsServers?: string[];
}

// @public
export interface VirtualMachineNetworkInterfaceIPConfiguration {
    applicationGatewayBackendAddressPools?: SubResource[];
    applicationSecurityGroups?: SubResource[];
    loadBalancerBackendAddressPools?: SubResource[];
    name: string;
    primary?: boolean;
    privateIPAddressVersion?: IPVersions;
    publicIPAddressConfiguration?: VirtualMachinePublicIPAddressConfiguration;
    subnet?: SubResource;
}

// @public
export interface VirtualMachinePatchStatus {
    availablePatchSummary?: AvailablePatchSummary;
    readonly configurationStatuses?: InstanceViewStatus[];
    lastPatchInstallationSummary?: LastPatchInstallationSummary;
}

// @public
export type VirtualMachinePriorityTypes = string;

// @public
export interface VirtualMachinePublicIPAddressConfiguration {
    deleteOption?: DeleteOptions;
    dnsSettings?: VirtualMachinePublicIPAddressDnsSettingsConfiguration;
    idleTimeoutInMinutes?: number;
    ipTags?: VirtualMachineIpTag[];
    name: string;
    publicIPAddressVersion?: IPVersions;
    publicIPAllocationMethod?: PublicIPAllocationMethod;
    publicIPPrefix?: SubResource;
    sku?: PublicIPAddressSku;
}

// @public
export interface VirtualMachinePublicIPAddressDnsSettingsConfiguration {
    domainNameLabel: string;
}

// @public
export interface VirtualMachineReimageParameters {
    exactVersion?: string;
    osProfile?: OSProfileProvisioningData;
    tempDisk?: boolean;
}

// @public
export interface VirtualMachineRunCommand extends Resource {
    asyncExecution?: boolean;
    errorBlobUri?: string;
    readonly instanceView?: VirtualMachineRunCommandInstanceView;
    outputBlobUri?: string;
    parameters?: RunCommandInputParameter[];
    protectedParameters?: RunCommandInputParameter[];
    readonly provisioningState?: string;
    runAsPassword?: string;
    runAsUser?: string;
    source?: VirtualMachineRunCommandScriptSource;
    timeoutInSeconds?: number;
}

// @public
export interface VirtualMachineRunCommandInstanceView {
    endTime?: Date;
    error?: string;
    executionMessage?: string;
    executionState?: ExecutionState;
    exitCode?: number;
    output?: string;
    startTime?: Date;
    statuses?: InstanceViewStatus[];
}

// @public
export interface VirtualMachineRunCommands {
    beginCreateOrUpdate(resourceGroupName: string, vmName: string, runCommandName: string, runCommand: VirtualMachineRunCommand, options?: VirtualMachineRunCommandsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineRunCommandsCreateOrUpdateResponse>, VirtualMachineRunCommandsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, vmName: string, runCommandName: string, runCommand: VirtualMachineRunCommand, options?: VirtualMachineRunCommandsCreateOrUpdateOptionalParams): Promise<VirtualMachineRunCommandsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, vmName: string, runCommandName: string, options?: VirtualMachineRunCommandsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, vmName: string, runCommandName: string, options?: VirtualMachineRunCommandsDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, vmName: string, runCommandName: string, runCommand: VirtualMachineRunCommandUpdate, options?: VirtualMachineRunCommandsUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineRunCommandsUpdateResponse>, VirtualMachineRunCommandsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, vmName: string, runCommandName: string, runCommand: VirtualMachineRunCommandUpdate, options?: VirtualMachineRunCommandsUpdateOptionalParams): Promise<VirtualMachineRunCommandsUpdateResponse>;
    get(location: string, commandId: string, options?: VirtualMachineRunCommandsGetOptionalParams): Promise<VirtualMachineRunCommandsGetResponse>;
    getByVirtualMachine(resourceGroupName: string, vmName: string, runCommandName: string, options?: VirtualMachineRunCommandsGetByVirtualMachineOptionalParams): Promise<VirtualMachineRunCommandsGetByVirtualMachineResponse>;
    list(location: string, options?: VirtualMachineRunCommandsListOptionalParams): PagedAsyncIterableIterator<RunCommandDocumentBase>;
    listByVirtualMachine(resourceGroupName: string, vmName: string, options?: VirtualMachineRunCommandsListByVirtualMachineOptionalParams): PagedAsyncIterableIterator<VirtualMachineRunCommand>;
}

// @public
export interface VirtualMachineRunCommandsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineRunCommandsCreateOrUpdateResponse = VirtualMachineRunCommand;

// @public
export interface VirtualMachineRunCommandScriptSource {
    commandId?: string;
    script?: string;
    scriptUri?: string;
}

// @public
export interface VirtualMachineRunCommandsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineRunCommandsGetByVirtualMachineOptionalParams extends coreClient.OperationOptions {
    expand?: string;
}

// @public
export type VirtualMachineRunCommandsGetByVirtualMachineResponse = VirtualMachineRunCommand;

// @public
export interface VirtualMachineRunCommandsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineRunCommandsGetResponse = RunCommandDocument;

// @public
export interface VirtualMachineRunCommandsListByVirtualMachineNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineRunCommandsListByVirtualMachineNextResponse = VirtualMachineRunCommandsListResult;

// @public
export interface VirtualMachineRunCommandsListByVirtualMachineOptionalParams extends coreClient.OperationOptions {
    expand?: string;
}

// @public
export type VirtualMachineRunCommandsListByVirtualMachineResponse = VirtualMachineRunCommandsListResult;

// @public
export interface VirtualMachineRunCommandsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineRunCommandsListNextResponse = RunCommandListResult;

// @public
export interface VirtualMachineRunCommandsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineRunCommandsListResponse = RunCommandListResult;

// @public
export interface VirtualMachineRunCommandsListResult {
    nextLink?: string;
    value: VirtualMachineRunCommand[];
}

// @public
export interface VirtualMachineRunCommandsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineRunCommandsUpdateResponse = VirtualMachineRunCommand;

// @public
export interface VirtualMachineRunCommandUpdate extends UpdateResource {
    asyncExecution?: boolean;
    errorBlobUri?: string;
    readonly instanceView?: VirtualMachineRunCommandInstanceView;
    outputBlobUri?: string;
    parameters?: RunCommandInputParameter[];
    protectedParameters?: RunCommandInputParameter[];
    readonly provisioningState?: string;
    runAsPassword?: string;
    runAsUser?: string;
    source?: VirtualMachineRunCommandScriptSource;
    timeoutInSeconds?: number;
}

// @public
export interface VirtualMachines {
    beginAssessPatches(resourceGroupName: string, vmName: string, options?: VirtualMachinesAssessPatchesOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachinesAssessPatchesResponse>, VirtualMachinesAssessPatchesResponse>>;
    beginAssessPatchesAndWait(resourceGroupName: string, vmName: string, options?: VirtualMachinesAssessPatchesOptionalParams): Promise<VirtualMachinesAssessPatchesResponse>;
    beginCapture(resourceGroupName: string, vmName: string, parameters: VirtualMachineCaptureParameters, options?: VirtualMachinesCaptureOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachinesCaptureResponse>, VirtualMachinesCaptureResponse>>;
    beginCaptureAndWait(resourceGroupName: string, vmName: string, parameters: VirtualMachineCaptureParameters, options?: VirtualMachinesCaptureOptionalParams): Promise<VirtualMachinesCaptureResponse>;
    beginConvertToManagedDisks(resourceGroupName: string, vmName: string, options?: VirtualMachinesConvertToManagedDisksOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginConvertToManagedDisksAndWait(resourceGroupName: string, vmName: string, options?: VirtualMachinesConvertToManagedDisksOptionalParams): Promise<void>;
    beginCreateOrUpdate(resourceGroupName: string, vmName: string, parameters: VirtualMachine, options?: VirtualMachinesCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachinesCreateOrUpdateResponse>, VirtualMachinesCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, vmName: string, parameters: VirtualMachine, options?: VirtualMachinesCreateOrUpdateOptionalParams): Promise<VirtualMachinesCreateOrUpdateResponse>;
    beginDeallocate(resourceGroupName: string, vmName: string, options?: VirtualMachinesDeallocateOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeallocateAndWait(resourceGroupName: string, vmName: string, options?: VirtualMachinesDeallocateOptionalParams): Promise<void>;
    beginDelete(resourceGroupName: string, vmName: string, options?: VirtualMachinesDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, vmName: string, options?: VirtualMachinesDeleteOptionalParams): Promise<void>;
    beginInstallPatches(resourceGroupName: string, vmName: string, installPatchesInput: VirtualMachineInstallPatchesParameters, options?: VirtualMachinesInstallPatchesOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachinesInstallPatchesResponse>, VirtualMachinesInstallPatchesResponse>>;
    beginInstallPatchesAndWait(resourceGroupName: string, vmName: string, installPatchesInput: VirtualMachineInstallPatchesParameters, options?: VirtualMachinesInstallPatchesOptionalParams): Promise<VirtualMachinesInstallPatchesResponse>;
    beginPerformMaintenance(resourceGroupName: string, vmName: string, options?: VirtualMachinesPerformMaintenanceOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginPerformMaintenanceAndWait(resourceGroupName: string, vmName: string, options?: VirtualMachinesPerformMaintenanceOptionalParams): Promise<void>;
    beginPowerOff(resourceGroupName: string, vmName: string, options?: VirtualMachinesPowerOffOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginPowerOffAndWait(resourceGroupName: string, vmName: string, options?: VirtualMachinesPowerOffOptionalParams): Promise<void>;
    beginReapply(resourceGroupName: string, vmName: string, options?: VirtualMachinesReapplyOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginReapplyAndWait(resourceGroupName: string, vmName: string, options?: VirtualMachinesReapplyOptionalParams): Promise<void>;
    beginRedeploy(resourceGroupName: string, vmName: string, options?: VirtualMachinesRedeployOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRedeployAndWait(resourceGroupName: string, vmName: string, options?: VirtualMachinesRedeployOptionalParams): Promise<void>;
    beginReimage(resourceGroupName: string, vmName: string, options?: VirtualMachinesReimageOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginReimageAndWait(resourceGroupName: string, vmName: string, options?: VirtualMachinesReimageOptionalParams): Promise<void>;
    beginRestart(resourceGroupName: string, vmName: string, options?: VirtualMachinesRestartOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRestartAndWait(resourceGroupName: string, vmName: string, options?: VirtualMachinesRestartOptionalParams): Promise<void>;
    beginRunCommand(resourceGroupName: string, vmName: string, parameters: RunCommandInput, options?: VirtualMachinesRunCommandOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachinesRunCommandResponse>, VirtualMachinesRunCommandResponse>>;
    beginRunCommandAndWait(resourceGroupName: string, vmName: string, parameters: RunCommandInput, options?: VirtualMachinesRunCommandOptionalParams): Promise<VirtualMachinesRunCommandResponse>;
    beginStart(resourceGroupName: string, vmName: string, options?: VirtualMachinesStartOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginStartAndWait(resourceGroupName: string, vmName: string, options?: VirtualMachinesStartOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, vmName: string, parameters: VirtualMachineUpdate, options?: VirtualMachinesUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachinesUpdateResponse>, VirtualMachinesUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, vmName: string, parameters: VirtualMachineUpdate, options?: VirtualMachinesUpdateOptionalParams): Promise<VirtualMachinesUpdateResponse>;
    generalize(resourceGroupName: string, vmName: string, options?: VirtualMachinesGeneralizeOptionalParams): Promise<void>;
    get(resourceGroupName: string, vmName: string, options?: VirtualMachinesGetOptionalParams): Promise<VirtualMachinesGetResponse>;
    instanceView(resourceGroupName: string, vmName: string, options?: VirtualMachinesInstanceViewOptionalParams): Promise<VirtualMachinesInstanceViewResponse>;
    list(resourceGroupName: string, options?: VirtualMachinesListOptionalParams): PagedAsyncIterableIterator<VirtualMachine>;
    listAll(options?: VirtualMachinesListAllOptionalParams): PagedAsyncIterableIterator<VirtualMachine>;
    listAvailableSizes(resourceGroupName: string, vmName: string, options?: VirtualMachinesListAvailableSizesOptionalParams): PagedAsyncIterableIterator<VirtualMachineSize>;
    listByLocation(location: string, options?: VirtualMachinesListByLocationOptionalParams): PagedAsyncIterableIterator<VirtualMachine>;
    retrieveBootDiagnosticsData(resourceGroupName: string, vmName: string, options?: VirtualMachinesRetrieveBootDiagnosticsDataOptionalParams): Promise<VirtualMachinesRetrieveBootDiagnosticsDataResponse>;
    simulateEviction(resourceGroupName: string, vmName: string, options?: VirtualMachinesSimulateEvictionOptionalParams): Promise<void>;
}

// @public
export interface VirtualMachinesAssessPatchesOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachinesAssessPatchesResponse = VirtualMachineAssessPatchesResult;

// @public
export interface VirtualMachineScaleSet extends Resource {
    additionalCapabilities?: AdditionalCapabilities;
    automaticRepairsPolicy?: AutomaticRepairsPolicy;
    constrainedMaximumCapacity?: boolean;
    doNotRunExtensionsOnOverprovisionedVMs?: boolean;
    extendedLocation?: ExtendedLocation;
    hostGroup?: SubResource;
    identity?: VirtualMachineScaleSetIdentity;
    orchestrationMode?: OrchestrationMode;
    overprovision?: boolean;
    plan?: Plan;
    platformFaultDomainCount?: number;
    priorityMixPolicy?: PriorityMixPolicy;
    readonly provisioningState?: string;
    proximityPlacementGroup?: SubResource;
    scaleInPolicy?: ScaleInPolicy;
    singlePlacementGroup?: boolean;
    sku?: Sku;
    spotRestorePolicy?: SpotRestorePolicy;
    readonly timeCreated?: Date;
    readonly uniqueId?: string;
    upgradePolicy?: UpgradePolicy;
    virtualMachineProfile?: VirtualMachineScaleSetVMProfile;
    zoneBalance?: boolean;
    zones?: string[];
}

// @public
export interface VirtualMachineScaleSetDataDisk {
    caching?: CachingTypes;
    createOption: DiskCreateOptionTypes;
    deleteOption?: DiskDeleteOptionTypes;
    diskIopsReadWrite?: number;
    diskMBpsReadWrite?: number;
    diskSizeGB?: number;
    lun: number;
    managedDisk?: VirtualMachineScaleSetManagedDiskParameters;
    name?: string;
    writeAcceleratorEnabled?: boolean;
}

// @public
export interface VirtualMachineScaleSetExtension extends SubResourceReadOnly {
    autoUpgradeMinorVersion?: boolean;
    enableAutomaticUpgrade?: boolean;
    forceUpdateTag?: string;
    name?: string;
    protectedSettings?: any;
    protectedSettingsFromKeyVault?: KeyVaultSecretReference;
    provisionAfterExtensions?: string[];
    readonly provisioningState?: string;
    publisher?: string;
    settings?: any;
    suppressFailures?: boolean;
    readonly type?: string;
    typeHandlerVersion?: string;
    typePropertiesType?: string;
}

// @public
export interface VirtualMachineScaleSetExtensionListResult {
    nextLink?: string;
    value: VirtualMachineScaleSetExtension[];
}

// @public
export interface VirtualMachineScaleSetExtensionProfile {
    extensions?: VirtualMachineScaleSetExtension[];
    extensionsTimeBudget?: string;
}

// @public
export interface VirtualMachineScaleSetExtensions {
    beginCreateOrUpdate(resourceGroupName: string, vmScaleSetName: string, vmssExtensionName: string, extensionParameters: VirtualMachineScaleSetExtension, options?: VirtualMachineScaleSetExtensionsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineScaleSetExtensionsCreateOrUpdateResponse>, VirtualMachineScaleSetExtensionsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, vmScaleSetName: string, vmssExtensionName: string, extensionParameters: VirtualMachineScaleSetExtension, options?: VirtualMachineScaleSetExtensionsCreateOrUpdateOptionalParams): Promise<VirtualMachineScaleSetExtensionsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, vmScaleSetName: string, vmssExtensionName: string, options?: VirtualMachineScaleSetExtensionsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, vmScaleSetName: string, vmssExtensionName: string, options?: VirtualMachineScaleSetExtensionsDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, vmScaleSetName: string, vmssExtensionName: string, extensionParameters: VirtualMachineScaleSetExtensionUpdate, options?: VirtualMachineScaleSetExtensionsUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineScaleSetExtensionsUpdateResponse>, VirtualMachineScaleSetExtensionsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, vmScaleSetName: string, vmssExtensionName: string, extensionParameters: VirtualMachineScaleSetExtensionUpdate, options?: VirtualMachineScaleSetExtensionsUpdateOptionalParams): Promise<VirtualMachineScaleSetExtensionsUpdateResponse>;
    get(resourceGroupName: string, vmScaleSetName: string, vmssExtensionName: string, options?: VirtualMachineScaleSetExtensionsGetOptionalParams): Promise<VirtualMachineScaleSetExtensionsGetResponse>;
    list(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetExtensionsListOptionalParams): PagedAsyncIterableIterator<VirtualMachineScaleSetExtension>;
}

// @public
export interface VirtualMachineScaleSetExtensionsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineScaleSetExtensionsCreateOrUpdateResponse = VirtualMachineScaleSetExtension;

// @public
export interface VirtualMachineScaleSetExtensionsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetExtensionsGetOptionalParams extends coreClient.OperationOptions {
    expand?: string;
}

// @public
export type VirtualMachineScaleSetExtensionsGetResponse = VirtualMachineScaleSetExtension;

// @public
export interface VirtualMachineScaleSetExtensionsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetExtensionsListNextResponse = VirtualMachineScaleSetExtensionListResult;

// @public
export interface VirtualMachineScaleSetExtensionsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetExtensionsListResponse = VirtualMachineScaleSetExtensionListResult;

// @public
export interface VirtualMachineScaleSetExtensionsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineScaleSetExtensionsUpdateResponse = VirtualMachineScaleSetExtension;

// @public
export interface VirtualMachineScaleSetExtensionUpdate extends SubResourceReadOnly {
    autoUpgradeMinorVersion?: boolean;
    enableAutomaticUpgrade?: boolean;
    forceUpdateTag?: string;
    readonly name?: string;
    protectedSettings?: any;
    protectedSettingsFromKeyVault?: KeyVaultSecretReference;
    provisionAfterExtensions?: string[];
    readonly provisioningState?: string;
    publisher?: string;
    settings?: any;
    suppressFailures?: boolean;
    readonly type?: string;
    typeHandlerVersion?: string;
    typePropertiesType?: string;
}

// @public
export interface VirtualMachineScaleSetHardwareProfile {
    vmSizeProperties?: VMSizeProperties;
}

// @public
export interface VirtualMachineScaleSetIdentity {
    readonly principalId?: string;
    readonly tenantId?: string;
    type?: ResourceIdentityType;
    userAssignedIdentities?: {
        [propertyName: string]: UserAssignedIdentitiesValue;
    };
}

// @public
export interface VirtualMachineScaleSetInstanceView {
    readonly extensions?: VirtualMachineScaleSetVMExtensionsSummary[];
    readonly orchestrationServices?: OrchestrationServiceSummary[];
    statuses?: InstanceViewStatus[];
    readonly virtualMachine?: VirtualMachineScaleSetInstanceViewStatusesSummary;
}

// @public
export interface VirtualMachineScaleSetInstanceViewStatusesSummary {
    readonly statusesSummary?: VirtualMachineStatusCodeCount[];
}

// @public
export interface VirtualMachineScaleSetIPConfiguration extends SubResource {
    applicationGatewayBackendAddressPools?: SubResource[];
    applicationSecurityGroups?: SubResource[];
    loadBalancerBackendAddressPools?: SubResource[];
    loadBalancerInboundNatPools?: SubResource[];
    name: string;
    primary?: boolean;
    privateIPAddressVersion?: IPVersion;
    publicIPAddressConfiguration?: VirtualMachineScaleSetPublicIPAddressConfiguration;
    subnet?: ApiEntityReference;
}

// @public
export interface VirtualMachineScaleSetIpTag {
    ipTagType?: string;
    tag?: string;
}

// @public
export interface VirtualMachineScaleSetListOSUpgradeHistory {
    nextLink?: string;
    value: UpgradeOperationHistoricalStatusInfo[];
}

// @public
export interface VirtualMachineScaleSetListResult {
    nextLink?: string;
    value: VirtualMachineScaleSet[];
}

// @public
export interface VirtualMachineScaleSetListSkusResult {
    nextLink?: string;
    value: VirtualMachineScaleSetSku[];
}

// @public
export interface VirtualMachineScaleSetListWithLinkResult {
    nextLink?: string;
    value: VirtualMachineScaleSet[];
}

// @public
export interface VirtualMachineScaleSetManagedDiskParameters {
    diskEncryptionSet?: DiskEncryptionSetParameters;
    securityProfile?: VMDiskSecurityProfile;
    storageAccountType?: StorageAccountTypes;
}

// @public
export interface VirtualMachineScaleSetNetworkConfiguration extends SubResource {
    deleteOption?: DeleteOptions;
    disableTcpStateTracking?: boolean;
    dnsSettings?: VirtualMachineScaleSetNetworkConfigurationDnsSettings;
    enableAcceleratedNetworking?: boolean;
    enableFpga?: boolean;
    enableIPForwarding?: boolean;
    ipConfigurations?: VirtualMachineScaleSetIPConfiguration[];
    name: string;
    networkSecurityGroup?: SubResource;
    primary?: boolean;
}

// @public
export interface VirtualMachineScaleSetNetworkConfigurationDnsSettings {
    dnsServers?: string[];
}

// @public
export interface VirtualMachineScaleSetNetworkProfile {
    healthProbe?: ApiEntityReference;
    networkApiVersion?: NetworkApiVersion;
    networkInterfaceConfigurations?: VirtualMachineScaleSetNetworkConfiguration[];
}

// @public
export interface VirtualMachineScaleSetOSDisk {
    caching?: CachingTypes;
    createOption: DiskCreateOptionTypes;
    deleteOption?: DiskDeleteOptionTypes;
    diffDiskSettings?: DiffDiskSettings;
    diskSizeGB?: number;
    image?: VirtualHardDisk;
    managedDisk?: VirtualMachineScaleSetManagedDiskParameters;
    name?: string;
    osType?: OperatingSystemTypes;
    vhdContainers?: string[];
    writeAcceleratorEnabled?: boolean;
}

// @public
export interface VirtualMachineScaleSetOSProfile {
    adminPassword?: string;
    adminUsername?: string;
    allowExtensionOperations?: boolean;
    computerNamePrefix?: string;
    customData?: string;
    linuxConfiguration?: LinuxConfiguration;
    requireGuestProvisionSignal?: boolean;
    secrets?: VaultSecretGroup[];
    windowsConfiguration?: WindowsConfiguration;
}

// @public
export interface VirtualMachineScaleSetPublicIPAddressConfiguration {
    deleteOption?: DeleteOptions;
    dnsSettings?: VirtualMachineScaleSetPublicIPAddressConfigurationDnsSettings;
    idleTimeoutInMinutes?: number;
    ipTags?: VirtualMachineScaleSetIpTag[];
    name: string;
    publicIPAddressVersion?: IPVersion;
    publicIPPrefix?: SubResource;
    sku?: PublicIPAddressSku;
}

// @public
export interface VirtualMachineScaleSetPublicIPAddressConfigurationDnsSettings {
    domainNameLabel: string;
}

// @public
export interface VirtualMachineScaleSetReimageParameters extends VirtualMachineScaleSetVMReimageParameters {
    instanceIds?: string[];
}

// @public
export interface VirtualMachineScaleSetRollingUpgrades {
    beginCancel(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetRollingUpgradesCancelOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginCancelAndWait(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetRollingUpgradesCancelOptionalParams): Promise<void>;
    beginStartExtensionUpgrade(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetRollingUpgradesStartExtensionUpgradeOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginStartExtensionUpgradeAndWait(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetRollingUpgradesStartExtensionUpgradeOptionalParams): Promise<void>;
    beginStartOSUpgrade(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetRollingUpgradesStartOSUpgradeOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginStartOSUpgradeAndWait(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetRollingUpgradesStartOSUpgradeOptionalParams): Promise<void>;
    getLatest(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetRollingUpgradesGetLatestOptionalParams): Promise<VirtualMachineScaleSetRollingUpgradesGetLatestResponse>;
}

// @public
export interface VirtualMachineScaleSetRollingUpgradesCancelOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetRollingUpgradesGetLatestOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetRollingUpgradesGetLatestResponse = RollingUpgradeStatusInfo;

// @public
export interface VirtualMachineScaleSetRollingUpgradesStartExtensionUpgradeOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetRollingUpgradesStartOSUpgradeOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSets {
    beginCreateOrUpdate(resourceGroupName: string, vmScaleSetName: string, parameters: VirtualMachineScaleSet, options?: VirtualMachineScaleSetsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineScaleSetsCreateOrUpdateResponse>, VirtualMachineScaleSetsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, vmScaleSetName: string, parameters: VirtualMachineScaleSet, options?: VirtualMachineScaleSetsCreateOrUpdateOptionalParams): Promise<VirtualMachineScaleSetsCreateOrUpdateResponse>;
    beginDeallocate(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsDeallocateOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeallocateAndWait(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsDeallocateOptionalParams): Promise<void>;
    beginDelete(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsDeleteOptionalParams): Promise<void>;
    beginDeleteInstances(resourceGroupName: string, vmScaleSetName: string, vmInstanceIDs: VirtualMachineScaleSetVMInstanceRequiredIDs, options?: VirtualMachineScaleSetsDeleteInstancesOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteInstancesAndWait(resourceGroupName: string, vmScaleSetName: string, vmInstanceIDs: VirtualMachineScaleSetVMInstanceRequiredIDs, options?: VirtualMachineScaleSetsDeleteInstancesOptionalParams): Promise<void>;
    beginPerformMaintenance(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsPerformMaintenanceOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginPerformMaintenanceAndWait(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsPerformMaintenanceOptionalParams): Promise<void>;
    beginPowerOff(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsPowerOffOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginPowerOffAndWait(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsPowerOffOptionalParams): Promise<void>;
    beginRedeploy(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsRedeployOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRedeployAndWait(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsRedeployOptionalParams): Promise<void>;
    beginReimage(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsReimageOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginReimageAll(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsReimageAllOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginReimageAllAndWait(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsReimageAllOptionalParams): Promise<void>;
    beginReimageAndWait(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsReimageOptionalParams): Promise<void>;
    beginRestart(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsRestartOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRestartAndWait(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsRestartOptionalParams): Promise<void>;
    beginSetOrchestrationServiceState(resourceGroupName: string, vmScaleSetName: string, parameters: OrchestrationServiceStateInput, options?: VirtualMachineScaleSetsSetOrchestrationServiceStateOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginSetOrchestrationServiceStateAndWait(resourceGroupName: string, vmScaleSetName: string, parameters: OrchestrationServiceStateInput, options?: VirtualMachineScaleSetsSetOrchestrationServiceStateOptionalParams): Promise<void>;
    beginStart(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsStartOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginStartAndWait(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsStartOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, vmScaleSetName: string, parameters: VirtualMachineScaleSetUpdate, options?: VirtualMachineScaleSetsUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineScaleSetsUpdateResponse>, VirtualMachineScaleSetsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, vmScaleSetName: string, parameters: VirtualMachineScaleSetUpdate, options?: VirtualMachineScaleSetsUpdateOptionalParams): Promise<VirtualMachineScaleSetsUpdateResponse>;
    beginUpdateInstances(resourceGroupName: string, vmScaleSetName: string, vmInstanceIDs: VirtualMachineScaleSetVMInstanceRequiredIDs, options?: VirtualMachineScaleSetsUpdateInstancesOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginUpdateInstancesAndWait(resourceGroupName: string, vmScaleSetName: string, vmInstanceIDs: VirtualMachineScaleSetVMInstanceRequiredIDs, options?: VirtualMachineScaleSetsUpdateInstancesOptionalParams): Promise<void>;
    convertToSinglePlacementGroup(resourceGroupName: string, vmScaleSetName: string, parameters: VMScaleSetConvertToSinglePlacementGroupInput, options?: VirtualMachineScaleSetsConvertToSinglePlacementGroupOptionalParams): Promise<void>;
    forceRecoveryServiceFabricPlatformUpdateDomainWalk(resourceGroupName: string, vmScaleSetName: string, platformUpdateDomain: number, options?: VirtualMachineScaleSetsForceRecoveryServiceFabricPlatformUpdateDomainWalkOptionalParams): Promise<VirtualMachineScaleSetsForceRecoveryServiceFabricPlatformUpdateDomainWalkResponse>;
    get(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsGetOptionalParams): Promise<VirtualMachineScaleSetsGetResponse>;
    getInstanceView(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsGetInstanceViewOptionalParams): Promise<VirtualMachineScaleSetsGetInstanceViewResponse>;
    list(resourceGroupName: string, options?: VirtualMachineScaleSetsListOptionalParams): PagedAsyncIterableIterator<VirtualMachineScaleSet>;
    listAll(options?: VirtualMachineScaleSetsListAllOptionalParams): PagedAsyncIterableIterator<VirtualMachineScaleSet>;
    listByLocation(location: string, options?: VirtualMachineScaleSetsListByLocationOptionalParams): PagedAsyncIterableIterator<VirtualMachineScaleSet>;
    listOSUpgradeHistory(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsGetOSUpgradeHistoryOptionalParams): PagedAsyncIterableIterator<UpgradeOperationHistoricalStatusInfo>;
    listSkus(resourceGroupName: string, vmScaleSetName: string, options?: VirtualMachineScaleSetsListSkusOptionalParams): PagedAsyncIterableIterator<VirtualMachineScaleSetSku>;
}

// @public
export type VirtualMachineScaleSetScaleInRules = string;

// @public
export interface VirtualMachineScaleSetsConvertToSinglePlacementGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface VirtualMachineScaleSetsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineScaleSetsCreateOrUpdateResponse = VirtualMachineScaleSet;

// @public
export interface VirtualMachineScaleSetsDeallocateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
    vmInstanceIDs?: VirtualMachineScaleSetVMInstanceIDs;
}

// @public
export interface VirtualMachineScaleSetsDeleteInstancesOptionalParams extends coreClient.OperationOptions {
    forceDeletion?: boolean;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetsDeleteOptionalParams extends coreClient.OperationOptions {
    forceDeletion?: boolean;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetsForceRecoveryServiceFabricPlatformUpdateDomainWalkOptionalParams extends coreClient.OperationOptions {
    placementGroupId?: string;
    zone?: string;
}

// @public
export type VirtualMachineScaleSetsForceRecoveryServiceFabricPlatformUpdateDomainWalkResponse = RecoveryWalkResponse;

// @public
export interface VirtualMachineScaleSetsGetInstanceViewOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetsGetInstanceViewResponse = VirtualMachineScaleSetInstanceView;

// @public
export interface VirtualMachineScaleSetsGetOptionalParams extends coreClient.OperationOptions {
    expand?: ExpandTypesForGetVMScaleSets;
}

// @public
export interface VirtualMachineScaleSetsGetOSUpgradeHistoryNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetsGetOSUpgradeHistoryNextResponse = VirtualMachineScaleSetListOSUpgradeHistory;

// @public
export interface VirtualMachineScaleSetsGetOSUpgradeHistoryOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetsGetOSUpgradeHistoryResponse = VirtualMachineScaleSetListOSUpgradeHistory;

// @public
export type VirtualMachineScaleSetsGetResponse = VirtualMachineScaleSet;

// @public
export interface VirtualMachineScaleSetSku {
    readonly capacity?: VirtualMachineScaleSetSkuCapacity;
    readonly resourceType?: string;
    readonly sku?: Sku;
}

// @public
export interface VirtualMachineScaleSetSkuCapacity {
    readonly defaultCapacity?: number;
    readonly maximum?: number;
    readonly minimum?: number;
    readonly scaleType?: VirtualMachineScaleSetSkuScaleType;
}

// @public
export type VirtualMachineScaleSetSkuScaleType = "Automatic" | "None";

// @public
export interface VirtualMachineScaleSetsListAllNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetsListAllNextResponse = VirtualMachineScaleSetListWithLinkResult;

// @public
export interface VirtualMachineScaleSetsListAllOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetsListAllResponse = VirtualMachineScaleSetListWithLinkResult;

// @public
export interface VirtualMachineScaleSetsListByLocationNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetsListByLocationNextResponse = VirtualMachineScaleSetListResult;

// @public
export interface VirtualMachineScaleSetsListByLocationOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetsListByLocationResponse = VirtualMachineScaleSetListResult;

// @public
export interface VirtualMachineScaleSetsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetsListNextResponse = VirtualMachineScaleSetListResult;

// @public
export interface VirtualMachineScaleSetsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetsListResponse = VirtualMachineScaleSetListResult;

// @public
export interface VirtualMachineScaleSetsListSkusNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetsListSkusNextResponse = VirtualMachineScaleSetListSkusResult;

// @public
export interface VirtualMachineScaleSetsListSkusOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetsListSkusResponse = VirtualMachineScaleSetListSkusResult;

// @public
export interface VirtualMachineScaleSetsPerformMaintenanceOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
    vmInstanceIDs?: VirtualMachineScaleSetVMInstanceIDs;
}

// @public
export interface VirtualMachineScaleSetsPowerOffOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    skipShutdown?: boolean;
    updateIntervalInMs?: number;
    vmInstanceIDs?: VirtualMachineScaleSetVMInstanceIDs;
}

// @public
export interface VirtualMachineScaleSetsRedeployOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
    vmInstanceIDs?: VirtualMachineScaleSetVMInstanceIDs;
}

// @public
export interface VirtualMachineScaleSetsReimageAllOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
    vmInstanceIDs?: VirtualMachineScaleSetVMInstanceIDs;
}

// @public
export interface VirtualMachineScaleSetsReimageOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
    vmScaleSetReimageInput?: VirtualMachineScaleSetReimageParameters;
}

// @public
export interface VirtualMachineScaleSetsRestartOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
    vmInstanceIDs?: VirtualMachineScaleSetVMInstanceIDs;
}

// @public
export interface VirtualMachineScaleSetsSetOrchestrationServiceStateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetsStartOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
    vmInstanceIDs?: VirtualMachineScaleSetVMInstanceIDs;
}

// @public
export interface VirtualMachineScaleSetStorageProfile {
    dataDisks?: VirtualMachineScaleSetDataDisk[];
    // (undocumented)
    diskControllerType?: string;
    imageReference?: ImageReference;
    osDisk?: VirtualMachineScaleSetOSDisk;
}

// @public
export interface VirtualMachineScaleSetsUpdateInstancesOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineScaleSetsUpdateResponse = VirtualMachineScaleSet;

// @public
export interface VirtualMachineScaleSetUpdate extends UpdateResource {
    additionalCapabilities?: AdditionalCapabilities;
    automaticRepairsPolicy?: AutomaticRepairsPolicy;
    doNotRunExtensionsOnOverprovisionedVMs?: boolean;
    identity?: VirtualMachineScaleSetIdentity;
    overprovision?: boolean;
    plan?: Plan;
    proximityPlacementGroup?: SubResource;
    scaleInPolicy?: ScaleInPolicy;
    singlePlacementGroup?: boolean;
    sku?: Sku;
    upgradePolicy?: UpgradePolicy;
    virtualMachineProfile?: VirtualMachineScaleSetUpdateVMProfile;
}

// @public
export interface VirtualMachineScaleSetUpdateIPConfiguration extends SubResource {
    applicationGatewayBackendAddressPools?: SubResource[];
    applicationSecurityGroups?: SubResource[];
    loadBalancerBackendAddressPools?: SubResource[];
    loadBalancerInboundNatPools?: SubResource[];
    name?: string;
    primary?: boolean;
    privateIPAddressVersion?: IPVersion;
    publicIPAddressConfiguration?: VirtualMachineScaleSetUpdatePublicIPAddressConfiguration;
    subnet?: ApiEntityReference;
}

// @public
export interface VirtualMachineScaleSetUpdateNetworkConfiguration extends SubResource {
    deleteOption?: DeleteOptions;
    disableTcpStateTracking?: boolean;
    dnsSettings?: VirtualMachineScaleSetNetworkConfigurationDnsSettings;
    enableAcceleratedNetworking?: boolean;
    enableFpga?: boolean;
    enableIPForwarding?: boolean;
    ipConfigurations?: VirtualMachineScaleSetUpdateIPConfiguration[];
    name?: string;
    networkSecurityGroup?: SubResource;
    primary?: boolean;
}

// @public
export interface VirtualMachineScaleSetUpdateNetworkProfile {
    healthProbe?: ApiEntityReference;
    networkApiVersion?: NetworkApiVersion;
    networkInterfaceConfigurations?: VirtualMachineScaleSetUpdateNetworkConfiguration[];
}

// @public
export interface VirtualMachineScaleSetUpdateOSDisk {
    caching?: CachingTypes;
    deleteOption?: DiskDeleteOptionTypes;
    diskSizeGB?: number;
    image?: VirtualHardDisk;
    managedDisk?: VirtualMachineScaleSetManagedDiskParameters;
    vhdContainers?: string[];
    writeAcceleratorEnabled?: boolean;
}

// @public
export interface VirtualMachineScaleSetUpdateOSProfile {
    customData?: string;
    linuxConfiguration?: LinuxConfiguration;
    secrets?: VaultSecretGroup[];
    windowsConfiguration?: WindowsConfiguration;
}

// @public
export interface VirtualMachineScaleSetUpdatePublicIPAddressConfiguration {
    deleteOption?: DeleteOptions;
    dnsSettings?: VirtualMachineScaleSetPublicIPAddressConfigurationDnsSettings;
    idleTimeoutInMinutes?: number;
    name?: string;
    publicIPPrefix?: SubResource;
}

// @public
export interface VirtualMachineScaleSetUpdateStorageProfile {
    dataDisks?: VirtualMachineScaleSetDataDisk[];
    // (undocumented)
    diskControllerType?: string;
    imageReference?: ImageReference;
    osDisk?: VirtualMachineScaleSetUpdateOSDisk;
}

// @public
export interface VirtualMachineScaleSetUpdateVMProfile {
    billingProfile?: BillingProfile;
    diagnosticsProfile?: DiagnosticsProfile;
    extensionProfile?: VirtualMachineScaleSetExtensionProfile;
    hardwareProfile?: VirtualMachineScaleSetHardwareProfile;
    licenseType?: string;
    networkProfile?: VirtualMachineScaleSetUpdateNetworkProfile;
    osProfile?: VirtualMachineScaleSetUpdateOSProfile;
    scheduledEventsProfile?: ScheduledEventsProfile;
    securityProfile?: SecurityProfile;
    storageProfile?: VirtualMachineScaleSetUpdateStorageProfile;
    userData?: string;
}

// @public
export interface VirtualMachineScaleSetVM extends Resource {
    additionalCapabilities?: AdditionalCapabilities;
    availabilitySet?: SubResource;
    diagnosticsProfile?: DiagnosticsProfile;
    hardwareProfile?: HardwareProfile;
    identity?: VirtualMachineIdentity;
    readonly instanceId?: string;
    readonly instanceView?: VirtualMachineScaleSetVMInstanceView;
    readonly latestModelApplied?: boolean;
    licenseType?: string;
    readonly modelDefinitionApplied?: string;
    networkProfile?: NetworkProfile;
    networkProfileConfiguration?: VirtualMachineScaleSetVMNetworkProfileConfiguration;
    osProfile?: OSProfile;
    plan?: Plan;
    protectionPolicy?: VirtualMachineScaleSetVMProtectionPolicy;
    readonly provisioningState?: string;
    readonly resources?: VirtualMachineExtension[];
    securityProfile?: SecurityProfile;
    readonly sku?: Sku;
    storageProfile?: StorageProfile;
    userData?: string;
    readonly vmId?: string;
    readonly zones?: string[];
}

// @public
export interface VirtualMachineScaleSetVMExtension extends SubResourceReadOnly {
    autoUpgradeMinorVersion?: boolean;
    enableAutomaticUpgrade?: boolean;
    forceUpdateTag?: string;
    instanceView?: VirtualMachineExtensionInstanceView;
    readonly name?: string;
    protectedSettings?: any;
    protectedSettingsFromKeyVault?: KeyVaultSecretReference;
    readonly provisioningState?: string;
    publisher?: string;
    settings?: any;
    suppressFailures?: boolean;
    readonly type?: string;
    typeHandlerVersion?: string;
    typePropertiesType?: string;
}

// @public
export interface VirtualMachineScaleSetVMExtensions {
    beginCreateOrUpdate(resourceGroupName: string, vmScaleSetName: string, instanceId: string, vmExtensionName: string, extensionParameters: VirtualMachineScaleSetVMExtension, options?: VirtualMachineScaleSetVMExtensionsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineScaleSetVMExtensionsCreateOrUpdateResponse>, VirtualMachineScaleSetVMExtensionsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, vmExtensionName: string, extensionParameters: VirtualMachineScaleSetVMExtension, options?: VirtualMachineScaleSetVMExtensionsCreateOrUpdateOptionalParams): Promise<VirtualMachineScaleSetVMExtensionsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, vmScaleSetName: string, instanceId: string, vmExtensionName: string, options?: VirtualMachineScaleSetVMExtensionsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, vmExtensionName: string, options?: VirtualMachineScaleSetVMExtensionsDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, vmScaleSetName: string, instanceId: string, vmExtensionName: string, extensionParameters: VirtualMachineScaleSetVMExtensionUpdate, options?: VirtualMachineScaleSetVMExtensionsUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineScaleSetVMExtensionsUpdateResponse>, VirtualMachineScaleSetVMExtensionsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, vmExtensionName: string, extensionParameters: VirtualMachineScaleSetVMExtensionUpdate, options?: VirtualMachineScaleSetVMExtensionsUpdateOptionalParams): Promise<VirtualMachineScaleSetVMExtensionsUpdateResponse>;
    get(resourceGroupName: string, vmScaleSetName: string, instanceId: string, vmExtensionName: string, options?: VirtualMachineScaleSetVMExtensionsGetOptionalParams): Promise<VirtualMachineScaleSetVMExtensionsGetResponse>;
    list(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMExtensionsListOptionalParams): Promise<VirtualMachineScaleSetVMExtensionsListResponse>;
}

// @public
export interface VirtualMachineScaleSetVMExtensionsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineScaleSetVMExtensionsCreateOrUpdateResponse = VirtualMachineScaleSetVMExtension;

// @public
export interface VirtualMachineScaleSetVMExtensionsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetVMExtensionsGetOptionalParams extends coreClient.OperationOptions {
    expand?: string;
}

// @public
export type VirtualMachineScaleSetVMExtensionsGetResponse = VirtualMachineScaleSetVMExtension;

// @public
export interface VirtualMachineScaleSetVMExtensionsListOptionalParams extends coreClient.OperationOptions {
    expand?: string;
}

// @public
export type VirtualMachineScaleSetVMExtensionsListResponse = VirtualMachineScaleSetVMExtensionsListResult;

// @public
export interface VirtualMachineScaleSetVMExtensionsListResult {
    value?: VirtualMachineScaleSetVMExtension[];
}

// @public
export interface VirtualMachineScaleSetVMExtensionsSummary {
    readonly name?: string;
    readonly statusesSummary?: VirtualMachineStatusCodeCount[];
}

// @public
export interface VirtualMachineScaleSetVMExtensionsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineScaleSetVMExtensionsUpdateResponse = VirtualMachineScaleSetVMExtension;

// @public
export interface VirtualMachineScaleSetVMExtensionUpdate extends SubResourceReadOnly {
    autoUpgradeMinorVersion?: boolean;
    enableAutomaticUpgrade?: boolean;
    forceUpdateTag?: string;
    readonly name?: string;
    protectedSettings?: any;
    protectedSettingsFromKeyVault?: KeyVaultSecretReference;
    publisher?: string;
    settings?: any;
    suppressFailures?: boolean;
    readonly type?: string;
    typeHandlerVersion?: string;
    typePropertiesType?: string;
}

// @public
export interface VirtualMachineScaleSetVMInstanceIDs {
    instanceIds?: string[];
}

// @public
export interface VirtualMachineScaleSetVMInstanceRequiredIDs {
    instanceIds: string[];
}

// @public
export interface VirtualMachineScaleSetVMInstanceView {
    readonly assignedHost?: string;
    bootDiagnostics?: BootDiagnosticsInstanceView;
    disks?: DiskInstanceView[];
    extensions?: VirtualMachineExtensionInstanceView[];
    maintenanceRedeployStatus?: MaintenanceRedeployStatus;
    placementGroupId?: string;
    platformFaultDomain?: number;
    platformUpdateDomain?: number;
    rdpThumbPrint?: string;
    statuses?: InstanceViewStatus[];
    vmAgent?: VirtualMachineAgentInstanceView;
    readonly vmHealth?: VirtualMachineHealthStatus;
}

// @public
export interface VirtualMachineScaleSetVMListResult {
    nextLink?: string;
    value: VirtualMachineScaleSetVM[];
}

// @public
export interface VirtualMachineScaleSetVMNetworkProfileConfiguration {
    networkInterfaceConfigurations?: VirtualMachineScaleSetNetworkConfiguration[];
}

// @public
export interface VirtualMachineScaleSetVMProfile {
    applicationProfile?: ApplicationProfile;
    billingProfile?: BillingProfile;
    capacityReservation?: CapacityReservationProfile;
    diagnosticsProfile?: DiagnosticsProfile;
    evictionPolicy?: VirtualMachineEvictionPolicyTypes;
    extensionProfile?: VirtualMachineScaleSetExtensionProfile;
    hardwareProfile?: VirtualMachineScaleSetHardwareProfile;
    licenseType?: string;
    networkProfile?: VirtualMachineScaleSetNetworkProfile;
    osProfile?: VirtualMachineScaleSetOSProfile;
    priority?: VirtualMachinePriorityTypes;
    scheduledEventsProfile?: ScheduledEventsProfile;
    securityProfile?: SecurityProfile;
    serviceArtifactReference?: ServiceArtifactReference;
    storageProfile?: VirtualMachineScaleSetStorageProfile;
    userData?: string;
}

// @public
export interface VirtualMachineScaleSetVMProtectionPolicy {
    protectFromScaleIn?: boolean;
    protectFromScaleSetActions?: boolean;
}

// @public
export interface VirtualMachineScaleSetVMReimageParameters extends VirtualMachineReimageParameters {
}

// @public
export interface VirtualMachineScaleSetVMRunCommands {
    beginCreateOrUpdate(resourceGroupName: string, vmScaleSetName: string, instanceId: string, runCommandName: string, runCommand: VirtualMachineRunCommand, options?: VirtualMachineScaleSetVMRunCommandsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineScaleSetVMRunCommandsCreateOrUpdateResponse>, VirtualMachineScaleSetVMRunCommandsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, runCommandName: string, runCommand: VirtualMachineRunCommand, options?: VirtualMachineScaleSetVMRunCommandsCreateOrUpdateOptionalParams): Promise<VirtualMachineScaleSetVMRunCommandsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, vmScaleSetName: string, instanceId: string, runCommandName: string, options?: VirtualMachineScaleSetVMRunCommandsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, runCommandName: string, options?: VirtualMachineScaleSetVMRunCommandsDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, vmScaleSetName: string, instanceId: string, runCommandName: string, runCommand: VirtualMachineRunCommandUpdate, options?: VirtualMachineScaleSetVMRunCommandsUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineScaleSetVMRunCommandsUpdateResponse>, VirtualMachineScaleSetVMRunCommandsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, runCommandName: string, runCommand: VirtualMachineRunCommandUpdate, options?: VirtualMachineScaleSetVMRunCommandsUpdateOptionalParams): Promise<VirtualMachineScaleSetVMRunCommandsUpdateResponse>;
    get(resourceGroupName: string, vmScaleSetName: string, instanceId: string, runCommandName: string, options?: VirtualMachineScaleSetVMRunCommandsGetOptionalParams): Promise<VirtualMachineScaleSetVMRunCommandsGetResponse>;
    list(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMRunCommandsListOptionalParams): PagedAsyncIterableIterator<VirtualMachineRunCommand>;
}

// @public
export interface VirtualMachineScaleSetVMRunCommandsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineScaleSetVMRunCommandsCreateOrUpdateResponse = VirtualMachineRunCommand;

// @public
export interface VirtualMachineScaleSetVMRunCommandsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetVMRunCommandsGetOptionalParams extends coreClient.OperationOptions {
    expand?: string;
}

// @public
export type VirtualMachineScaleSetVMRunCommandsGetResponse = VirtualMachineRunCommand;

// @public
export interface VirtualMachineScaleSetVMRunCommandsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetVMRunCommandsListNextResponse = VirtualMachineRunCommandsListResult;

// @public
export interface VirtualMachineScaleSetVMRunCommandsListOptionalParams extends coreClient.OperationOptions {
    expand?: string;
}

// @public
export type VirtualMachineScaleSetVMRunCommandsListResponse = VirtualMachineRunCommandsListResult;

// @public
export interface VirtualMachineScaleSetVMRunCommandsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineScaleSetVMRunCommandsUpdateResponse = VirtualMachineRunCommand;

// @public
export interface VirtualMachineScaleSetVMs {
    beginDeallocate(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsDeallocateOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeallocateAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsDeallocateOptionalParams): Promise<void>;
    beginDelete(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsDeleteOptionalParams): Promise<void>;
    beginPerformMaintenance(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsPerformMaintenanceOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginPerformMaintenanceAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsPerformMaintenanceOptionalParams): Promise<void>;
    beginPowerOff(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsPowerOffOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginPowerOffAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsPowerOffOptionalParams): Promise<void>;
    beginRedeploy(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsRedeployOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRedeployAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsRedeployOptionalParams): Promise<void>;
    beginReimage(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsReimageOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginReimageAll(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsReimageAllOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginReimageAllAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsReimageAllOptionalParams): Promise<void>;
    beginReimageAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsReimageOptionalParams): Promise<void>;
    beginRestart(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsRestartOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRestartAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsRestartOptionalParams): Promise<void>;
    beginRunCommand(resourceGroupName: string, vmScaleSetName: string, instanceId: string, parameters: RunCommandInput, options?: VirtualMachineScaleSetVMsRunCommandOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineScaleSetVMsRunCommandResponse>, VirtualMachineScaleSetVMsRunCommandResponse>>;
    beginRunCommandAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, parameters: RunCommandInput, options?: VirtualMachineScaleSetVMsRunCommandOptionalParams): Promise<VirtualMachineScaleSetVMsRunCommandResponse>;
    beginStart(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsStartOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginStartAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsStartOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, vmScaleSetName: string, instanceId: string, parameters: VirtualMachineScaleSetVM, options?: VirtualMachineScaleSetVMsUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualMachineScaleSetVMsUpdateResponse>, VirtualMachineScaleSetVMsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, vmScaleSetName: string, instanceId: string, parameters: VirtualMachineScaleSetVM, options?: VirtualMachineScaleSetVMsUpdateOptionalParams): Promise<VirtualMachineScaleSetVMsUpdateResponse>;
    get(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsGetOptionalParams): Promise<VirtualMachineScaleSetVMsGetResponse>;
    getInstanceView(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsGetInstanceViewOptionalParams): Promise<VirtualMachineScaleSetVMsGetInstanceViewResponse>;
    list(resourceGroupName: string, virtualMachineScaleSetName: string, options?: VirtualMachineScaleSetVMsListOptionalParams): PagedAsyncIterableIterator<VirtualMachineScaleSetVM>;
    retrieveBootDiagnosticsData(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsRetrieveBootDiagnosticsDataOptionalParams): Promise<VirtualMachineScaleSetVMsRetrieveBootDiagnosticsDataResponse>;
    simulateEviction(resourceGroupName: string, vmScaleSetName: string, instanceId: string, options?: VirtualMachineScaleSetVMsSimulateEvictionOptionalParams): Promise<void>;
}

// @public
export interface VirtualMachineScaleSetVMsDeallocateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetVMsDeleteOptionalParams extends coreClient.OperationOptions {
    forceDeletion?: boolean;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetVMsGetInstanceViewOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetVMsGetInstanceViewResponse = VirtualMachineScaleSetVMInstanceView;

// @public
export interface VirtualMachineScaleSetVMsGetOptionalParams extends coreClient.OperationOptions {
    expand?: InstanceViewTypes;
}

// @public
export type VirtualMachineScaleSetVMsGetResponse = VirtualMachineScaleSetVM;

// @public
export interface VirtualMachineScaleSetVMsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineScaleSetVMsListNextResponse = VirtualMachineScaleSetVMListResult;

// @public
export interface VirtualMachineScaleSetVMsListOptionalParams extends coreClient.OperationOptions {
    expand?: string;
    filter?: string;
    select?: string;
}

// @public
export type VirtualMachineScaleSetVMsListResponse = VirtualMachineScaleSetVMListResult;

// @public
export interface VirtualMachineScaleSetVMsPerformMaintenanceOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetVMsPowerOffOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    skipShutdown?: boolean;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetVMsRedeployOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetVMsReimageAllOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetVMsReimageOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
    vmScaleSetVMReimageInput?: VirtualMachineScaleSetVMReimageParameters;
}

// @public
export interface VirtualMachineScaleSetVMsRestartOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetVMsRetrieveBootDiagnosticsDataOptionalParams extends coreClient.OperationOptions {
    sasUriExpirationTimeInMinutes?: number;
}

// @public
export type VirtualMachineScaleSetVMsRetrieveBootDiagnosticsDataResponse = RetrieveBootDiagnosticsDataResult;

// @public
export interface VirtualMachineScaleSetVMsRunCommandOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineScaleSetVMsRunCommandResponse = RunCommandResult;

// @public
export interface VirtualMachineScaleSetVMsSimulateEvictionOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface VirtualMachineScaleSetVMsStartOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineScaleSetVMsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachineScaleSetVMsUpdateResponse = VirtualMachineScaleSetVM;

// @public
export interface VirtualMachinesCaptureOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachinesCaptureResponse = VirtualMachineCaptureResult;

// @public
export interface VirtualMachinesConvertToManagedDisksOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachinesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachinesCreateOrUpdateResponse = VirtualMachine;

// @public
export interface VirtualMachinesDeallocateOptionalParams extends coreClient.OperationOptions {
    hibernate?: boolean;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachinesDeleteOptionalParams extends coreClient.OperationOptions {
    forceDeletion?: boolean;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachinesGeneralizeOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface VirtualMachinesGetOptionalParams extends coreClient.OperationOptions {
    expand?: InstanceViewTypes;
}

// @public
export type VirtualMachinesGetResponse = VirtualMachine;

// @public
export interface VirtualMachinesInstallPatchesOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachinesInstallPatchesResponse = VirtualMachineInstallPatchesResult;

// @public
export interface VirtualMachinesInstanceViewOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachinesInstanceViewResponse = VirtualMachineInstanceView;

// @public
export interface VirtualMachineSize {
    maxDataDiskCount?: number;
    memoryInMB?: number;
    name?: string;
    numberOfCores?: number;
    osDiskSizeInMB?: number;
    resourceDiskSizeInMB?: number;
}

// @public
export interface VirtualMachineSizeListResult {
    value?: VirtualMachineSize[];
}

// @public
export interface VirtualMachineSizes {
    list(location: string, options?: VirtualMachineSizesListOptionalParams): PagedAsyncIterableIterator<VirtualMachineSize>;
}

// @public
export interface VirtualMachineSizesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachineSizesListResponse = VirtualMachineSizeListResult;

// @public
export type VirtualMachineSizeTypes = string;

// @public
export interface VirtualMachinesListAllNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachinesListAllNextResponse = VirtualMachineListResult;

// @public
export interface VirtualMachinesListAllOptionalParams extends coreClient.OperationOptions {
    filter?: string;
    statusOnly?: string;
}

// @public
export type VirtualMachinesListAllResponse = VirtualMachineListResult;

// @public
export interface VirtualMachinesListAvailableSizesOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachinesListAvailableSizesResponse = VirtualMachineSizeListResult;

// @public
export interface VirtualMachinesListByLocationNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachinesListByLocationNextResponse = VirtualMachineListResult;

// @public
export interface VirtualMachinesListByLocationOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachinesListByLocationResponse = VirtualMachineListResult;

// @public
export interface VirtualMachinesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualMachinesListNextResponse = VirtualMachineListResult;

// @public
export interface VirtualMachinesListOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type VirtualMachinesListResponse = VirtualMachineListResult;

// @public
export interface VirtualMachineSoftwarePatchProperties {
    readonly activityId?: string;
    readonly assessmentState?: PatchAssessmentState;
    readonly classifications?: string[];
    readonly kbId?: string;
    readonly lastModifiedDateTime?: Date;
    readonly name?: string;
    readonly patchId?: string;
    readonly publishedDate?: Date;
    readonly rebootBehavior?: VMGuestPatchRebootBehavior;
    readonly version?: string;
}

// @public
export interface VirtualMachinesPerformMaintenanceOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachinesPowerOffOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    skipShutdown?: boolean;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachinesReapplyOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachinesRedeployOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachinesReimageOptionalParams extends coreClient.OperationOptions {
    parameters?: VirtualMachineReimageParameters;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachinesRestartOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachinesRetrieveBootDiagnosticsDataOptionalParams extends coreClient.OperationOptions {
    sasUriExpirationTimeInMinutes?: number;
}

// @public
export type VirtualMachinesRetrieveBootDiagnosticsDataResponse = RetrieveBootDiagnosticsDataResult;

// @public
export interface VirtualMachinesRunCommandOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachinesRunCommandResponse = RunCommandResult;

// @public
export interface VirtualMachinesSimulateEvictionOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface VirtualMachinesStartOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualMachineStatusCodeCount {
    readonly code?: string;
    readonly count?: number;
}

// @public
export interface VirtualMachinesUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualMachinesUpdateResponse = VirtualMachine;

// @public
export interface VirtualMachineUpdate extends UpdateResource {
    additionalCapabilities?: AdditionalCapabilities;
    applicationProfile?: ApplicationProfile;
    availabilitySet?: SubResource;
    billingProfile?: BillingProfile;
    capacityReservation?: CapacityReservationProfile;
    diagnosticsProfile?: DiagnosticsProfile;
    evictionPolicy?: VirtualMachineEvictionPolicyTypes;
    extensionsTimeBudget?: string;
    hardwareProfile?: HardwareProfile;
    host?: SubResource;
    hostGroup?: SubResource;
    identity?: VirtualMachineIdentity;
    readonly instanceView?: VirtualMachineInstanceView;
    licenseType?: string;
    networkProfile?: NetworkProfile;
    osProfile?: OSProfile;
    plan?: Plan;
    platformFaultDomain?: number;
    priority?: VirtualMachinePriorityTypes;
    readonly provisioningState?: string;
    proximityPlacementGroup?: SubResource;
    scheduledEventsProfile?: ScheduledEventsProfile;
    securityProfile?: SecurityProfile;
    storageProfile?: StorageProfile;
    readonly timeCreated?: Date;
    userData?: string;
    virtualMachineScaleSet?: SubResource;
    readonly vmId?: string;
    zones?: string[];
}

// @public
export interface VMDiskSecurityProfile {
    diskEncryptionSet?: DiskEncryptionSetParameters;
    securityEncryptionType?: SecurityEncryptionTypes;
}

// @public
export type VmDiskTypes = string;

// @public
export interface VMGalleryApplication {
    configurationReference?: string;
    enableAutomaticUpgrade?: boolean;
    order?: number;
    packageReferenceId: string;
    tags?: string;
    treatFailureAsDeploymentFailure?: boolean;
}

// @public
export type VMGuestPatchClassificationLinux = string;

// @public
export type VMGuestPatchClassificationWindows = string;

// @public
export type VMGuestPatchRebootBehavior = string;

// @public
export type VMGuestPatchRebootSetting = string;

// @public
export type VMGuestPatchRebootStatus = string;

// @public
export interface VmImagesInEdgeZoneListResult {
    nextLink?: string;
    value?: VirtualMachineImageResource[];
}

// @public (undocumented)
export interface VMScaleSetConvertToSinglePlacementGroupInput {
    activePlacementGroupId?: string;
}

// @public
export interface VMSizeProperties {
    vCPUsAvailable?: number;
    vCPUsPerCore?: number;
}

// @public
export interface WindowsConfiguration {
    additionalUnattendContent?: AdditionalUnattendContent[];
    enableAutomaticUpdates?: boolean;
    enableVMAgentPlatformUpdates?: boolean;
    patchSettings?: PatchSettings;
    provisionVMAgent?: boolean;
    timeZone?: string;
    winRM?: WinRMConfiguration;
}

// @public
export interface WindowsParameters {
    classificationsToInclude?: VMGuestPatchClassificationWindows[];
    excludeKbsRequiringReboot?: boolean;
    kbNumbersToExclude?: string[];
    kbNumbersToInclude?: string[];
    maxPatchPublishDate?: Date;
}

// @public
export type WindowsPatchAssessmentMode = string;

// @public
export type WindowsVMGuestPatchAutomaticByPlatformRebootSetting = string;

// @public
export interface WindowsVMGuestPatchAutomaticByPlatformSettings {
    rebootSetting?: WindowsVMGuestPatchAutomaticByPlatformRebootSetting;
}

// @public
export type WindowsVMGuestPatchMode = string;

// @public
export interface WinRMConfiguration {
    listeners?: WinRMListener[];
}

// @public
export interface WinRMListener {
    certificateUrl?: string;
    protocol?: ProtocolTypes;
}

// (No @packageDocumentation comment for this package)

```
